Puma Online Help - Puma

Next topic Welcome to Lynx Help
This online help is to assist you in the operation of your Lynx software. Please select a topic below to get started or you may browse through the help contents for information using the arrows in the upper left corner of the page.

Installation
Installing the drivers for your Lynx Hardware
Backup and recovery of a Lynx installation

Features
The main window
Using Skins in Lynx
Using and configuring software security
Remote Control Interface (RCI)
Using the external test controller (RCP)
Viewing a controlling a remote test over a network
Test Synopsis
Printing in Lynx
Defining Engineering Units

Active X Automation
Support for using Active X Automation in Lynx
AutoSecure

Transducer Database
Using your transducer database with Lynx

Test Applications
Classical Shock
Random
Sine

This online help is best viewed using Internet Explorer with text size 'smaller'.

- Some topics may be incomplete due to current construction -

Copyright 2008 Spectral Dynamics Inc. Active X, Visual Basic, Visual C++, and Windows are trademarks of Microsoft. LabVIEW is a trademark of National Instruments. Java is a trademark of Sun Microsystems.


Installation Notes

Previous topic Installation of Lynx Drivers

Installing the Lynx Hardware

  • Power on the Lynx hardware then connnect the USB cable.
  • Windows should prompt you with "EZ-USB" hardware detected.
  • If windows prompts you to connect to Windows Update to search for this software, select "No, not this time".

    • Select "Install from a list or specific location (Advanced)".
    • Click [Browse] and locate your Lynx\Driver directory. This is by default installed in the location: "C:\Program Files\Spectral Dynamics\Lynx\Driver".
    • Windows should automatically install the driver, when it is comlpete then your hardware is ready for use.

Viewing the Device Manager after successfully installing the new driver.

Copyright 2008 Spectral Dynamics Inc.


Backup and Recovery

Previous topic Backup and Recovery of a Lynx install

Steps for backing up a Lynx installation:

1) | Save off every file on the Lynx directory including subdirectories. Certain files such as .EXEs and .DLLs will be re-installed using the setup program but there is no harm in backing these up.
2) | Pay close attention to all saved application files (i.e. .RAN for the random application) as well as the corresponding graphtool template files (.SGT) . The calibration, configuration, key, and security files are also essential to returning your Lynx into a working state (cubcal.txt, calrpt.txt, dld.cfg, Spectral.kw, Spectral.sec).
3) | Any other data files (.SDD) or other saved application files/templates in any other directory not in the Lynx root directory should be saved off and made note of the path in which these files are located. If certain Lynx setup files are associated with these files and they are not replaced in the exact path which these setup files point to, then undesired effects may occur. This could apply to print automation, any channel/profile/schedule setup or data files that are referenced in an .SGT.
4)

In order to preserve the saved layout of the Lynx windows, the registry settings must be exported from the registry. These can be found in the following path:

HKEY_CURRENT_USER/SOFTWARE/SPECTRAL DYNAMICS APPLICATIONS

It is recommended that you copy all of these folders contained in this directory in a single registry file.

Steps for recovering a Lynx installation:

1) | Run the LynxSetup.exe and select “Full Install”. This will register all components that a simple drag and drop of the Lynx directory will not.
2) | Copy all saved application files into the Lynx directory as well as other dependent files not in the Lynx directory or subdirectories of Lynx.
3) | Re-install the hardware using the Lynx drivers that came with the install.
4) | Run key.exe once the Spectral.kw file has been restored from the previous install.
5) | Before running any Active X application such as Autosecure. You must run Lynx at least once standalone so that the Lynx application is properly registered as an Active X application.
6) | Import all saved off registry settings. This must be done after the full install since a full install will overwrite the registry with default window settings.
7) | Make sure monitor resolution is the same as the previous installation or the window layout may not match. The factory default is 1280x1024. Large fonts (120 DPI) must also be used. Windows defaults to 96 DPI on a new installation of the OS.


Main Window

This is the main window of the Lynx software. The control window shown here is Random. Each application's toolbar varies slightly. The lower portion of the window, the message log, prints out status messages which can be edited or printed.

Message Log

You can print the entire message log or a number of pages by selecting 'File' then 'Print'.

Edit the message log by directly typing in the window. You can change this font by selecting 'View' then 'Message Log Font'.

To use this information in another document, you can highlight the selected area in the message window and press [image] to copy the text to the clipboard. It can then be pasted into another program such as Microsoft Word.

Using Skins in Lynx

Lynx 4.0 includes a new functionality called "skins" which allow the user to use/create templates with the following attributes:

Size and location of the Lynx and GraphTool windows.
Visibility of toolbars, control panels, and status panels.
Associated with a GraphTool document (.sgt).

Skin Toolbar

Selecting a Skin
The installation includes various example Skins which can be viewed by simply selecting a skin name in the dropdown box. Each skin is associated with a GraphTool document (.sgt) with the name [Application]_[Skin name].sgt located in the Lynx/GraphTypes directory.

Example: A skin used in Random called "DEFAULT WITH REPORT" would be associated with a GraphTool Document called "Random_DEFAULT W REPORT.sgt".

Modify a Skin
When a change is made to a skin, pressing the [Add] button will save these changes.

Adding a Skin
The [Add] button will also create a new skin if the name does not already exist. When adding or creating a skin, the current graphtool document will create or save an .sgt file with the same naming convention as described in the above example.

Using a Skin in a Test
The idea behind skins is for the user to be able to use similar or the same settings in multiple tests. Recreating a similar layout for a new test can be more efficient by having a set of Skins that can be copied into a new test. If the user wants to use the current skin with their test, selecting file > save from Lynx will create a copy of the .sgt file with the name of the test as done in previous versions. This will allow the user to have a customizable and unique GraphTool document for each test as done in the past.

Copyright 2006 Spectral Dynamics Inc.


Skins

Using Skins in Lynx

Lynx 4.0 includes a new functionality called "skins" which allow the user to use/create templates with the following attributes:

Size and location of the Lynx and GraphTool windows.
Visibility of toolbars, control panels, and status panels.
Associated with a GraphTool document (.sgt).

Skin Toolbar

The Uses of Skins
The idea behind skins is for the user to be able to use similar or same settings in multiple tests. Recreating a similar layout for a new test can be more efficient by having a set of skins that can be copied into a new test. Skins can also be used to quickly switch between different layouts, such as when controlling a test then viewing the test results. Below are two examples of skins included in the Lynx 4.0 Analyzer application.

This example could be a common layout when controlling a test. | This example could be used for printing or post analysis view, allowing more room for multiple graphs.

Selecting a Skin
The installation includes various example Skins which can be viewed by simply selecting a skin name in the drop down box. Each skin is associated with a GraphTool document (.sgt) with the name:

[Application]_[Skinname].sgt.

Example: A skin used in Random called "DEFAULT WITH REPORT" would be associated with a GraphTool Document called "Random_DEFAULT W REPORT.sgt".

Modify a Skin
When a change is made to a skin, pressing the [Add] button will save these changes.

Adding a Skin
The [Add] button will also create a new skin if the name does not already exist. When adding or creating a skin, the current graphtool document will create or save an .sgt file with the same naming convention as described in the above example. These files will be stored in the "...\Lynx\GraphTypes" directory. Users should not directly rename, move or modify these .sgt files in any way.

Using a Skin in a Test
If the user wants to use the current skin with their test, selecting file > save from Lynx will create a copy of the .sgt file with the name of the test as done in previous versions. This will allow the user to have a customizable and unique GraphTool document for each test as done in the past.

Copyright 2006 Spectral Dynamics Inc.


Security

When starting up Lynx, you may be prompted to log in if security is enabled on your system. Enter a user name followed by a password. Depending on the privileges for the user name, certain functions within the Lynx environment will be allowed. Once within Lynx you can log out and log in with different users as required under the "File" menu from the main Lynx control window.

Updating the Security File: To add, delete, and update user's privileges, open the Update Security File Dialog from the main Lynx control window under 'Setup' then 'Security'.

User privileges: A highlighted entry means it is enabled. Click update when finished.

Edit channel table - Allows the user to make changes to the channel table.
Edit profile tables - Allows the user to load or change settings of a profile.
Edit schedule tables - Allows the user to load or change settings of a schedule.
Edit limit settings - Allows the user to make changes to the limit settings.
Edit security settings - Allow the user to add new users and edit their rights.
Manual mode - When running a test it allow the user to switch to manual mode.
Run tests - Allows the user to run a test.
Edit message log - Allows the user ability click add or edit text in the message window.
Test pause - Allows the user to pause a running test.
Drive update - Allow the user to select drive update for a random test.
View control settings - Allows the user to view the control settings.
View channel table - Allows the user to view the channel table.
View profile tables - Allows the user to view the profile table.
View schedule tables - Allows the user to view the schedule table.
View limit settings - Allows the user to view the limit settings.

Allow Printing - Allows the user to print in both Lynx and GraphTool.

Security Features available only in Random:

Allow Data Storage - Allows the user to save data.

Start Stop Tests - Allows the user to stop and start a test.


Remote Control Interface

In the main Lynx control window under 'Setup' then 'Remote Control Interface', the Remote Control Interface (RCI) dialog will appear. This feature will allow commands to be sent to the Lynx test control through a RCI interface if a test is defined.

First define the high and low action for each segment. These can be off, abort, start, stop full level, resume, load schedule, load profile, or load test. Segment Name is a text field that can be modified through the spread sheet or browse button [image]. Message is a text field that can be modified through the spread sheet. This setup can be saved as a file (.rci) for later retrieval.


RCP Server

RCP Server Installation and Startup

Unzip installation files into your Lynx directory and attach Control Pad cable to com port 2. Make sure that this port is not currently disabled by windows or the bios. If COM2 is already in use by another device attach to COM1. If both ports are free the Control Pad must be attached to COM2. To use the Control Pad, run Lynx.exe and then RCPServer.exe. If everything is set up properly, the Control Pad will display a welcome message.

To load a test from the Control Pad, first create a directory called RCP beneath your Lynx directory. For the Control Pad to load tests properly they must be stored in C:\Program Files\Spectral Dynamics\Lynx\RCP. Use Test Select and the cursor buttons to find the test you want and enter to load it.

When using the Control Pad, be sure the shift is not on. If the shift led on the bottom left corner of Control Pad is lit, hit the shift key to turn it off.).

Keys are defined as 0 - 23 starting with the top left and ending with the bottom right, counting across rows. There are three modes, status, command and test select. The definitions of each mode are defined in the following tables.

Key Definitions

Status Keys:

These are the key definitions for status mode. You are in status mode anytime the shift led is lit and you are not in test select mode. Each key brings up a different status panel of the current test. Before a test is started these status panels will be empty. Key 3 is used to retrieve information about the current test. This is necessary when a new test has been loaded through Lynx instead of the keypad. Eventually this will be automated so that Lynx informs the keypad of the new test information without the keypad requesting it.

Key

Sine

Random

Shock

Analysis

0

Abort

Abort

Abort

Abort

3

Get Test Info

Get Test Info

Get Test Info

Get Test Info

9

Channels 1-4

Channels 1-4

Channels 1-4

Channels 1-4

10

Channels 5-8

Channels 5-8

Channels 5-8

Channels 5-8

11

Channels 9-12

Channels 9-12

Channels 9-12

Channels 9-12

13

Channels 13-16

Channels 13-16

Channels 13-16

Channels 13-16

14

Control Status

Control Status

Control Status

15

Test Status

Test Status

Schedule Status

17

Level Status

Sweep Status

Command Keys:

Command mode is used to control the currently loaded test. You are in control mode whenever the shift led is not lit and you are not in test select mode.

Key

Sine

Random

Shock

Analysis

0

Abort

Abort

Abort

Abort

1

Manual

Manual

Manual

2

Close Store

3

Arm Trigger*

4

Start/Stop

Start/Stop

Start/Stop

Start/Stop

5

Dwell

Pause

6

Toggle Backlight

Toggle Backlight

Toggle Backlight

Toggle Backlight

7

Sweep Up

Level Up

Accept Data*

8

Resume

Resume

Resume

Resume

9

Dwell Test

10

Sweep Quarter

Reset Average

11

Sweep Down

Level Down

Reject Data*

12

13

Polarity +*

14

Sweep Half

15

16

Save Data

Save Data

Save Data

Save Data

17

Polarity -*

18

Sweep Full

19

20

21

Pulse Output

22

Test Select Mode

Test Select Mode

Test Select Mode

Test Select Mode

23

* denotes keys that are not yet working.

Test Select Keys:

Test select mode is used to load a test from the keypad. All test files that can be loaded from the keypad must be in a predefined directory. The keypad will allow up to 24 of each type of test to be displayed and loaded. Use page up and page down to scroll through all available tests. Use load test to load the test specified by the cursor or exit to leave test select mode without loading a test.

Key

All Tests

0

Abort

4

View Random Files

5

View Sine Files

6

View Shock Files

7

View Analysis Files

14

Page Up

15

Cursor Up

18

Page Down

19

Cursor Down

22

Exit

23

Load Test


Viewing and Controlling a Remote Test

Lynx supports a feature in which a user can view and control a test over TCP/IP protocol. This will allow a user to install a "Virtual Lynx" which will allow a Lynx system without hardware to run and view a test over a network to another Lynx system with hardware. This will also work with both Lynx systems containing hardware if necessary. Note that when controlling a test remotely, the local system is not operable locally.

Lynx System with hardware setup:

Make sure the Lynx system is running and is connected to your network.

Lynx System without hardware setup:

Create a shortcut from Lynx.exe. It is recommended that you rename the shortcut other than "Shortcut to Lynx" so that there is no confusion when running from different remote machines or a local Lynx test. Right click on the shortcut and select 'Properties'. In the 'Target' text field after the path, add <space>-H<IP address>.

Example: "C:\Program Files\Spectral Dynamics\Lynx\Lynx.exe" -H127.0.0.0

Now start Lynx using the shortcut you just created, you should see the IP address of the computer you are connected in the upper-left corner of the Lynx window if successful.


Test Synopsis

After a test has stopped, either completed or aborted, Lynx will automatically generate a test synopsis file (.syn). The name will be in the format <application>TestData.syn. The file must be renamed before another test is run in the same application or the file will be lost. You may open up the current synopsis file for viewing by selecting 'Data' followed by 'Display'. 'Choose Report' will allow you to open up a previously saved synopsis.

Contained in this report are :
 Test name, date, time, and files used.
Test Results: Reason for shutdown, test level, test time.
Control test settings.
Data storage settings.
Acquisition setup.
Print automation setup.
Safety / Shaker limits.
Channel table data.
Profile settings.
Schedule table settings.


Printing Spreadsheets

The Lynx software allows you to print any spreadsheet directly a specified printer. This is selected under 'Print Setup' in the main control window. Any type of spreadsheet control as shown below can be printed using the print button.


Analyzer Engineering Units

Define Engineering Units

To modify or view the defined Engineering Units for a test, select 'Define Engineering Units...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a Engineering Units file (.seu). After the first time, this will be done automatically for you. The following table can be loaded from the Lynx directory, EU_DefaultTable.seu.


Active X Overview

Using ActiveX Automation

This help explains how to use the 4 SDK's provided for linking to the Lynx test software through ActiveX Automation. These SDK's are made for LabVIEW, Visual C++, Visual Basic, and Java. All of them use a feature of Lynx called the LynxTestAutomationServer. They all have a set of functions for sending a command to the Lynx test control and retrieving information from the Lynx status panels. A feature has also been included to create indicators showing the current status of the test (i.e. running, aborted). In LabVIEW and Visual C++ it is also possible to control Lynx running on a remote machine.

These samples are designed to assist in using ActiveX in each of these languages as this help does not describe how ActiveX works. These examples should help you understand how Lynx incorporates functions through ActiveX. Knowledge of ActiveX and it's inner workings is required. Note: Changes in the Active X examples have been added to Lynx versions 1.8.2 and beyond. Contact Spectral Dynamics for these updated files.

Select a topic below to get started.

LabVIEW

Visual Basic

Visual C++

AutoSecure

Copyright 2008 Spectral Dynamics Inc. Active X, Visual Basic, Visual C++, and Windows are trademarks of Microsoft. LabVIEW is a trademark of National Instruments. Java is a trademark of Sun Microsystems.


LabVIEW Example

The LabVIEW example like the other three SDKs, allow you to control a test either remotely or locally using ActiveX. The Status Panel toggles the different displays. An instrument called Example.vi has been provided to show you how to hook up these functions and controls to access Lynx as shown below. The LabVIEW SDK consists of four libraries, three controls, and two menu files.

Running a Test Locally
 Start Example.vi. When started, the T40DataServer [image] will begin running in the system tray.
The green light will be on if local automation is successful.
Press the [load] button to start Lynx with a previously saved test.
If you have security enabled on your system make sure you log in to enable the [start], [stop] and [manual] buttons.

Remote Access
This feature allows you to remotely run or control a test on another system across a network
Start Lynx on the remote machine. Make sure the remote machine has LabVIEW installed and configured to run Lynx locally before using remote access.
Enter the remote computer's IP address in the Machine textbox.
Start LabVIEW. The green light will be on if remote automation is successful. See Remote Access for more information.

Important: Remote Access in Lynx versions 1.7.3 and above will only work with LabVIEW versions 6i and above.

The 'Status Panel' selection box will output the values of the Lynx status boxes (channel info, test levels, etc.) in the read-only text fields labeled 'Panels'. The red light indicators display if the test is in manual mode, running, or aborted.


Configuring LabVIEW

Before running LabVIEW, you will need to move the included files from the "..\\Lynx\\ActiveX\\LabVIEW" directory to LabVIEW and configure the software.

Move the LabVIEW files to their proper locations:
 Place the .ctl files and the dir.mnu file in the "..\\LabVIEW\\User.lib" directory.
Place the .llb, root.mnu,and Example.vi files in the "..\\LabVIEW\\MENUS" directory in a new folder. Call this directory Automation.

Configure the LabVIEW software:
The LynxTestAutomationServer ActiveX class must be registered through the software using the following steps:
In the Example.vi window open up the diagram view by selecting 'Window' then 'Show Diagram' from the LabVIEW main LabVIEW toolbar.
In the diagram view, double click on any one of the four functions under load, start, stop, or manual.
In this new window, select the ActiveX object 'SD_APP_MGR.I_TestAutomationSever' using the 'Position/Size/Select' tool and pressing the left mouse button once. When selected, right click the mouse button to open up a drop down menu. Move to 'Select ActiveX Class' then select 'Browse'. Press [Browse] then locate the Lynx.tlb file from the "..\\Lynx\\ActiveX\\LabVIEW" directory and press [Open] then [OK].
 You may need to do this for each instance of this control (8 total) if LabVIEW doesn't recognize this ActiveX control in the other vi's.


LabVIEW Implementation

Below are the controls and .VIs in the LabVIEW Example.vi.

SDButton.ctl
Produces events that can be used to trigger functions.

Panels.ctl
Used to hold status panel information from Lynx.

Selection.ctl
Used to choose which status panel to view.

AutomationServer.vi
Creates an Automation Server on the specified machine. Pass the key parameter as value ABCD to tell the LynxTestAutomationServer that the test is automated through LabVIEW.

ButtonQueue.vi
Sets the label and event queue for an SDButton.

Channels.vi
Retrieves a Lynx status panel from AutomationServer based on the Panel Index.

<AnyFunction>.vi
Calls the function whenever an event arrives from the Event Queue.

<AnyStatus>.vi
Retrieves a test status from the AutomationServer (i.e. running, aborted).


LabVIEW Remote Access

Remote Access

Certain settings may need to be made before remote access through COM is allowed. These following steps may or may not apply to your remote system.

Configuring Remote Access with Windows XP:

You will need to open up the DCOM configuration. Open up control panel and select Administrative Tools → Component Services → Computers → My Computer → DCOM Config.

Select Lynx.TestAutomationServer from the list and select properties.

Make sure the following parameters are set up within the dialog:

General: Set Authentication Level to None.

Location: Make sure 'Run application from this computer" is checked.

Security: Use Default is set on all permissions.

Endpoints: Add Connection-oriented TCP/IP with default endpoints.

Identity: Set to 'The interactive user'.

DCOM Configuration Dialog in Windows XP

Configuring Remote Access with Windows 98 and Me versions:

In the "../Spectral Dynamiccs/Lynx/Active X" directory is a file called Lynx TestAutomation.reg. Double click on this file to import the settings to your system's registry.

In the "../windows/system" directory is a file called dcomcnfg.exe. This installed on your machine during the installation of Lynx. Open this program and go to the 'Default Security' tab and check 'Enable remote connection'.

Now go to the 'Default Properties' tab and make sure 'Enable Distributed COM on this computer' is checked, 'Default Authentication Level' is set to (none), and 'Default Impersonation Level' is set to impersonate. The option, 'Provide additional security for reference tracking', is not needed.

DCOM Configuration Dialog in Windows 98/Me


LabVIEW Generic Functions

Generic Functions

The following table lists all other functions available. Each of these functions takes no parameters and has no return value. Each presses one button on a Lynx control panel and works the same in all four examples (Visual C++, Visual Basic, and LabVIEW).


Visual Basic Example

Included under the "..\\Lynx\\Active X\\Visual Basic" directory, there is an example project on the functionality of the LynxTestAutomationServer using Active X. This will load, control, and display the status of a Lynx test locally.

The Active X program will start Lynx and the dialog as shown below will appear. Start, Stop, Manual, and Load have the same functionality as the Lynx Test Control. The selection box will output the values of the Lynx status boxes (channel info, test levels, etc.) in the read-only text fields on the left. The check boxes on the right are read-only status boxes showing if the test is in manual mode, aborted, or if it is running.

If you have security enabled on your system make sure you log in to enable the [start], [stop] and [manual] buttons.


Configuring Visual Basic

The Visual Basic SDK consists of a class file, AutomationServer.cls, and a type library, Lynx.tlb.

First you must insert the class file into your project. Go to the References dialog under the Project menu and check the entry titled 'SD_APP_MGR'. If this entry does not exist, select browse and find the Lynx.tlb file. 'SD_APP_MGR' should now be a possible selection.

Next, go to the Components dialog under the Project menu and check the entry titled 'Microsoft Common Dialog Control 6.0'.

 Once they are checked, you can define a variable of type AutomationServer and call its functions to push the Lynx control panel buttons. This SDK currently does not support creating the automation object on a remote machine.

Copyright 2005 Spectral Dynamics Inc.


Visual Basic Implementation

Function Descriptions:

Sub OpenTest(OpenDialog As CommonDialog)
Uses OpenDialog to prompt user for a file, then loads the file.

Sub LoadTest(Filename as String)
Loads the test specified by Filename.

Sub UpdateChannelStats(index As Integer)
Calls GetChannelStats to update panel member variables.

Sub InitListBox(Selection As ListBox)
Fills in a listbox with the status panel choices.

Function GetChannelCount() As Integer
Returns the number of channels of the Lynx system.

Function TestAborted() As Boolean
Returns True if test has been aborted, False otherwise.

Function TestRunning() As Boolean
Returns True if test is currently running, False otherwise.

Function TestManual() As Boolean
Returns True if test is in manual mode, False otherwise.

Sub GetChannelStats(index As Integer, s1 As String, s2 As String, s3 As String, s4 as String)
Retrieves values for one Lynx status panel and places them in the panel member variables.
The following indexes determines the different status panel values.


Visual Basic Generic Functions

Generic Functions

The following table lists all other functions available. Each of these functions takes no parameters and has no return value. Each presses one button on a Lynx control panel and works the same in all four examples (Visual C++, Visual Basic, and LabVIEW).


C++ Example

Visual C++ Example

Included under the "..\\Lynx\\Active X\\CPlus" directory, there is an example project on the functionality of the LynxTestAutomationServer using Active X. This will load, control, and display the status of a Lynx test, either remotely or locally.

Once the ActiveX.exe is started, a dialog will appear.

Run locally from my computer: Select this option if you want to run Lynx on your local computer.

Enter Remote IP Address Manually: Enter the IP address of the machine you wish to connect to through TCP/IP. Lynx must be opened on the remote machine. See Remote Access for more information.

Select Computer from Local Network: This option will browse your current workgroup of computers in your local area network and allow you to select it by computer name and IP address. If the computer you wish to connect to is not in your workgroup, you will need to input the IP address manually. See Remote Access for more information.

Once your selection has been made press [OK] to launch the Active X application window.

When running Lynx locally, the Active X program will start Lynx and the dialog as shown below will appear. [Start], [Stop], [Manual], and [Load] have the same functionality as the Lynx Test Control. The selection box will output the values of the Lynx status boxes (channel info, test levels, etc.) in the read-only text fields on the left. The check boxes on the right are read-only status boxes showing if the test is in manual mode, aborted, or if it is running. If you have security enabled on your system make sure you log in to enable the [start], [stop] and [manual] buttons.

Possible error messages when running a remote test.

"The RPC server is unavailable." - The remote machine that you have connected to does not have the Lynx application running. Run Lynx.exe from the remote machine then launch the Active X application again.

"Access denied." - The remote machine does the have permission to grant the user access to this resource. See Remote Access for more information.


C++ Implementation

Visual C++ Implementation

The Visual C++ SDK consists a class file AutomationServer.cpp its header file, and a type library Lynx.tlb. To use them, add the class and header files to your project and put Lynx.tlb in your project directory. You can now instantiate the AutomationServer class. Call OpenAutomation to create the automation object. If you pass a machine name to OpenAutomation the object will be created on the remote machine.

Function Descriptions:

void LoadTest(CString strTest = "")

Loads the test named in strTest. If strTest is empty, an open file dialog is called.

void UpdateChannelStats(int index)
Calls GetChannelStats to update panel member variables.

void UpdateTestInfo()
Makes current test information available in Lynx.

void InitListBox(ClistBox *list)
Fills in a listbox with the status panel choices.

int GetChannelCount()
Returns the number of channels of the Lynx system.

BOOL TestAborted()
Returns True if test has been aborted, False otherwise.

BOOL TestRunning()
Returns True if test is currently running, False otherwise.

BOOL TestManual()
Returns True if test is in manual mode, False otherwise.

void GetChannelStats(int index, CString &s1, CString &s2, CString &s3, CString,&s4)
Retrieves values for one Lynx status panel and places them in the panel member variables.
The following indexes determines the different status panel values.
.


C++ Remote Access

Remote Access

Configuring Remote Access with Windows XP (Sevice Pack 1 and below):

You will need to open up the DCOM configuration. Open up control panel and select Administrative Tools → Component Services → Computers → My Computer → DCOM Config.

Select Lynx.TestAutomationServer from the list and select properties.

Make sure the following parameters are set up within the dialog:

General: Set Authentication Level to None.

Location: Make sure 'Run application from this computer" is checked.

Security: Use Default is set on all permissions.

Endpoints: Add Connection-oriented TCP/IP with default endpoints.

Identity: Set to 'The interactive user'.

DCOM Configuration Dialog in Windows XP

Configuring Remote Access with Windows 98 and Me versions:

In the "../Spectral Dynamics/Lynx/Active X" directory is a file called Lynx TestAutomation.reg. Double click on this file to import the settings to your system's registry.

In the "../windows/system" directory is a file called dcomcnfg.exe. This installed on your machine during the installation of Lynx. Open this program and go to the 'Default Security' tab and check 'Enable remote connection'.

Now go to the 'Default Properties' tab and make sure 'Enable Distributed COM on this computer' is checked, 'Default Authentication Level' is set to (none), and 'Default Impersonation Level' is set to impersonate. The option, 'Provide additional security for reference tracking', is not needed.

DCOM Configuration Dialog in Windows 98/Me

You may also need to configure the properties of the Lynx TestAutomationServer although this value should already be set as it's default value. Go to the 'Applications' tab and find the entry entitled Lynx.TestAutomationServer. Select it then click on the [Properties] button. Go to the 'Location' tab and make sure that 'Run application on this computer' is the only box checked. Once you have applied these changes, be sure to restart your machine.


C++ Remote Access with XP SP2

Remote Access with Windows XP SP2

Certain settings may need to be made before remote access through COM is allowed. These following steps may or may not apply to your remote system. With the release of Windows SP2, these changes must be made on the Server running Lynx. These changes may or may not be required on the client.

Configuring Remote Access with Windows XP SP2:

Open up the Control Panel and select Administrative Tools → Component Services → Computers → My Computer → Right click and select Properties.
New in Windows XP SP2 is a COM Security tab. Click on [Edit Limits] under Access Permissions.

If both 'ANONYMOUS LOGON' and 'Everyone' are not there, add them using the [Add] button. Enter the object name and click on [Check Names] to verify if it is a valid user, windows should underline the username. Click [OK] and do the same thing for 'Everyone'. Make sure both Local and Remote Access are checked as 'Allow'. Under Launch and Activation Permissions, make sure both the 'Administrators' and 'Everyone' have all four permissions checked as 'Allow'.

Click [OK] on the My Computer Properties dialog and in the same Component Services window go to Component Services → Computers → My Computer → DCOM Config.

Select Lynx.TestAutomationServer from the list right click and select Properties.

Under the General Tab, select Default for the Authentication Level.

Under the Location Tab, make sure Run application on this computer is the only option checked.

Under the Security Tab, select Customize under Launch and Activation Permissions and select [Edit].

Just like in the previous example, add both 'ANONYMOUS LOGON' and 'Everyone' allowing them access to all permissions.

Select Customize under Access Permissions and Configuration Permissions and select [Edit].

Under Access Permissions, add 'Everyone' allowing them access to all permissions. Enable the other users with both Local and Remote Access as well.

Under Configuration Permissions, add both 'ANONYMOUS LOGON' and 'Everyone' allowing them access to 'Full Control' and 'Read'.

Under the Endpoints Tab, make sure Connection-oriented TCP/IP is defined. If not click [Add] using default endpoints.

Under the Identity Tab, make sure the interactive user is selected.

Windows XP Firewall (optional)

Certain client/servers may or may not need port 135 opened which DCOM uses. To open up this port go to the Control Panel and select Windows Firewall.

In the Exceptions Tab, select [Add Port] and call it DCOM with the port number 135. The scope should be set to any computer by default but you should verify the setting.

Copyright 2006 Spectral Dynamics Inc.


C++ Generic Functions

Generic Functions

The following table lists all other functions available. Each of these functions takes no parameters and has no return value. Each presses one button on a Lynx control panel and works the same in all four examples (Visual C++, Visual Basic, and LabVIEW).


LabVIEW Example

AutoSecure

The AutoSecure application is an example of the Active X features in Lynx that can be used to simplify and secure the task of running tests.

To begin AutoSecure, the required fields Shaker #, Test Axis, and Test must be defined. Click on the browse button to select a test. The Start Test on Login button can be toggled on and off. Up to 10 Serial Numbers can be entered but are not required.

To begin the test and launch Lynx, click on the [Login] button.

Once the test has been launched, AutoSecure will send the Shaker #, Axis, and Serial Numbers to GraphTool which can be optionally displayed as tags. The dialog below shows these tags under TEST CONFIGURATION.

The following conditions will launch AutoSecure automatically after AutoSecure has executed a test:

- The test has been started and successfully completed.

- The user closed the Lynx application.

The following conditions will NOT launch AutoSecure automatically after AutoSecure has executed a test:

- The test has been aborted manually by the user.

- The test has been aborted by the system due to failed loop check, hardware failure, etc.

- The test cannot continue because of an expired calibration date.


TransducerDB Overview

Transducer Database Overview

The Transducer Database assists in the storage and organization of transducers and equipment used in your laboratory. The Transducer Database package consists of a stand alone application, TransducerDB, and functionality within the Lynx software. This portion of the help documentation supports the features of the database in Lynx once it has been created using TransducerDB. If you are unfamiliar with the TransducerDB application or have not yet created your database, please refer to the TransducerDB help file before continuing.

Please select a topic below for more information.

 Using the Transducer Database in Lynx

Viewing the Transducer Database in GraphTool


TransDB in Puma

Using the Transducer Database in Lynx

The Transducer Database is used in conjunction with Lynx's channel table to transfer an existing transducer's information from the database to the channel table. The entries in the Transducer Database dialog are read only and can only be modified using the TransducerDB application. Remember to save the channel table before exiting so that all associations between the database and channel table are preserved.

When using the Transducer Database for the first time, you will need to open an existing database created using the TransducerDB application. Once a database has been opened, Lynx will default to this database for the existing test unless a different database has been selected. The spreadsheet will now contain each transducer from the database to either add to the channel table or to the channel info tag. The transducer selected (with exception of type 'other') can be added to the channel table by highlighting the entry, selecting the channel number destination, then pressing the [Add to Channel Table] button. You will notice that the serial #, sensitivity, dB reference, and ICP values will be transferred from the database to the channel table. When a channel contains information from the database, it's serial # will be highlighted yellow indicating an association. Any database associated channel will be displayed in GraphTool's channel settings info tag under "TransDB". When adding a transducer to the channel table with an expired calibration date, Lynx will notify the user if this action and also mark this transducer in the channel setting info tag as "Expired".

When a transducer is selected with transducer type 'other', an option will be given to add that entry to GraphTool's channel settings info tag. This is useful when a user may have additional equipment located in their lab not under the given transducer types and wants to display them in GraphTool as part of the test. When the [Add to Channel Info] button is pressed, the entry will be added to the test and displayed in GraphTool's channel settings info tag under 'Other'. The column will be highlighted yellow to show that it has been added to the test. This association can be removed at anytime be highlighting the desired entry and pressing the [Delete from Channel Info] button.

Auto Update: If this checked, Lynx will verify all entries which are connected to the database and check if any of these entries no longer exist or have changed. If the serial number numbers do not match, then the association will be deleted and the channel's serial # will no longer be highlighted in the channel table. This will also remove this entry from GraphTool's channel settings info tag under "TransDB". If any other records have changed within the database, the channel table will be updated with their respective values.

Number of days prior to cal expiration to warn the user: This is the number of days before a transducer/equipment goes out of calibration when the user is given a warning in the Lynx log box. If this "nag" date is within the time frame the log box will flash with the message "CHECK MESSAGE LOG" until the user clicks in the text area of the log box as shown below.


TransDB in GraphTool

Previous topic Viewing the Transducer Database in GraphTool

The entries in the transducer database added to the channel table and the equipment tag can be view using the the "Add Channel Settings Info" button in GraphTool as shown below.

Once this created you should see all the channel, transducer database, and equipment database information as shown below.

GraphTool Channel Settings Info Tag

When first creating the channel settings info tag, you may need to align the data by right clicking the mouse button to bring up the "Label Properties" and selecting [image] Auto Align and depressing the [Grid Lines] button as shown below.


Classical Shock Overview

Next topic Classical Shock

The Classical Shock Function program provides digital real-time closed loop shaker control for production testing, design qualification and reliability testing applications. The system allows the definition, simulation, and closed loop control of a Classical Shock Function vibration excitation shaker system.

Please select a topic below for more information.

Setting Up a Test
 Channel Setup
Test Scheduling
Pulse Setup
Test Control Settings

Running a Test
 Controlling a test
Channel Status
Control Status
Schedule Status

Test Safety
 Safety / Shaker Limits

Classical Shock's technical specification.


Classical Shock Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Click here for Transducer Database help

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels., up to 10 characters.

Type: The assignment type of each input channel.

Inactive - No data acquired from this channel.

Control - A channel defined at a control point on the device under test. You must select at least one control channel and may select multiple channels. Loop check will be performed on all control channels.

Measurement - A channel used to measure data at other points on the DUT. These channels are not used in the control process to modify the drive. Loop check is optionally performed on these channels.

Engineering Units: Click here for explanation of engineering units.

Loop Check: This is to check the channel's reception of the signal being sent through the drive.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Classical Shock Schedule Table

To modify or view the schedule setup, select 'Schedules...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a schedule file (.ssd) After the first time, this will be done automatically for you.

Status: This setting indicates whether the settings relating to the corresponding schedule number, hold valid data which should be used in a test. This setting can either be 'On' or 'Off'.

# of Pulses: The number of pulses to be carried out If this is set in the schedule the test will move on to the next stage in the schedule once these pulses are completed.

Pulse Delay: Enter the amount of delay required in milliseconds in the range 0 to 999.

Level Delay: Enter the amount of delay required in milliseconds in the range 0 to 999.

NLAF #: Non-Linear Adjustment Factor. This relates to the Global Scale Factor applied in addition to compensation.

Equalization Level: This is the level in dB below the full reference level at which equalization begins. The level must be a negative number, -80dB to 0dB.

Equalization Delay: Enter the amount of delay required in milliseconds in the range 0 to 999.

Level Increment: This is the step size in dB which the test uses each time it 'steps up' when in automatic mode. This step must be in the range 1 to 20.

Initial Excitation: The excitation types are Pulse and Random. Random has a 'Periodic Random Burst' and Pulse has a constant 'Burst'.

Average Weighting: (1/Weight for Averaging) is used for the initial H(f) calculation during the system identification process. The average weight is also used as an exponential discount factor or averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125

Feedback Gain: This determines the amount of error that is used in the drive update process. The allowable range is 0.05 to 1; a typical value is 0.75.

Coherence Blanking: During system identification, if the coherence is below the specified value at specific frequencies within the test range, then Lynx will not try to compensate those frequency components. This is useful when looking at extraneous noise.

Compensation Threshold: This refers to the effective dynamic range to be compensated based on the system H(f). A Compensation Threshold of -70dB means that the frequency based corrections will only be applied to the amplitude values that lie within 70dB of the maximum amplitude of the H(f). It is common to try to use as much dynamic range as possible (up to 120dB), but noise and dispersion (smearing) can cause problems at anti-resonances. For highly resonant structures, or those with high Q's, a Compensation Threshold of about 100dB is recommended.

Waveform Trend Removal: Enable or Disable the DC offset removal from the Acceleration Waveforms before they are integrated to Velocity and Displacement. It should normally be Enabled for all cases except Classical Shock Import Reference where the imported waveform may not have final zero velocity and final zero displacement.

Pause Between Schedule Levels: Check this box to activate pause between schedule levels.


Classical Shock Pulse Parameters

To modify or view the Profile Settings, select 'Pulse Parameters' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a profile (.pul) After the first time, this will be done automatically for you.

Click on the Pulse Tolerance tab to view that page.

Pulse Type: Select Half Sine, Trapezoidal, Rectangular, Init Peak Sawtooth, Term Peak Sawtooth, or UFF Import.

Pulse Amplitude (g's): Input a range from 0.01 to 50000.

Pulse Duration (ms): Input a range from 0.1 to 50000.

Over Sample: 2.56, 5.12, 10.24, 20.48, 40.96

UFF Filename: When a pulse type of UFF Import is chosen, a UFF data file may be chosen to import as a pulse type.

Scale Factor (db): Ranges from -40 to 40

Trapezoidal Waveform Parameters: Each of these are defined when a pulse type of Trapezoidal is selected. Rise Time, Time at Peak, and Fall Time all have ranges of 0.1ms to 50000ms.

Displacement:

Single Sided - Displacement during compensation is limited to either positive or negative excursions.
Double Sided - Displacement can be both in negative and positive directions; best for getting max use of shaker displacement.

Optimization:

Displacement - Best for utilizing shaker displacement; compensation waveforms produce nearly equal positive and negative displacement.
Symmetric Accel - Uses compensation pulses of equal acceleration amplitude and duration before and after the main pulse.
Non Symmetric Accel - Post-pulse compensation amplitude is twice that of the pre-pulse. This generally provides shorter total pulse durations and less displacement than for symmetrical acceleration compensation.

Compensation:

Pre & Post pulses - Gives the lowest compensation amplitudes, but longer overall pulse duration.
Pre-pulse only - Allows accurate measurement of residual effects due to resonance excitation.
Post-pulse only - Use if no excitation prior to the main pulse is allowed.

Pre-Comp / Post Comp / Sym Comp Amp (%): Input a range from 5 to 100.

SRS Definition (Absolute Accel / Relative Displacement): Select whether the SRS Analysis computation is to be based on Absolute Acceleration of the test mass or Relative Displacement of the mass base of a single degree of freedom (SDOF) system.

SRS Spacing: 1/1, 1/3, 1/6, 1/12, 1/24 Octave.

SRS Damping (%): Input a range from .1 to 99.


Classical Shock Pulse Tolerance

To modify or view the Profile Settings, select 'Pulse Parameters' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a profile (.pul) After the first time, this will be done automatically for you.

Click on the Pulse Parameter tab to view that page.

Type:
MIL-STD-810 - Only those tolerances allowed in the standard are used.
Custom - The user may select values for +Pre-Pulse(%), -Pre-Pulse(%), +Main-Pulse(%), -Main-Pulse(%), +Post-Pulse(%), and -Post-Pulse(%).

Pre Pulse:
For +Pre-Pulse(%), enter the tolerance band pre-pulse positive amplitude in % of the reference pulse with the range 5-100.
For -Pre-Pulse(%), enter the tolerance band pre-pulse negative amplitude in % of the reference pulse with the range 5-100.

Main Pulse:
For +Main-Pulse(%), enter the tolerance band main-pulse positive amplitude in % of the reference pulse with the range 5-100.
For -Main-Pulse(%), enter the tolerance band main-pulse negative amplitude in % of the reference pulse with the range 5-100.

Post Pulse:
For +Post-Pulse(%), enter the tolerance band post-pulse positive amplitude in % of the reference pulse with the range 5-100.
For -Post-Pulse(%), enter the tolerance band post-pulse negative amplitude in % of the reference pulse with the range 5-100.


Classical Shock Test File Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Click on the button to the right of the file location to browse and add a file. This enables you to load pre-saved files containing all the settings needed for a random test which saves you from having to navigate through the different setup dialogs.

Test File Description: This is a user defined text message of the description of the random test.


Classical Shock Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Data / Compensation File Name

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (ShockTestData.sdd), this means however that each time the test is started the data is overwritten.

Specify Path: Browse the location where the SDD file is to be stored. By default, all SDD files are saved in the directory where the Lynx application is launched. Note: This option is always recommended as certain versions of Windows cause files to be saved in unknown locations such as the system directory. This can make it difficult to find and organize your data files.


Classical Shock Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (defined in 'Data Storage' and the All / Last Frame(s) buttons). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.

Print Synopsis: Prints the test's synopsis file once the test completes.


Classical Shock Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Classical Shock Test Control

The Test Control window enables the user carry out any necessary operations on the test while it is running. Note also that all the functions which can be carried out using the test control window can also be done using the main menu under the header, 'Test'. To view the Test Control select 'View' from the main Lynx control window, followed by 'Test Control'.

[Start]: When depressed the test is running, otherwise it is stopped. The process that the system goes through is as follows:

1) Test Started: Display of calculated Max Acceleration,Velocity, and Displacement.

2) Measuring Ambient Noise: Shock starts measuring the noise present on the Control channels and on the Auxiliary channels.

3) Ambient Noise Complete: The measurement is finished, and the measured ambient noise on each channel is displayed.

4) Starting Loop check: Loop Okay message when detected.

5) Starting System Transfer Function: The initial H(f) for Control is measured. A number of low level pulses or burst random signals are output and H(f) is calculated between the Drive and Control signals.

6) Checking System Gain: If gain is stable a factor is displayed

7) Starting System ID (transfer function) averaging: The initial H(f) is used to calculate an initial Drive signal signal, which is then output. Peak and Average Error for the Control signal are calculated. If the Control response is within the specified error, Equalization is complete, otherwise H(f) is updated and a new Drive signal is calculated and output. This loop continues until the error conditions are satisfied, or if the error does not converge, at which time an error message is displayed.

8) Ready for Pulse Outputs: Pulses are output, starting at the specified Test Level, proceeding as directed by Level Schedule.

[Restart]: If a test is aborted by either an alarm/abort or by the user, restart will continue the last pulse where it was aborted.

[Output]: Begins the pulse outputs once the system as gone through it initialization and loop check. The system is ready for pulse outputs once the button is no longer grayed-out.

[Compensation]: The save / load compensation function will save / load the compensation into / from a file (.cmp) as defined in data storage.

[Comp Usage]:
Use Prev: Clicking this button prior to a test start will move the static compensation data to the dynamic memory area and skip the normal system ID, running the test with a pre-stored compensation.
Restore: Moves the static compensation data to the dynamic memory area.
Update: Moves the dynamic compensation data to the static memory area.

[Abort]: Manually aborts the current test in progress.

[Manual]: Toggles the test control between automatic and manual modes.

Manual mode allows the user to manipulate a test while in progress. The following functions are available only while in manual mode:

Level: Allows the user to choose the measurement type of either dB's or G's and shows the numeric value set in the profile.

Num Pulses: The number of pulses during a test cycle.

Pulse Delay: Time delay between pulses.

NLAF#: The Non-Linear Adjustment Factor is used when there is a known gain non-linearity on a shaker system to reduce the amount and level of pulses used to equalize the shaker system. For example, a test is equalized at –12 dB. When the test is jumped to 0 dB the
result is a time history of the proper shape, but about 10% low. A NLAF of 1.1 can be used the next time to correct for the gain non-linearity and eliminate the need to run more equalization pulses at higher than –12 dB.

Polarity: Polarity of the voltage input.

[Save]: Save the test data into a file (.sdd).

[Recalc Comp]: Using the Recalc Compensation function allows the user to automatically improve the dynamic compensation. This means that the shock pulse at the accelerometer is a more accurate reproduction. If this button is toggled ON, the dynamic compensation is updated
after each pulse. This data can be temporarily stored in static memory or saved to a file.

[Add to Schedule]: Allows the user to add additional pulses to the test.

Units: db or G


Classical Shock Test Control

Classical Shock Output Control

Repetitive Shock Pulses

The Classical Shock Package has the ability to output a shock pulse with as little as 0 time delay between pulses. It can output up to a million of these pulses and have them continuously reverse polarity if desired. Each of the pulses is compensated for the system characteristics and you also have the ability to center the pulse, enable statistics, and enable alarms or aborts. This capability is essential in order to meet some of the new CD and hard drive testing requirements.

Repetitive Shock Pulse Procedure

Step 1: Start by running Classical Shock and creating your pulse. This includes all of the pulses. Available in Classical Shock (Trapezoidal, Half Sine, Initial Peak Sawtooth, Terminal Peak Sawtooth, Rectangular or UFF Import).

Step 2: Now you Start the test from the Control panel. It starts by performing system equalization. The equalization parameters are specified in the Schedule Setup Window.

Step 3

You now Output the Pulse one time at the Level desired (0dB, -3dB, -6dB). Your Compensated Drive signal has now been created and is available for your Repetitive Shock Pulse Output.

Step 4

You are now ready to open the Output Control Window, which is located under the View pull down menu in the Lynx Local Window. Once you Open this window you can specify the Number of Pulses (between 0-1,000,000 Pulses), Delay Between Pulses (between 0-1,000,000 ms), Pulse Polarity (Positive, Negative, or Alternating), Test Level in dB, Enable or Disable Alarms, Enable or Disable Aborts, and Center the Pulse. After entering these parameters you can start your Repetitive Shock Pulse test by clicking on the Start button in the Output Control Window.

Copyright 2006 Spectral Dynamics Inc.


Classical Shock Channel Status

The channel status box displays information for each of the channels. To view a channel status box select 'View' from the main Lynx control window, followed by 'Channels 1 to 4', 'Channels 5 to 8', etc.

Under each channel the live output will be displayed in peak g. If not all of the channels are active then the corresponding channel number and output will be grayed out.


Classical Shock Control Status

The control status box displays information regarding the test.

Test Level: The current test level measured in dB.

Control Level: The control level is the current input control spectrum measured in peak g or m/sec2

Drive Level: The estimated drive output in volts


Classical Shock Schedule Status

The schedule status box displays information regarding where the test is, within a pre-defined schedule.

Schedule Number: The tests position within a schedule.

Elapsed Pulses: The number of pulse elapsed during the current schedule level.

Remaining Pulses: The number of remaining pulses within the current schedule level.


Classical Shock Safety Limits

To modify of view the limit settings for a test, select 'Limits' under 'Setup' from the main menu of the Lynx Basic control window.

Click on a tab to view the Shaker Limits.

Loop Check

Max Noise - Acceptable ambient noise level. Used to set a noise level above a channel that is too noisy to allow test to be run.

Max Drive - Maximum output level during loop check. Higher drive levels may be necessary for noise environments or if gain is low.

Alarm and Abort Limits

Maximum Average Error - This is specified in % for both alarm and abort levels.
Maximum Peak Error - This is specified in % for both alarm and abort levels.


Classical Shock Shaker Limits

To modify of view the limit settings for a test, select 'Limits' under 'Setup' from the main menu of the Lynx Basic control window. If at any time the test reaches these maximum values then the test will be aborted.

Click on a tab to view the Safety Limits.

If at any time the test reaches these maximum values then the test will be aborted.

The following values may be set:
Acceleration (+g) and (-g) in range 0.0001 - 100.
Velocity (+in/sec) and (-in/sec) in range 0.0001 - 100.
Displacement (+in) and (-in) in range 0.0001 - 100.
Voltage (+v) and (-v) in range 0.0001 - 100.

The negative values will be pre-determined if the Symmetric limits box is checked.

Symmetric Limits: If this check box is selected then the negative values become equal to their positive counterparts although still with their opposite polarity.


Random Overview

Random

The Random program provides digital real-time closed loop shaker control for production testing, design qualification and reliability testing applications. The system allows the definition, simulation, and closed loop control of random vibration excitation of a vibration shaker system.

Please select a topic below for more information.

Setting Up a Test

Channel Setup

Test Scheduling

Profile Setup

Importing a Reference

Test Control Settings

Running a Test

Controlling a test

Channel and Control Status

Level Status

Test Status

Test Safety
 Safety / Shaker Limits

Random's technical specification.


Random Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Click here for Transducer Database help

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel. By default Control type will always be listed first. When Limit and Abort channels are designated, the Profile Settings Window will display a tab for each of these types.

Abort - Abort channels may have independent abort profile. If the level on the Abort channel exceeds the abort profile, then the test is aborted.

Limit - Limit channels may have independent limit profiles. If the level on a Limit channel exceeds the limit profile, then the test is aborted.

Engineering Units: Click here for explanation of engineering units.

Loop Check: This is to check the channel's reception of the signal being sent through the drive.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

Weighting: Used for control channels. When using multiple control channels Lynx recognizes all the control channels as single "pseudo" channel, this done by averaging all the channels together. Weighting allows you to do a weighted average of the channels. The number entered here is weighted relative to the other control lines, an example would be where one control channel has a 1 and another has a 3, there would be a 3:1 ratio in the average.

RMS Abort: During a test, if the RMS exceeds the entered value, the test will abort.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:
AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).
DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.

Reference Channel: Choose any or all channels that are currently active. This is the channel used as the denominator.


Random Profile Table

To modify or view the profile settings for a test, select 'Profiles...' under 'Setup' from the main menu of the Lynx control window. Any modifications that are made will be required to save in a profile setting.

The first step is to define appropriate ranges for your profile and test. Choose the working units: SI, Metric or Imperial, then enter the necessary parameters into the spreadsheet.

Reference, Limit and Abort profiles are defined in terms of slopes and frequency/amplitude breakpoints. A combination of up to 500 slopes and frequency/amplitude breakpoints may be used to define a profile. By default, the Control tab will always be displayed. The Limiting and Abort tabs are displayed only when those types of channels are defined in the Channel Definition table. Right mouse click on the GRMS value (total GRMS of profile) and a submenu will be brought up that allows rescaling of the Reference.


Random Reference Import

To import a reference, select 'Reference Import...' under 'Setup' from the main menu of the Lynx control window.

Click on this button to import a UFF reference. The window below will list each frame of data usable from the UFF file. Selecting a frame will display the data to the graph on the right side of the dialog.

Profile Range: The range of the imported reference.

Abort Line Settings: The tolerance of deviation allowed from the reference. These are marked by red lines on the graph.

Alarm Line Settings: These are represented by the yellow lines on the graph.


Random Level Schedule

To modify or view the schedule setup, select 'Schedules...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications are made you will be required to save the schedule to disk. After the first time, this will be done automatically for you. The excitation level holds at the Initial Test Level (dB below full level) until a signal is given to increase the excitation to full test level (0dB). The "hold" period may be defined in terms of loops, or it may be an indefinite hold until a manual drive increase command is given. The other option would be to specify a level schedule and follow those parameters.

Click on the tab to view the Test Schedule Dialog.

Level: Level range from -80 to 0 (db).

Time at Level (hrs : min : sec): The amount of time the data trace holds at the specified level.

Time to Level (hrs : min : sec): The amount of time the data trace takes to reach the specified level.

Alarm Action:

Abort - Shut down test
Continue - Go to next level
Pause - Waits for user selection of Resume, Stop, or Abort on Test Panel.

Acquisition Range Parameters: These Acquisition Parameters are utilized differently depending on which Startup Mode was selected. The different Start Modes (this option is under Random Control Setup) and how the different parameters are used are as follows:

Automatic - System holds at Initial Level for the specified period, then automatically increases excitation in the level increments (dB) specified, at the specified rate (dB/SEC or total seconds).

Auto Only - System holds at Initial Level until the manual “increase level” command is given, then automatically increases excitation to full level (0 dB) in the level increments (dB) specified, at the specified rate (dB/SEC or total seconds).

Manual - System holds at Initial Level until manual “increase level” commands are given. Level changes are made one level increment at a time via individual “increase” commands. Total time to go to full level is thus under operator control.

Shut Down Rate (dB/sec): The programmable shutdown rate (set in dB/SEC) allows the excitation level to be quickly and smoothly decreased. The maximum achievable shutdown rate may be limited by control parameters such as the frequency bandwidth and number of frequency lines. (For example, the D/A attenuator can change the drive signal amplitude at most once each output frame.)


Random Test Schedule

The Test Schedule Dialog allows automation of different test within a single application. Test Automation with multiple applications can be accomplished by using Mission Simulation Control. Use the browse buttons [image] to select a profile and schedule. Set the delay (hrs : min : sec) between tests, then the number of times the test is to be repeated. Press [Run Schedule] to start the test.

Click on the tab to view the Level Schedule.

Once the test has begun, the Test Scheduling Dialog will appear showing the schedule with the current test. A box around the current cycle entry specifies the current test in progress. When the test is complete, the text will turn red while the delay is in progress, then continue until all cycles and tests are complete.


Random Acquisition

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window. This page allows you to modify the parameters relating to the acquisition of data.

Click on a tab to view the different test settings available.

Max. Frequency: Enables the user to set the maximum frequency by which a test will not exceed. Select range from 50 to 20,000Hz.

Ctrl Degrees of Freedom: Enter the degree of freedom to be used for control loop averaging.

Mon Degrees of Freedom: Enter the degree of freedom to be used for averaging the measure channels and H(f)s.

Lines of Resolution: Enables the user to set the number of lines of resolution.. Select a range of from 100 to 3,200. The mores lines of resolution in a test, the greater the accuracy; however, speed will be compromised.

Mon Averaging:

Linear - Averaging stops after the specified number of DOFs.

Exponential - Averaging continues after the DOF discounting.

Overlap Processing: Allows the user to select whether overlap processing should be used.

Overlap Processing - The processing time of an FFT computing device is the total amount of time required to calculate a desired parameter, such as a transfer function once the loading of input data memory or memories has been accomplished. If the time required to process and display the results is equal to or less than the time required to sample the data signals and load input memories, the processing is said to be performed on a real time basis. If the processing can be performed significantly faster than the time required to sample and load signal inputs, it is then possible to perform multiple analyses of the input signals on a segmented basis. The concept of performing a new analysis on a segment of data in which only a portion of the signal has been updated (some old data, some new data) is referred to as overlap processing.


Random Control Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of
the Lynx control window.

Click on a tab to view the different test settings available.

Strategy:

Average - Used when you want the arithmetic average of the individual control channel levels to be computed and used as the composite control level, this is the default value.

Minimum - Used when the smallest levels for the individual control channels are used as the composite control level.

Maximum - Used when the largest levels for the individual control channels are used as the composite control level.

Mode: This enables the user to define whether the test starts in automatic mode or in manual mode. If auto-only is selected then the user may not select manual mode when the test is running

Stored Drive: Selection for using the drive waveform from a previous test as the first drive waveform for the next test. Verify prompts the user at the start of each test. This shortens the test length by not performing low level equalization.

Caution: The following conditions must be the same as the stored drive used:
- Same shaker gain
- Same accelerometer sensitivity
- Same fixture and test article
- Same channels used

Loop Gain: The sum of the gains, expressed in dB, acting on a signal passing around a loop.

Spectral Smoothing: The general process of removing noise from data. Typically, performed by filtering a signal (provided that noise components are different in frequency than the desired signal.)


Random Test File Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Click on the button to the right of the file location to browse and add a file. This enables you to load pre-saved files containing all the settings needed for a random test which saves you from having to navigate through the different setup dialogs.

Test File Description: This is a user defined text message of the description of the random test.


Random Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx Basic control window. This dialog specifies how and when the data from a test should be stored.

Click on a tab to view the different test settings available.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (RandomTestData.sdd), this means however that each time the test is started the data is overwritten

Save On Level Change: This will save data every time the test moves up a level in the schedule.

Save Every n Second(s): This allows data to be stored on a time basis, be careful here if you are running a long test as the file size could get quite large.

Save on Alarm: This saves data if the data trace exceeds the alarm line in the profile.

Save on External: This saves data at a user defined point.

Specify Path: Browse the location where the SDD file is to be stored. By default, all SDD files are saved in the directory where the Lynx application is launched. Note: This option is always recommended as certain versions of Windows cause files to be saved in unknown locations such as the system directory. This can make it difficult to find and organize your data files.


Random Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx Basic control window. This dialog specifies how and when the data from a test should be stored.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Random Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (defined in 'Data Storage' and the All / Last Frame(s) buttons). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.

Print Synopsis: Prints the test's synopsis file once the test completes.

Run Manual Print Automation: Use this to open a previously stored SDD file and manually print using the current print automation setup.


Random Test Control

To view the Test Control select 'View' from the main Lynx control window followed by 'Test Control'. Note also that some of the functions which can be carried out using the test control window can also be done using the main menu under the header 'Test'.

[Start]: When depressed the test is running, otherwise it is stopped.

[Restart]: If a test is aborted by either an alarm/abort or by the user, restart will continue the test where it was aborted.

[Pause]: Pause the test if running, press again to resume test.

[Manual]: Toggles the test control between automatic and manual modes.

[Step Up] / [Down]: Steps the test level up or down while in manual mode, this can action can also be done using the slider control.

[Drive Update]: The drive update function can be either on or off. On is commonly used for closed loop control. When off is selected, the drive voltage level is fixed and Alarm/Abort limits are inactive.

[Reset Average]: Resets averaging algorithm.

[Save]: Save the current frame of data to a file.

[Abort]: Manually aborts the current test in progress.


Random Channel and Control Status

The channel status box displays information on each of the channels.

Under each channel the live output will be displayed in GRMS. If not all of the channels are active then the corresponding channel number and output will be grayed out.

The control status box displays information regarding the test.

Test Level: The current test level measured in dB.

Control Level: The current input control spectrum measured in RMS (g or m/sec²) of control spectrum.
Drive Level: The estimated drive output in RMS.


Random Level Status

The level status box displays information regarding the status of the test within a pre-defined schedule.

The level status box also keeps track of the amount of elapsed / remaining time at and between each schedule level. These times will reset when the test reaches a level.

You can keep track of the tests position within a schedule by the following display:

Manual Mode
Should manual mode be enabled during a test, the schedule will be held until automatic mode is re-enabled. The following message will appear:

The elapsed time will reset each time you step up, or step down in the test, obviously the remaining time will not change, as this is undefined.


Random Test Status

To view the control status box select 'View' from the Lynx control window then 'Test Status'.

The test status box also displays the amount of time elapsed and remaining. This time is calculated from the moment you press start to the time when the test stops naturally or is aborted. A progress bar is used as an abstract method of showing the tests completion status.


Random Safety Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Shaker Limits tab to view those limits.

Alarm Lines: Enter a number from 1 to the resolution, or a percent from 1 to 100. This parameter is the number of lines allowed out of tolerance before an alarm is activated.

Abort Lines: Enter a number from 1 to the resolution, or a percent from 1 to 100. This parameter is the number of lines allowed out of tolerance before an abort is activated.

Sigma Clipping: Drive clipping allows clipping of high peaks in the output signal to prevent power amplifier overloads. However, clipping can cause a reduction in the system dynamic range. Range is from 2 to 20. 20 turns off Sigma Clipping.

GRMS: Db units are automatically scaled if the Reference Spectrum is changed. Alarm displays a message if the control spectrum level exceeds threshold level. Abort automatically shuts down test if control spectrum level exceeds threshold.

Loop Check: Maximum Noise is for a noise threshold (mV RMS). Enter the ambient noise signal level used to decide if an input channel is too noisy to be used during a test. This must be in the range 0-1000 mv. For maximum drive (mV RMS), enter the maximum drive voltage for system output during loop check threshold search. The drive will not exceed this value if an open loop condition occurs.

Max Noise - Acceptable ambient noise level. Used to set a noise level above a channel that is too noisy to allow test to be run.

Max Drive - Maximum output level during loop check. Higher drive levels may be necessary for noise environments or if gain is low.

CSL Sensitivity:
 Warning! The 'Off' mode can cause severe over-test if the control signal is lot due to broken cables or malfunctioning equipment and the drive signal is increased in an attempt to compensate for the low control level. It is highly recommended that the 'Off' and 'Low' only be used in manual mode and never unattended.

Standard:

- Measure the ambient noise (in RMS volts) on each control channel with the drive off.
- Increase the drive until all control channels exceed the measured ambient noise by 6dB.
- Measure the RMS of each control channel at the current drive level and store the RMS level.
- If, at any time during a test, any one of the control channel's RMS values goes more than 3dB below the above stored RMS level, the test is aborted. This method provides the safest control signal loss detection mode and will usually detect cases where an accelerometer has fallen off a test specimen, but remains on the test fixture (bouncing about).

Low:

- Measure the ambient noise on each control channel (with drive off) and sets the control signal loss threshold to 3dB above this level.
- If, at any time during a test, any one of the control channel's RMS values goes below the above stored RMS level, the test is aborted. This method is good for large structures that may have large differences in the gains of the control channels. This method should only be used during attended tests.

Off:
- Disable the control signal loss after the loop check. This method should only be used in manual mode and when the test is attended. It may be useful in noisy environments for cases where control signal loss aborts have occurred and the equipment is known to be working properly.


Random Shaker Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Safety Limits tab to view those limits.

If at any time the test reaches these maximum values then the test will be aborted.

The following values may be set:
Acceleration (+g) and (-g) in range 0.0001 - 100.
Velocity (+in/sec) and (-in/sec) in range 0.0001 - 100.
Displacement (+in) and (-in) in range 0.0001 - 100.
Voltage (+v) and (-v) in range 0.0001 - 100.

The negative values will be pre-determined if the symmetric limits box is checked.

Symmetric Limits: If this check box is selected then the negative values become equal to their positive counterparts although still with their opposite polarity.


Sine Overview

Next topic Sine

The Sine Function program provides digital real-time closed loop shaker control for production testing, design qualification and reliability testing applications. The system allows the definition, simulation, and closed loop control of a Sine Function vibration excitation shaker system.

Please select a topic below for more information.

Setting Up a Test

Channel Setup
Test Scheduling
Profile Setup
Resonance Search and Dwell
Test Control Settings

Running a Test

Controlling a test
Channel Status
Control Status
Sweep Status

Test Safety
 Safety / Shaker Limits

Sine's technical specification


Sine Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Click here for Transducer Database help

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive - No data acquired from this channel.

Control - A channel defined at a control point on the device under test. You must select at least one control channel and may select multiple channels. Loop check will be performed on all control channels.

Measurement - A channel used to measure data at other points on the DUT. These channels are not used in the control process to modify the drive. Loop Check is optionally performed on these channels.

Reference - This channel type is the same as control for the normal test functions.

Transducer Type: The available choices depend on the channel type and the reference type (Acceleration or EU). Select the signal type expected from the input channel's transducer.

Acceleration - The input signal is assumed to be a voltage proportional to the single amplitude (0-pk) acceleration of the transducer. The value entered in the sensitivity item is divided into the input signal of the channel to compute acceleration.

Velocity - The input signal is assumed to be a voltage proportional to the Single Amplitude velocity of the transducer. The value entered in the sensitivity item is divided into the input signal of the channel to compute velocity.

Displacement - The input signal is assumed to be a voltage proportional to the single amplitude displacement of the transducer. The value entered in the sensitivity item is divided into the input signal of the channel and then the result is doubled to compute double amplitude displacement. If a Control, Limit, Control/Limit, or Abort channel type uses the Displacement Transducer Type, then the input signal is converted to acceleration before being used to compute the Control, Limit, or Abort value.

Loop Check: This is to check the channel's reception of the signal being sent through the drive.

db Abort: User defined abort level.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

Weighting: Used for control channels. When using multiple control channels, Lynx recognizes all the control channels as single "pseudo" channel, this done by averaging all the channels together. Weighting allows you to do a weighted average of the channels. The number entered here is weighted relative to the other control lines, an example would be where one control channel has a 1 and another has a 3, there would be a 3:1 ratio in the average.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Sine Profile Table

To modify of view the channel definition for a test, select 'Profiles' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.pro). After the first time, this will be done automatically for you.

Define appropriate ranges for your test for Reference Parameters and Alarm Abort Range.

Max Test Level - This parameter will allow you to run your Referenced Sine test above the o dB level entered. This allows you to enter the maximum test level in dB above the entered Reference Profile.

[Box Tolerance]: Allows step changes in level between segments (numbers). This is used for cases where acceleration level change is greater than .5dB. The Alarm and Abort Width (%) specifies these tolerances.

Choose the units that you wish to work in under Units Selection.

Frequency: The frequency in Hz. Must be within the boundaries set in the profile range.

Type:

Displacement - peak to peak value.

Velocity - zero to peak value.

Acceleration - zero to peak value.

Logarithmic / Logarithmic Slope - line on log-log basis.

Linear / linear Slope - line on linear-linear basis.

Alarm: Alarm lines are the second most outer lines of a profile. When the plot exceeds either of the alarm lines the test will abort of ignore it but record that it took place. Whether the test will abort or ignore is decided within a schedule. The values in this column indicates the how far in dBs the alarm line is in relation to the control line.

Abort: Abort lines are the outermost lines of a profile, when a plot exceeds the abort lines the test will be aborted. The values in this column indicates the how far in dBs the alarm line is in relation to the control line.


Sine Search and Dwell

Sine Resonance Search and Dwell

The purpose of the resonance search and dwell capability is to determine the resonance of a test article, and then to allow the article to be excited at some or all of the resonant frequencies for selected test level and duration. During excitation at a particular resonance, the excitation frequency can either be constant (i.e., a fixed dwell test) or can follow or “track” the resonant frequency if that frequency changes during the excitation (i.e., a tracked dwell test).

The tracked dwell test capability consists of a resonance survey, resonance search, and resonance dwell test. A survey and search must be performed before a dwell test can be executed.

In the resonance survey, a single sine sweep is conducted over the entire sweep frequency range. During the survey, the transfer functions are computed. Next, the transfer function data for a single selected channel pair is examined to detect resonances (by identifying peak frequencies and the neighboring half-power frequencies). At the end of the search the resonance parameters (amplitude, frequency, phase, and “Q” value) for all resonances found are stored in a Resonance Dwell Table for the selected channel pair.

Using the data acquired from a single survey, a separate resonance search can be performed for each of the other channel pairs, and the parameters for the resonances found for each of these channel pairs can be stored in a separate Resonance Dwell Table. This capability allows extraction of all resonance parameters without repetitively exciting the test article, thus avoiding the danger of over-stressing the article.

Use [Do Search] in Dwell Table after you have selected saved data from ‘Load List’ that contains data from a sine sweep that used fundamental processing for each channel pair. When you execute the [Do Search] function a resonance survey and search is performed. The results of the survey and search are the parameters of the resonances that were located for the currently selected channel pair. The resonance parameters for the current pair are stored in the Resonance Dwell Table for that pair. You may at this time select another channel pair and execute another search to locate and compute the resonance parameters for the other pair, and to store them in a separate Dwell Table. You may edit any or all of the Tables.

To save all Resonance Dwell Tables click on Save As button and assign a file name (.rsd).

Following the completion of one or more search operations for the various channel pairs, the Resonance Dwell Tables for the pairs may be selected and edited (1) to delete any resonance's that are spurious or of no interest and (2) to specify the dwell test parameters for each resonance. These parameters are the test level to be used at each resonance and (for a tracked dwell) the frequency dwell range within which the resonance will be tracked during the dwell test.

The resonance dwell test first performs a loop check, and then generates a sine wave at each of the dwell frequencies in the selected Resonance Dwell Table, in their order of occurrence in the table, and dwells at each frequency for the specified duration.

Search Parameters

Max Resonances - Maximum number of resonances to search for.

Hysteresis (points) / Minimum Q Value - These parameters set a minimum Q threshold value and number of points used for the survey and search operation, such that any detected resonance whose Q Value is not greater than the threshold is ignored and is not recorded in the Resonance Dwell Table. A minimum of 3 points is required to determine a Peak. If no resonance's are recorded for a search but; you have observed resonant behavior of the test article during the survey, you can rerun the ‘Do Search’ function. Set the Minimum Q value to a lower value and/or increase Hysteresis and then execute another search. The search is performed on saved data and does not require the test article to be subjected to more testing. Display the H(f) Magnitude during the survey and observe amplitude peaks to aide in this process.

Smoothing - The general process of removing noise from data. Typically, performed by filtering a signal (provided that noise components are different in frequency than the desired signal.)

Search Channel - Channel to conduct search on.

Phase Ref Chan - Reference channel to conduct a search on.

Dwell Parameters

Dwell Status:

Fixed - The sine signal excitation frequency is not changed but is held constant, even if the phase of the resonance changes during the dwell. Note: You must still have a start frequency that is lower than the dwell frequency and an end frequency that is greater than the dwell frequency in order for it to work properly

Phase - If for some resonance you retain unequal values for the Start and End frequencies, then during a subsequent dwell the test at that frequency will be a “tracked dwell”. “Tracking” means that during the dwell duration at that frequency, if the phase of the H(f) changes due to a change in the mechanical response of the test article, then the frequency of the excitation sine signal is increased and decreased to follow (track) the phase until the current phase value equals the reference phase value for that resonance that was measured during the survey.

Auto - Will track the amplitude of the resonance within the frequency range specified.

Units - You may toggle between dwell duration units of time and cycles. The duration currently entered in the dwell duration item is automatically converted to match the selected units. The conversion is Cycles = (Dwell Frequency) * (Time), where the time is in seconds.

Duration - Enter the dwell time for this dwell frequency either in units of time (hours:minutes:seconds) or sine wave cycles. The allowable number of cycles is 1 to 999,999,999 with the restriction that the minimum number of cycles is equivalent to at least 1 second in time. This field is not enabled (faded) when Automatic Dwell Mode is chosen. After an Automatic search, the default dwell time is set to 30 units for dwell numbers that were not initialized before the search.

The Start Frequency, End Frequency and Dwell Phase can be changed while a dwell test is running. The change becomes active on the next control loop after you enter a new value and press the Return key on the keyboard. If you specify the Start Frequency equal
to the End Frequency, then tracking is disabled and a fixed frequency dwell is performed.

 Start Freq - This is the lowest frequency allowed for tracked dwell of this resonance. If the phase tracking algorithm goes below this start frequency, the tracked dwell at this frequency fails and you will be asked to continue to the next dwell or to abort the test. For Automatic Dwell Mode, the Start Frequency is set during the Search process to the frequency at which the selected resonance magnitude is reduced by 3 dB. You are allowed to change this value in the test setup before starting the dwell test. The minimum value is the Start Frequency defined in the Reference Table.

Dwell Freq - This is the initial dwell frequency. For automatic mode it is set to the resonant frequency. The Dwell Frequency must be within the Start Freq and End Freq.

End Freq - This is the highest frequency allowed for tracked dwell of this resonance. If the phase tracking algorithm goes above this end frequency, the tracked dwell at this frequency fails and you will be asked to continue to the next dwell or to abort the test. For automatic mode, this end frequency is set to the frequency at which the selected resonance magnitude is reduced by 3 dB. You are allowed to change this value. The maximum value is the End Frequency defined in the reference table.

Phase - This is the desired dwell phase angle for tracking the resonance. For automatic mode, it is set to the phase value of the resonant frequency found during the resonance search.

Level - Enter the desired dwell level. The units are determined by the Units parameter or EU label in the Profile Table.

Alarm Limit - Alarm lines are the second most outer lines of a profile. When the plot exceeds either of the alarm lines the test will abort of ignore it but record that it took place. Whether the test will abort or ignore is decided within a schedule. The values in this column indicates the how far in dBs the alarm line is in relation to the control line.

Abort Limit - Abort lines are the outermost lines of a profile, when a plot exceeds the abort lines, the test will be aborted. The values in this column indicates the how far in dBs the alarm line is in relation to the control line.


Sine Schedule

To modify or view the schedule setup, select 'Schedules...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a schedule file (.ssd) After the first time, this will be done automatically for you. This table allows you to program variable sweep rates along with variable compression rates throughout the frequency range of your test.

Click on the tab to view the Test Schedule.

Start Freq / Stop Freq: Must be within the range as specified in the Test Start / End Frequency parameter.

Rate: Rate (db/sec) at which the sweep changes frequency (0.5, 1.0, 2.0).

Compression: Compression rate in %. (1 - 100). Typically lower compression rates (<30%) are used for low frequency startups or for smoother control; higher rates (>80%) are used for control through resonances and anti-resonances.

Start Up Rate (dB/sec): Enter the start up rate of the test in dB/sec.

Shut Down Rate (dB/sec): Enter the shut down rate of the test in dB/sec.

Test Level (+/- dB): Test level in dB from the Reference Level Profile specified.

Auto Start Test When Level Reached: The test will automatically start sweeping when the test level is within 10% of the amplitude specified.


Sine Test Schedule

The Test Schedule Dialog allows automation of different test within a single application. Test Automation with multiple applications can be accomplished by using Mission Simulation Control. Use the browse buttons [image] to select a profile and schedule. Set the delay (hrs : min : sec) between tests, then the number of times the test is to be repeated. Press [Run Schedule] to start the test. Note that after any modifications which are made must be saved to a schedule file (.ssd) After the first time, this will be done automatically for you.

Click on the tab to view the Sine Schedule.

Once the test has begun, the Test Scheduling Dialog will appear showing the schedule with the current test. A box around the current cycle entry specifies the current test in progress. When the test is complete, the text will turn red while the delay is in progress, then continue until all cycles and tests are complete.


Sine Sweep Parameters

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Duration Type: Either sweeps or time.

Sweeps: Number of sweeps to be carried out during a test

Test Time: Total test time.

Test Start Freq: Initial Frequency (Hz).

Test End Freq: Final Frequency (Hz).

Clear Sweeps: Choose whether the sweeps are cleared every sweep or every other sweep.

Points Per Sweep: This is the resolution of the sweep in points. The allowable range is 450 - 2400 points..

Sweep Mode: The type of sweep, either logarithmic or linear. Linear frequencies vary linearly with time; Hz/sec logarithmic frequencies vary on a logarithmic basic with time; Oct/min

Initial Sweep Direction:

Up - Minimum frequency to maximum frequency.

Down - Maximum frequency to minimum frequency.

Sweep Type: Either rate of timed.

Sweep Time: The amount of time taken to complete a sweep. If a time is entered then 100% sweep rate value is calculated.

Multiple Sweep Rate Definition: This has two setting choices, 100/50/25% (full, half and quarter sweep selections) or arbitrary. These values can be used in both Manual Mode and in the Sine Schedule Table for manual sweep rate control.

100% Sweep rate: This is the main sweep rate used during the test unless a variable sweep rate has been specified in the Sine Schedule table or in Manual Mode. This value is also used as the full sweep rate when calculating the half and quarter sweep selections.

Sweep Rate 1, 2, 3: These values are calculated when the Multiple Sweep Rate Definition is 100/50/25%. If Arbitrary is selected, then you must enter values for each. Sweep Rate 1 must be faster than Sweep Rate 2 which must be faster than Sweep Rate 3.


Sine Control Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Filter: The bandpass filter type, select either Proportional ( filter bandwidth varies a percentage of drive frequency ) or Fixed ( Filter bandwidth fixed ).

Strategy:

Average - This should be used when you want the arithmetic average of the individual control channel levels to be computed and used as the composite control level.

Minimum - This is used when you want the smallest of the levels for the individual control channels to be used as the composite control level.

Maximum - Should be chosen when you want the largest of the levels for the individual control channels to be used as the composite control level.

Mode: This enables the user to define whether the test starts in automatic mode or in manual mode. If auto-only is selected then the user may not select manual mode when the test is running

Compression(%): The compression rate as a percentage. Typically lower compression rates (<30%) are used for low frequency startups or for smoother control and higher compression rates (>80%) are used for control through resonances and anti-resonances.


Random Test File Setup

Sine Test File Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Click on the button to the right of the file location to browse and add a file. This enables you to load pre-saved files containing all the settings needed for a random test which saves you from having to navigate through the different setup dialogs.

Test File Description: This is a user defined text message of the description of the random test.


Sine Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, the date and the time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file, (SineTestData.sdd), this means however that each time the test is started the data is overwritten.

Save Every N Second(s): This option allows data to be stored on a time basis, be a little careful here if you are running a long test as the file size could get quite large in size.


Sine Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (defined in 'Data Storage' and the All / Last Frame(s) buttons). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.


Sine Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate] feature, as defined in Data Storage, is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Sine Test Control

To view the Test Control select 'View' from the main Lynx control window followed by 'Test Control'. Note also that some of the functions which can be carried out using the test control window can also be done using the main menu under the header 'Test'.

[Start]: When depressed the test is running, otherwise it is stopped.

[Restart]: If a test is aborted by either an alarm/abort or by the user, restart will continue the test where it was aborted.

[Save]: Save the current frame of data to a file.

[Dwell Test]: A Dwell Test can be initiated after the Sine function test is completed by clicking the this button on the Test Control. The 'Dwell Status' window as shown above will become active, displaying the status of the current Dwell Test. This can be turned on/off using the view menu of the Lynx control window. See Resonance Search and Dwell for more information.

[Analysis]: Used to initiate analysis of pre-existing sine data.

[Manual]: Toggles manual mode on and off.

[Dwell]: Causes the sweep to pause.

[Swp Up / Down]: Changes the direction of the sweep while in manual mode.

[Compression]: Adjustable 1-100%. Typically lower compression rates (<30%) are used for low frequency start-ups or for smoother control; higher rates (>80%) are used for control through resonances and anti-resonances.

[Amplitude]: Adjustable from 0db to -60db.


Sine Channel Status

The channel status box displays information for each of the channels. To view a channel status box select 'View' from the main Lynx control window, followed by 'Channels 1 to 4', 'Channels 5 to 8', etc.

Under each channel the live output will be displayed in Gs. If not all of the channels are active then the corresponding channel number and output will be grayed out.


Sine Test Status

To view the control status box select 'View' from the main Lynx control window then 'Test Status'.

The test status box also displays the amount of time elapsed and remaining. This time is calculated from the moment you press start to the time when the test stops naturally or is aborted. A progress bar is used as an abstract method of showing the tests completion status.


Sine Control Status

To view the control status box select 'View' from the main Lynx control window, followed by 'Status Panel' and finally 'Control Status'.

The control status box displays information regarding the test.

Test Level: The current test level measured in dB.

Control Level: The current input control spectrum measured in g or m/sec2

Drive Level: The estimated drive output in volts


Sine Sweep Status

To view the level status box select 'View' from the main Lynx control window followed by 'Sweep Status'.

The pictures below are used to graphically represent the following messages

The sweep status box also keeps track of the current sweep rate and allow the user to make modifications to this rate when the test is in manual mode.


Sine Safety Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu.

Click on the Safety Limits tab to view those limits.

Control Signal Loss:

Abort Count - Number of times the CSL db Below Min Reference is exceeded before test is aborted. This prevents aborts through sharp resonances by aborting only if the CSL db Below Min Reference is exceeded a number of consecutive times.

db Below Min Reference - Level change greater than this causes control signal loss abort. A false control signal loss can be triggered by abrupt changes when sweeping through sharp resonances; in this case a larger integer may be needed.

Loop Check: Fast will compromise accuracy, Rigorous will compromise speed.

Frequency - Drive frequency for loop check signal. Choose an intermediate frequency with a normal gain level; using a low frequency value (< 10 Hz) will result in a longer loop check time.

Max Noise - Acceptable ambient noise level. Used to set a noise level above which any channel is too noisy to allow test to be run.

Max Drive - Maximum output level during loop check. Higher drive levels may be necessary for noise environments or if gain is low.

Abort Excursions: Number of control signal loss aborts before test is aborted.


Sine Shaker Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Safety Limits tab to view those limits.

If at any time the test reaches these maximum values then the test will be aborted.

The following values may be set:
Acceleration (+g) and (-g) in range 0.0001 - 100.
Velocity (+in/sec) and (-in/sec) in range 0.0001 - 100.
Displacement (+in) and (-in) in range 0.0001 - 100.
Voltage (+v) and (-v) in range 0.0001 - 100.

The negative values will be pre-determined if the symmetric limits box is checked.

Symmetric Limits: If this check box is selected then the negative values become equal to their positive counterparts although still with their opposite polarity.


Java Example

Included under the "..\\Lynx\\Active X\\Java" directory, there is an example project on the functionality of the LynxTestAutomationServer using Active X. This will load, control, and display the status of a Lynx test locally.

The Active X program will start Lynx and the dialog as shown below will appear. Start, Stop, Manual, and Load have the same functionality as the Lynx Test Control. The selection box will output the values of the Lynx status boxes (channel info, test levels, etc.) in the read-only text fields on the left. The check boxes on the right are read-only status boxes showing if the test is in manual mode, aborted, or if it is running.


Java Generic Functions

Generic Functions

The following table lists all other functions available. Each of these functions takes no parameters and has no return value. Each presses one button on a Lynx control panel and works the same in all four examples (Java, Visual C++, Visual Basic, and LabVIEW)..


Java Implementation

The Java SDK consists of three .java files (TestForm, TestAutomationServer, I_TestAutomationServer). Add these to your project and you can begin using the AutomationServer object. Use its functions to control the Lynx test software. This SDK currently does not support creating the automation object on a remote machine.

Function Descriptions:

void OpenTest()

Creates an OpenFile dialog and loads the selected file.

void LoadTest(String filename)

Loads the test specified by filename.

void UpdateChannelStats(int index)
Calls GetChannelStats to update panel member variables.

void UpdateTestInfo()
Makes current test information available in Lynx.

void InitListBox(ListBox list)
Fills in a listbox with the status panel choices.

int GetChannelCount()
Returns the number of channels of the Lynx system.

boolean TestAborted()
Returns True if test has been aborted, False otherwise.

boolean TestRunning()
Returns True if test is currently running, False otherwise.

boolean TestManual()
Returns True if test is in manual mode, False otherwise.

void GetChannelStats(int index, String s1, String s2, String s3, String s4)
Retrieves values for one Lynx status panel and places them in the panel member variables.
The following indexes determines the different status panel values.


Analyzer Acquisition

This is the main setup control for the Analyzer application. To display this window select 'Setup' followed by 'Acquisition' under the main menu for the Lynx control window.

Type: This sets the mode in which Lynx will operate, select either [Analysis], [Modal], or [Transient]. If transient is selected see Transient Profile.

Mode: Resolution / Frame Size / Duration (ms): This selects the mode to be used that will govern the duration, the size of the data frames, and the resolution. Example if you select resolution with a setting 1600, then you can only have a frame size 4096 and a duration of 800ms.

Resolution: Depending on the specifications of your hardware the available resolutions are 100, 200, 400, 800, 1600, 3200, 6400, and 12800. This parameters determines how many calculated points there are within the bandwidth below. Having a low bandwidth and a high resolution will slow down the test but increase accuracy.

Bandwidth: The available bandwidths are 50, 100, 200, 500, 1000, 2000, 5000, 10000 and 20000.

Window Type: Used in analysis and modal types.

None (Rectangle) - The None choice, for no windowing, is useful when you need to use all of the data in the time record equally or uniformly.

Hann, and Blackman Windows - The Hann and Blackman windows are very similar. These windows are generally most appropriate for random and non-periodic signals.

Calibration - The Calibration window is provided primarily for use with pure sinusoid inputs. It is corrected such that a sine wave input at any frequency produces the same spectral amplitude that it would have if no window were applied and the sine frequency fell exactly on one of the computed discrete spectral lines.

Force/Impact - The force window may be applied to the output of a transducer to avoid collecting extraneous signals caused by a device other than a hammer.

Correlation - A window that must be used for auto and cross correlation.

Averaging Mode: Averaging is one technique used to decrease the noise in the system.

Linear - All blocks of data are treated equally in terms of their effect on the averaged result. A specified number of averages will be taken.

Exponential - Similar to linear averaging, Exponential requires a weighting factor which either increases or decreases the effect of each new data block on the resultant average.

Max - The resultant block is a collection of points that represent the peak amplitude for each point. With each new block of data, the current data is compared with the new data on a point by point basis. The highest amplitude for each point in the block is retained.

Num Avgs: Enter the number of averages you would like the test to perform. This means that the test will consists of this many repetitive samples.

Damping Factor: Enter the desired amount of Damping. This is a percent of the full scale voltage to what % is available. This is only active if you choose Force/Impact under Window Type.

Discount Weighting: This factor (w) is used for the H(f) averaging calculations. (1/w) averages are used for the initial H(f) calculation during the System Identification process. (w) is also used as an exponential discount factor for averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125.

Waveform Trend Removal: Enable or Disable the DC offset removal from the Acceleration Waveforms before they are integrated to Velocity and Displacement. It should normally be Enabled for all cases except Classical Shock Import Reference where the imported waveform may not have final zero velocity and final zero displacement.

SRS Spacing: Available only in transient 1/1, 1/3, 1/6, 1/12, 1/24

SRS Definition: Available only in transient. Select whether the SRS analysis computation is to be based on Absolute Acceleration of the test mass or the Relative Displacement of the mass and the base of a single degree of freedom (SDOF) system.

SRS Damping (%): Available only in transient. Enter the damping factor for the SRS computation specified as a percentage of critical damping. The Damping value must be between 0.1% and 99.0%. Damping % = 100/(2*Q)


Analyzer Channel and DOF Status

Previous topic Analyzer Channel and DOF Status

The channel status box displays information on each of the channels.

Under each channel the live output will be displayed in GRMS. If not all of the channels are active then the corresponding channel number and output will be grayed out.

The DOF status box displays the status of eight channels.


Analyzer Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Click here for Transducer Database help

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive: No data acquired from this channel.

Measure: A channel used to measure data at other points on the DUT.

Measure/Reference: A Measurement/Reference channels is not required unless a cross channel function is calculated.

Engineering Units: Click here for explanation of engineering units.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/EU. Range .01 to 1,000,000.

ICP: This is used in order to power an ICP type accelerometer, default is "off". You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Analyzer Control

To open up analyzer control select 'View' then 'Analyzer Control'. This is the test control which will start and stop the acquisition of data for storage and analysis.

Click on a tab or arrow to view the different analyzer controls available.

 [Start]: This will begin the acquisition of data, depending upon how your trigger is set it will begin immediately.

[Store]: This saves the data to the selected data file. See Data Storage for more information.

[Manual Arm]: If manual arm was selected in the Trigger Setup window then this button will appear enabled. When acquisition is started then the trigger event will not be enabled until the manual arm is depressed.

[Accept] / [Reject]: If manual accept was selected in the Trigger Setup window then these button will appear enabled. If a trigger event has occurred, you must either accept or reject the acquired data.

[On Line]: This activates online averaging capabilities of Lynx. A green light appears when active. Note that when this is active, averaging cannot be started.

[OL Reject]: This will enable Lynx's automatic rejection if there is an overload on one of the channels. A green light appears when active.

[Auto Range]: This turns on the auto ranging capabilities of Lynx. A green light appears when active.

[Open] / [Close Data File]: This opens a data file for analyzing from a previously streamed-to-disk test.


Analyzer Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Analyzer Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.
View Database topic

Data Type: This sets the file type or the structure of how the data is written in the file, selecting Lynx will save the data in the format which Lynx recognizes (.sdd). Selecting UFF (Universal File Format), will save it in an industry standard format allowing portability to other applications.

Functions: Check one or more functions that you want saved to the data file.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (AnalyzerTestData.sdd), this means however that each time the test is started the data is overwritten.


Analyzer DOF

To open up analyzer control select 'View' then 'Analyzer Control'. This is the window to setup the DOF (Degree of Freedom).

Click on a tab or arrow to view the different analyzer controls available.

The DOF is the the response location and direction for each transducer where the data is being collected. This corresponds to a specific input channel.

Response DOF Processing:
None: No automation. You enter the location and direction for each input channel in the channel table.
Auto: This will automatically increment the response channels location number by the increment specified (for each set of channels collected). This allows you to acquire banks of channels and not enter the location number for each channel of each set.
Table: If the numbers are not located sequentially or your using a roving hammer then you have the ability to enter the location, channel label, direction, and status of each input channel for each set of channels in separate channel tables. After the data for each set is collected, the system will automatically go to the next channel table set. This will save the user from having to enter the location and direction in the channel table every time the transducers are moved to another location on the DUT.

Auto Increment: These parameters are only available when you select Auto under Processing of DOF's. Every time you save data the location number specified in the channel table, each response channel will be increased by the location increment. The direction and start number will be taken from the channel table for each input channel. Note: Location Start and Location Increment are not in use at this time.

Invert Reference: This simply inverts the reference and the response channels when calculating the FRF's.

[Define Table]: When table is selected for the Response DOF Processing option, this dialog below will be available. This will allow you to define multiple sets of channel tables prior to the start of data acquisition. Every time you save data it will automatically recall the next channel table set. As a result, you can move the transducers to the next set of locations and not have to enter the new locations for each input channel.


Analyzer Tone Calibration

Analyzer EU Calibration

To view the EU Calibration dialog, select 'EU Calibration' from the 'Setup' menu from the main menu of the Lynx control window. Note that On Line mode must be turned off to calibrate a tone.


Analyzer Output

To open up analyzer control select 'View' then 'Analyzer Control'. This will allow user control the waveform generator.

Click on a tab or arrow to view the different analyzer controls available.

Type: Sine, Sine Chirp, Random, Pseudo, and User Defined.

[On]: Starts the waveform generator.

Output Scale: This control uses a sliding level adjuster to allow adjustments to the output level while the waveform output is active. The full scale output capability of the Lynx system is +/- 12 volts peak.

Frequency: This setting is for frequency of the generated sinusoidal waveform.

Burst Taper: In order to minimize the startup and shut down transients caused by a burst random event, the waveform generation allows the user to specify a sine^2 tapering function to be applied to the beginning and end of the burst event. The taper is defined as a percent (%) of the burst duration. The pulse taper has a range of 0 to 50% of the burst duration size.

Delay: Controls the delay (0 - 32ms) between bursts.

Waveform Duration (%): The time duration of the burst is specified by this entry. The units are expected to be in percentage of the maximum allowable duration for the sampling rate.

[Define Output]: This is used for a user defined output as selected in the type listbox. When pressed, a dialog will open up as shown below. Define the frequency and level then save the data in an output shape file (.osh).


Analyzer Overview

Next topic Analyzer

Signal analysis is used to determine the frequency content of signals and to characterize systems, such as test articles. The Signal Analysis program is designed to acquire data by taking an input waveform, converting it to a digitized time history, processing the appropriate functions, then displaying the measurements

Please select a topic below for more information.

Setting Up a Test
 Channel Setup
Acquisition
Transient Tolerances
Control Settings

Analyzer Control
 Controlling a test


Analyzer Stream

Analyzer Partitions

To open up analyzer control select 'View' then 'Analyzer Control'. Partitions allow multiple files to be stored on a single SCSI disk. Click on a tab or arrow to view the different analyzer controls available.

Click on a tab or arrow to view the different analyzer controls available.


Analyzer Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (either All Frames or Last Frame). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.

Print Count: Number of times the list of graph templates print.

Print Synopsis: Prints the test's synopsis file once the test completes.

Run Manual Print Automation: Use this to open a previously stored SDD file and manually print using the current print automation setup.


Analyzer Stream

Analyzer SCSI

To open up analyzer control select 'View' then 'Analyzer Control'. Disk streaming allows for large amounts of data to be acquired at a fast and accurate rate using a SCSI interface.

Click on a tab or arrow to view the different analyzer controls available.

Diagram of the SCSI interface.


Analyzer Transient Tolerances

To modify or view the channel definition for a test, select 'Transient Tolerances' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a analyzer profile (.apr). After the first time, this will be done automatically for you. Note that this option will only be available when type [Transient] is active in the acquisition dialog.

This is where you can create an SRS reference along with tolerance bands that are necessary to be displayed with the transient data captured. This is useful to print out the tolerance bands with the SRS data, whether Primary +, Primary -, or Maxi-Max, from one or multiple channels to verify if a test was within specification. You can enter Frequency and amplitude break points to represent the Reference SRS (Primary +, Primary -, or Maxi-Max) along with tolerance bands for each specified in +/-dB from a Reference.


Analyzer Trigger

To open up analyzer control select 'View' then 'Analyzer Control'. This is where you define the trigger's attributes.

Click on a tab or arrow to view the different analyzer controls available.

 Source:
Free Run: Data is acquired constantly at the selected sample rate for processing given the current number of tasks being processed.
External Triggering: Data is acquired time relative to a TTL input signal on the dedicated EXT TRIG input.
Channel (internal) Triggering: Data is acquired relative to the input signal on the specified channel.

[Slope]: Select either a rising edge or a falling edge.
Rising: The rising edge (increasing voltage) of the signal at the specified threshold level will serve as the trigger.
Falling: The falling edge (decreasing voltage) of the signal at the specified threshold level will serve as the trigger.

Threshold: Used to set the threshold (in terms of a percentage of the channel full scale voltage or in terms of mV) for analog signal triggering. Any signal (with appropriate slope) exceeding the threshold voltage will be used as the trigger. The threshold is either an integer percentage in the range from -99 - +99% in increments of 1% or in mV in the range 1 - 2000mV in increments of 1/100th mV.

Delay: This is the delay in (ms) or % of frames between the trigger and the start of data collection.

[Pre] / [Post Trigger]: Select Pre-Trigger if you would like to store the result into the data frame before the trigger event. Select Post-Trigger if you would like to store the result into the data frame after the trigger. This offset of time is set in the text box above marked delay.

Duration (ms): Not used in Analyzer.

[Arming Mode]: Choose [manual arm] when you want the system to wait for a trigger event, otherwise this will be automatic.

Trigger Beep: This will activate an audible alarm whenever the trigger conditions are met.

Manual Accept: This will allow acceptance of the last frame of data in averaging.


RandomSpecifications

Previous topic Classical Shock Technical Specifications

Control Methods
Control Loop Patented adaptive control algorithm with transfer function updating and coherence
smoothing to accurately and quickly compensate for non-linearity or time varying
changes in the dynamic load.

Control Performance
Dynamic Range Up to 90 dB.

Pulse Definition
Types: Half-sine, initial peak Sawtooth, terminal peak sawtooth, trapezoidal, rectangular,
import reference (UFF).
UFF Scale Factor: -40 to +40 dB
Pulse Duration: 0.1 to 32,000 ms
Buffer Duration: 10 ms to 64 sec
Pulse Amplitude: 0.01 to 500 g
Rise Time (Trapezoidal): 0.1 to 10,000 ms
Peak Time (Trapezoidal): 0.1 to 10,000 ms
Fall Time (Trapezoidal): 0.1 to 10,000 ms
Frequency Range: From 50Hz to 10 kHz; dependent on the pulse duration and type of compensation
Frame Size Automatic selection of 512 – 8192 samples, in squared (power of 2) steps

Pulse Compensation
Type: Pre- and post-pulse, pre-pulse only, post-pulse only
Displacement Optimization (Pre- and post-pulse): Single sided, double sided
Compensation Method (Double Sided): Displacement, symmetrical acceleration, non-symmetrical
acceleration
Pre-pulse Amplitude: 5 to 100%
Post-pulse Amplitude: 5 to 100%
Symmetrical Compensation: 5 to 100%

Display Tolerances
Type: None, MIL-STD 810, user-specified
Specified Segments: +pre-pulse, -pre-pulse; +main pulse, -main pulse; +post-pulse, -post-pulse
Specified Tolerance: 1 to 99%; independent for each segment

Control Parameters
Mode of Operation: Manual, semi-automatic, automatic
Number of Control Channels: Any one channel selectable as control
Repetitive pulses: 1 to 1,000,000
Delay Between Pulses: 0 to 8,000 ms

Control Strategy
Pre-stored drive: User selectable, no/yes
Drive Update Off, on (Equalization function updated after every pulse)
Output Polarity: +/-
Weighting for Averaging User selectable, 0.05 to 1
Feedback Gain User selectable, 0.05 to 1
Equalization Method Transfer function
Equalization Level: 0 to –80 dB
Input for Equalization: Pulse, random, pseudo random
Non-Linear Ampl.Factor NLAF #set 0.5 to 2.0
Waveform Trend Removal: Disable, enable (Removes DC offset before integrating from Acceleration to Velocity or Displacement)

Start-up Parameters
Initial Test Level Equalization level to 0 dB
Level Increment 1 to 20 dB
Equalization Delay 0.0 to 8,000ms

Safety Features
Shaker Limits Pretest verification that spectrum dynamic limits are within shaker operational limits (acceleration, velocity, displacement and voltage)
Loop Check Max. Drive User selectable, 1 to 5,000 mVrms
Loop Check Max. Noise User selectable, 1 to 1,000 mVrms
Max Average Error Alarm 0.01 to 100%
Max Average Error Abort 0.01 to 100%
Max Peak Error Alarm 0.01 to 100%
Max Peak Error Abort 0.01 to 100%
Control Signal Loss Continuous automatic detection
Maximum Drive Signal 0.01 to 12V Peak

Test Automation
Automatic Level Increase User selectable initial level, level increment, delay between pulses;
re-equalization between each pulse
Multiple Pulse User selectable number of full level pulses and delay between pulses

Channel Setup
Channel Type: Control, auxiliary, inactive
Sensitivity: 0.001 to 999,999 mV/g
Channel Loop Check: Enabled, disabled
Channel Label Up to 20 characters for each channel
Transducer Serial Number Up to 10 characters for each channel
Transducer Power Constant current source On or Off

On-Line Analysis
Real-Time Analysis Pulses and spectra for 1 to all available channels simultaneously displayed
Time Functions Control, drive, error and auxiliary waveforms
Display Units Acceleration, Velocity and Displacement
SRS Displays: Maxi-max; Primary and Residual +or -
SRS Resolution: 1/1, 1/3, 1/6, 1/12 and 1/24 Octave
SRS Damping: 0.1 to 99%, user selectable
SRS Definition: Absolute Acceleration, Relative Displacement
Cursors: X and Y value readout, peak search, trace tagging, multi-window locked positioning
Scaling of Display: Log / linear, auto-scaled / fixed, full control

Data Storage
Data Storage Setup Every pulse, last pulse, off
Playback Scan through the entire test data file, with adjustable delay
Record Annotation Complete tagging of each record with either static or dynamically
Test Summary Fully documented post-test summary, easily printed or incorporated into any
document using standard word processing software
Run Message Log Text file records all system status messages displayed during test run


Muti-Ref Modal Acquisition Settings

Multi-Ref Modal Acquisition Dialog

This is the main setup control for the Multi-Ref Modal Acquisition application. To display this window select 'Setup' followed by 'Acquisition' under the main menu for the Lynx control window.

Mode: Resolution / Frame Size / Duration (ms): This selects the mode to be used that will govern the duration, the size of the data frames, and the resolution. Example if you select resolution with a setting 1600, then you can only have a frame size 4096 and a duration of 800ms.

Resolution: Depending on the specifications of your hardware the available resolutions are 100, 200, 400, 800, 1600, 3200. This parameters determines how many calculated points there are within the bandwidth below. Having a low bandwidth and a high resolution will slow down the test but increase accuracy.

Bandwidth: The available bandwidths are 50, 100, 200, 500, 1000, 2000, 5000, 10000 and 20000.

Window Type:

None (Rectangle) - The None choice, for no windowing, is useful when you need to use all of the data in the time record equally or uniformly.

Hann, and Blackman Windows - The Hann and Blackman windows are very similar. These windows are generally most appropriate for random and non-periodic signals.

Calibration - The Calibration window is provided primarily for use with pure sinusoid inputs. It is corrected such that a sine wave input at any frequency produces the same spectral amplitude that it would have if no window were applied and the sine frequency fell exactly on one of the computed discrete spectral lines.

Force/Impact - The force window may be applied to the output of a transducer to avoid collecting extraneous signals caused by a device other than a hammer.

Correlation - A window that must be used for auto and cross correlation.

Averaging Mode: Averaging is one technique used to decrease the noise in the system.

Linear - All blocks of data are treated equally in terms of their effect on the averaged result. A specified number of averages will be taken.

Exponential - Similar to linear averaging, Exponential requires a weighting factor which either increases or decreases the effect of each new data block on the resultant average.

Max - The resultant block is a collection of points that represent the peak amplitude for each point. With each new block of data, the current data is compared with the new data on a point by point basis. The highest amplitude for each point in the block is retained.

Num Avgs: Enter the number of averages you would like the test to perform. This means that the test will consists of this many repetitive samples.

Damping Factor: Enter the desired amount of Damping. This is a percent of the full scale voltage to what % is available. This is only active if you choose Force/Impact under Window Type.

Discount Weighting: This factor (w) is used for the H(f) averaging calculations. (1/w) averages are used for the initial H(f) calculation during the System Identification process. (w) is also used as an exponential discount factor for averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125.


Muti-Ref Modal Acquisition Channel and DOF Status

Multi-Ref Modal Acquisition Channel and DOF Status

The channel status box displays information on each of the channels.

Under each channel the live output will be displayed in GRMS. If not all of the channels are active then the corresponding channel number and output will be grayed out.

The DOF status box displays the status of eight channels.


Muti-Ref Modal Acquisition Channel Table

Multi-Ref Modal Acquisition Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive: No data acquired from this channel.

Measure: A channel used to measure data at other points on the DUT.

Measure/Reference: A Measurement/Reference channels is not required unless a cross channel function is calculated.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/EU. Range .01 to 1,000,000.

ICP: This is used in order to power an ICP type accelerometer, default is "off". You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Muti-Ref Modal Acquisition Control

Multi-Ref Modal Acquisition Control

To open up analyzer control select 'View' then 'Analyzer Control'. This is the test control which will start and stop the acquisition of data for storage and analysis.

 Click on a tab to view the different analyzer controls available.

[Start]: This will begin the acquisition of data, depending upon how your trigger is set it will begin immediately.

[Store]: This saves the data to the selected data file. See Data Storage for more information.

[Manual Arm]: If manual arm was selected in the Trigger Setup window then this button will appear enabled. When acquisition is started then the trigger event will not be enabled until the manual arm is depressed.

[Accept] / [Reject]: If manual accept was selected in the Trigger Setup window then these button will appear enabled. If a trigger event has occurred, you must either accept or reject the acquired data.

[On Line]: This activates online averaging capabilities of Lynx. A green light appears when active. Note that when this is active, averaging cannot be started.

[OL Reject]: This will enable Lynx's automatic rejection if there is an overload on one of the channels. A green light appears when active.

[Auto Range]: This turns on the auto ranging capabilities of Lynx. A green light appears when active.

[Open] / [Close Data File]: This opens a data file for analyzing from a previously streamed-to-disk test.


Muti-Ref Modal Acquisition Database

Multi-Ref Modal Acquisition Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Muti-Ref Modal Acquisition Data Storage

Multi-Ref Modal Acquisition Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Data Type: This sets the file type or the structure of how the data is written in the file, selecting Lynx will save the data in the format which Lynx recognizes (.sdd). Selecting UFF (Universal File Format), will save it in an industry standard format allowing portability to other applications.

Functions: Check one or more functions that you want saved to the data file.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (MimsoTestData.sdd), this means however that each time the test is started the data is overwritten.


Muti-Ref Modal Acquisition DOF

Multi-Ref Modal Acquisition DOF

To open up analyzer control select 'View' then 'Analyzer Control'. This is the window to setup the DOF (Degree of Freedom).

 Click on a tab to view the different analyzer controls available.

The DOF is the the response location and direction for each transducer where the data is being collected. This corresponds to a specific input channel.

Response DOF Processing:
None: No automation. You enter the location and direction for each input channel in the channel table.
Auto: This will automatically increment the response channels location number by the increment specified (for each set of channels collected). This allows you to acquire banks of channels and not enter the location number for each channel of each set.
Table: If the numbers are not located sequentially or your using a roving hammer then you have the ability to enter the location, channel label, direction, and status of each input channel for each set of channels in separate channel tables. After the data for each set is collected, the system will automatically go to the next channel table set. This will save the user from having to enter the location and direction in the channel table every time the transducers are moved to another location on the DUT.

Auto Increment: These parameters are only available when you select Auto under Processing of DOF's. Every time you save data the location number specified in the channel table, each response channel will be increased by the location increment. The direction and start number will be taken from the channel table for each input channel. Note: Location Start and Location Increment are not in use at this time.

Invert Reference: This simply inverts the reference and the response channels when calculating the FRF's.
[Define Table]: When table is selected for the Response DOF Processing option, this dialog below will be available. This will allow you to define multiple sets of channel tables prior to the start of data acquisition. Every time you save data it will automatically recall the next channel table set. As a result, you can move the transducers to the next set of locations and not have to enter the new locations for each input channel.


Muti-Ref Modal Acquisition Output

Multi-Ref Modal Acquisition Output

To open up analyzer control select 'View' then 'Analyzer Control'. This will allow user control the waveform generator.

Click on a tab to view the different analyzer controls available.

Type: Sine, Sine Chirp, Random, Pseudo, and User Defined.

[On]: Starts the waveform generator.

Output Scale: This control uses a sliding level adjuster to allow adjustments to the output level while the waveform output is active. The full scale output capability of the Lynx system is +/- 12 volts peak.

Frequency: This setting is for frequency of the generated sinusoidal waveform.

Burst Taper: In order to minimize the startup and shut down transients caused by a burst random event, the waveform generation allows the user to specify a sine² tapering function to be applied to the beginning and end of the burst event. The taper is defined as a percent (%) of the burst duration. The pulse taper has a range of 0 to 50% of the burst duration size.

Delay: Controls the delay (0 - 32ms) between bursts.

Waveform Duration (%): The time duration of the burst is specified by this entry. The units are expected to be in percentage of the maximum allowable duration for the sampling rate.

[Define Output]: This is used for a user defined output as selected in the type listbox. When pressed, a dialog will open up as shown below. Define the frequency and level then save the data in an output shape file (.osh).


Muti-Ref Modal Acquisition Overview

Multi-Ref Modal Acquisition

Please select a topic below for more information.

Setting Up a Test

Channel Setup
Acquisition
Control Settings

Analyzer Control

Controlling a test


Muti-Ref Modal Acquisition Print Automation

Multi-Ref Modal Acquisition Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (either All Frames or Last Frame). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.

Print Synopsis: Prints the test's synopsis file once the test completes.


Muti-Ref Modal Acquisition Trigger

Multi-Ref Modal Acquisition Trigger

To open up analyzer control select 'View' then 'Analyzer Control'. This is where you define the trigger's attributes.

Click on a tab to view the different analyzer controls available.

Source:
Free Run: Data is acquired constantly at the selected sample rate for processing given the current number of tasks being processed.
External Triggering: Data is acquired time relative to a TTL input signal on the dedicated EXT TRIG input.
Channel (internal) Triggering: Data is acquired relative to the input signal on the specified channel.

[Slope]: Select either a rising edge or a falling edge.
Rising: The rising edge (increasing voltage) of the signal at the specified threshold level will serve as the trigger.
Falling: The falling edge (decreasing voltage) of the signal at the specified threshold level will serve as the trigger.

Threshold: Used to set the threshold (in terms of a percentage of the channel full scale voltage or in terms of mV) for analog signal triggering. Any signal (with appropriate slope) exceeding the threshold voltage will be used as the trigger. The threshold is either an integer percentage in the range from -99 - +99% in increments of 1% or in mV in the range 1 - 2000mV in increments of 1/100th mV.

Delay: This is the delay in (ms) or % of frames between the trigger and the start of data collection.

[Pre] / [Post Trigger]: Select Pre-Trigger if you would like to store the result into the data frame before the trigger event. Select Post-Trigger if you would like to store the result into the data frame after the trigger. This offset of time is set in the text box above marked delay.

Duration (ms): Not used in Analyzer.

[Arming Mode]: Choose [manual arm] when you want the system to wait for a trigger event, otherwise this will be automatic.

Trigger Beep: This will activate an audible alarm whenever the trigger conditions are met.

Manual Accept: This will allow acceptance of the last frame of data in averaging.


Analyzer Acquisition

Modal Acquisition

This is the main setup control for the Analyzer application. To display this window select 'Setup' followed by 'Acquisition' under the main menu for the Lynx control window.

Type: This sets the mode in which Lynx will operate, select either [Analysis], [Modal], or [Transient]. If transient is selected see Transient Profile.

Mode: Resolution / Frame Size / Duration (ms): This selects the mode to be used that will govern the duration, the size of the data frames, and the resolution. Example if you select resolution with a setting 1600, then you can only have a frame size 4096 and a duration of 800ms.

Resolution: Depending on the specifications of your hardware the available resolutions are 100, 200, 400, 800, 1600, 3200, 6400, and 12800. This parameters determines how many calculated points there are within the bandwidth below. Having a low bandwidth and a high resolution will slow down the test but increase accuracy.

Bandwidth: The available bandwidths are 50, 100, 200, 500, 1000, 2000, 5000, 10000 and 20000.

Window Type: Used in analysis and modal types.

None (Rectangle) - The None choice, for no windowing, is useful when you need to use all of the data in the time record equally or uniformly.

Hann, and Blackman Windows - The Hann and Blackman windows are very similar. These windows are generally most appropriate for random and non-periodic signals.

Calibration - The Calibration window is provided primarily for use with pure sinusoid inputs. It is corrected such that a sine wave input at any frequency produces the same spectral amplitude that it would have if no window were applied and the sine frequency fell exactly on one of the computed discrete spectral lines.

Force/Impact - The force window may be applied to the output of a transducer to avoid collecting extraneous signals caused by a device other than a hammer.

Correlation - A window that must be used for auto and cross correlation.

Averaging Mode: Averaging is one technique used to decrease the noise in the system.

Linear - All blocks of data are treated equally in terms of their effect on the averaged result. A specified number of averages will be taken.

Exponential - Similar to linear averaging, Exponential requires a weighting factor which either increases or decreases the effect of each new data block on the resultant average.

Max - The resultant block is a collection of points that represent the peak amplitude for each point. With each new block of data, the current data is compared with the new data on a point by point basis. The highest amplitude for each point in the block is retained.

Num Avgs: Enter the number of averages you would like the test to perform. This means that the test will consists of this many repetitive samples.

Damping Factor: Enter the desired amount of Damping. This is a percent of the full scale voltage to what % is available. This is only active if you choose Force/Impact under Window Type.

Discount Weighting: This factor (w) is used for the H(f) averaging calculations. (1/w) averages are used for the initial H(f) calculation during the System Identification process. (w) is also used as an exponential discount factor for averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125.

Waveform Trend Removal: Enable or Disable the DC offset removal from the Acceleration Waveforms before they are integrated to Velocity and Displacement. It should normally be Enabled for all cases except Classical Shock Import Reference where the imported waveform may not have final zero velocity and final zero displacement.

SRS Spacing: Available only in transient 1/1, 1/3, 1/6, 1/12, 1/24

SRS Definition: Available only in transient. Select whether the SRS analysis computation is to be based on Absolute Acceleration of the test mass or the Relative Displacement of the mass and the base of a single degree of freedom (SDOF) system.

SRS Damping (%): Available only in transient. Enter the damping factor for the SRS computation specified as a percentage of critical damping. The Damping value must be between 0.1% and 99.0%. Damping % = 100/(2*Q)


Analyzer Channel and DOF Status

Previous topic Transient Channel Status

The channel status box displays information on each of the channels.

Under each channel the live output will be displayed in GRMS. If not all of the channels are active then the corresponding channel number and output will be grayed out.

The DOF status box displays the status of eight channels.


Analyzer Channel Table

Modal Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Click here for Transducer Database help

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive: No data acquired from this channel.

Measure: A channel used to measure data at other points on the DUT.

Measure/Reference: A Measurement/Reference channels is not required unless a cross channel function is calculated.

Engineering Units: Click here for explanation of engineering units.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/EU. Range .01 to 1,000,000.

ICP: This is used in order to power an ICP type accelerometer, default is "off". You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Analyzer Control

Modal Control

To open up analyzer control select 'View' then 'Analyzer Control'. This is the test control which will start and stop the acquisition of data for storage and analysis.

Click on a tab or arrow to view the different analyzer controls available.

[Start]: This will begin the acquisition of data, depending upon how your trigger is set it will begin immediately.

[Store]: This saves the data to the selected data file. See Data Storage for more information.

[Manual Arm]: If manual arm was selected in the Trigger Setup window then this button will appear enabled. When acquisition is started then the trigger event will not be enabled until the manual arm is depressed.

[Accept] / [Reject]: If manual accept was selected in the Trigger Setup window then these button will appear enabled. If a trigger event has occurred, you must either accept or reject the acquired data.

[On Line]: This activates online averaging capabilities of Lynx. A green light appears when active. Note that when this is active, averaging cannot be started.

[OL Reject]: This will enable Lynx's automatic rejection if there is an overload on one of the channels. A green light appears when active.

[Auto Range]: This turns on the auto ranging capabilities of Lynx. A green light appears when active.

[Open] / [Close Data File]: This opens a data file for analyzing from a previously streamed-to-disk test.


Analyzer Database

Modal Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Analyzer Data Storage

Modal Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.
View Database topic

Data Type: This sets the file type or the structure of how the data is written in the file, selecting Lynx will save the data in the format which Lynx recognizes (.sdd). Selecting UFF (Universal File Format), will save it in an industry standard format allowing portability to other applications.

Functions: Check one or more functions that you want saved to the data file.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (AnalyzerTestData.sdd), this means however that each time the test is started the data is overwritten.


Analyzer Tone Calibration

Modal EU Calibration

To view the EU Calibration dialog, select 'EU Calibration' from the 'Setup' menu from the main menu of the Lynx control window. Note that On Line mode must be turned off to calibrate a tone.


Analyzer Output

Modal Output

To open up analyzer control select 'View' then 'Analyzer Control'. This will allow user control the waveform generator.

Click on a tab or arrow to view the different analyzer controls available.

Type: Sine, Sine Chirp, Random, Pseudo, and User Defined.

[On]: Starts the waveform generator.

Output Scale: This control uses a sliding level adjuster to allow adjustments to the output level while the waveform output is active. The full scale output capability of the Lynx system is +/- 12 volts peak.

Frequency: This setting is for frequency of the generated sinusoidal waveform.

Burst Taper: In order to minimize the startup and shut down transients caused by a burst random event, the waveform generation allows the user to specify a sine^2 tapering function to be applied to the beginning and end of the burst event. The taper is defined as a percent (%) of the burst duration. The pulse taper has a range of 0 to 50% of the burst duration size.

Delay: Controls the delay (0 - 32ms) between bursts.

Waveform Duration (%): The time duration of the burst is specified by this entry. The units are expected to be in percentage of the maximum allowable duration for the sampling rate.

[Define Output]: This is used for a user defined output as selected in the type listbox. When pressed, a dialog will open up as shown below. Define the frequency and level then save the data in an output shape file (.osh).


Analyzer Overview

Next topic Modal

Signal analysis is used to determine the frequency content of signals and to characterize systems, such as test articles. The Signal Analysis program is designed to acquire data by taking an input waveform, converting it to a digitized time history, processing the appropriate functions, then displaying the measurements

Please select a topic below for more information.

Setting Up a Test
 Channel Setup
Acquisition
Transient Tolerances
Control Settings

Analyzer Control
 Controlling a test


Analyzer Print Automation

Modal Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (either All Frames or Last Frame). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.

Print Count: Number of times the list of graph templates print.

Print Synopsis: Prints the test's synopsis file once the test completes.


Analyzer Stream

Transient SCSI

To open up analyzer control select 'View' then 'Analyzer Control'. Disk streaming allows for large amounts of data to be acquired at a fast and accurate rate using a SCSI interface.

Click on a tab or arrow to view the different analyzer controls available.

[Play]: This plays back the stream of data obtained by the streaming-to-disk-data storage, and allows the saved information to be played back and analyzed.

[Record]: This starts the recording of data to the SCSI interface.

[Pause]: Pauses the data stream for either playback or recording.

[Transfer]: This will transfer data from either the host drive to the SCSI or from the SCSI to the host drive. Because raw data is stored on the SCSI drive, a transfer from the SCSI drive after recording is needed to save the test. Stopping a recording session then starting a new session will delete all previous information.

[Set] / [Goto Markers]: Markers are used to set break points in the data. Set / Goto Marker will set and move to the markers specified by the user.

SCSI Info: Displays information regarding the SCSI hardware and the current file being played back or recorded to.

[Step]: This steps through the test at the rate as shown on the right text box. Use the slider to adjust this rate.

Diagram of the SCSI interface.


Analyzer Transient Tolerances

Modal Transient Tolerances

To modify or view the channel definition for a test, select 'Transient Tolerances' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a analyzer profile (.apr). After the first time, this will be done automatically for you. Note that this option will only be available when type [Transient] is active in the acquisition dialog.

This is where you can create an SRS reference along with tolerance bands that are necessary to be displayed with the transient data captured. This is useful to print out the tolerance bands with the SRS data, whether Primary +, Primary -, or Maxi-Max, from one or multiple channels to verify if a test was within specification. You can enter Frequency and amplitude break points to represent the Reference SRS (Primary +, Primary -, or Maxi-Max) along with tolerance bands for each specified in +/-dB from a Reference.


Analyzer Trigger

Transient Trigger

To open up analyzer control select 'View' then 'Analyzer Control'. This is where you define the trigger's attributes.

Click on a tab or arrow to view the different analyzer controls available.

Source:
Free Run: Data is acquired constantly at the selected sample rate for processing given the current number of tasks being processed.
External Triggering: Data is acquired time relative to a TTL input signal on the dedicated EXT TRIG input.
Channel (internal) Triggering: Data is acquired relative to the input signal on the specified channel.

[Slope]: Select either a rising edge or a falling edge.
Rising: The rising edge (increasing voltage) of the signal at the specified threshold level will serve as the trigger.
Falling: The falling edge (decreasing voltage) of the signal at the specified threshold level will serve as the trigger.

Threshold: Used to set the threshold (in terms of a percentage of the channel full scale voltage or in terms of mV) for analog signal triggering. Any signal (with appropriate slope) exceeding the threshold voltage will be used as the trigger. The threshold is either an integer percentage in the range from -99 - +99% in increments of 1% or in mV in the range 1 - 2000mV in increments of 1/100th mV.

Delay: This is the delay in (ms) or % of frames between the trigger and the start of data collection.

[Pre] / [Post Trigger]: Select Pre-Trigger if you would like to store the result into the data frame before the trigger event. Select Post-Trigger if you would like to store the result into the data frame after the trigger. This offset of time is set in the text box above marked delay.

Duration (ms): Not used in Analyzer.

[Arming Mode]: Choose [manual arm] when you want the system to wait for a trigger event, otherwise this will be automatic.

Trigger Beep: This will activate an audible alarm whenever the trigger conditions are met.

Manual Accept: This will allow acceptance of the last frame of data in averaging.


Notice

The information in the help document is subject to change without notice.

SPECTRAL DYNAMICS MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS HELP MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Spectral Dynamics shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this help file.

This document contains proprietary information which is protected by copyright. All rights reserved. No part of this document may be copied or reproduced in any way without the written consent of Spectral Dynamics.


RandomSpecifications

Previous topic Random Technical Specifications

The principal features of the Random software are:
Reference Spectrum – Up to 500 amplitude/frequency breakpoints/slopes
Frequency Ranges – 50 to 20,000 Hz (in eight ranges)
Resolution – 100, 200, 400 & 800 lines; expandable to include 1,600 and 3,200 lines
Degrees of Freedom (DOF) – User defined (8 to 1,000)
Control Accuracy - ± 1 dB for flat reference with 120 DOF with 90% statistical coincidence
Output Type – True Gaussian random noise
Sigma Clipping – 2.5 to 6 sigma
Control Strategy – Single point, multi-point average or extremal
Automatic Operation – Selectable equalization start level, initial test level, level increment, time to full test level, startup rate and shutdown rate.
Level Scheduling – User defined level, time at level, transition time to each level
Test Schedule – User defined sequence of independent tests can be scheduled to run automatically
On Line Controls – Step Level Up, Step Level Down, Full Level, Pause, Resume, Drive Update On/Off
Analysis Function – Power Spectral Density (PSD) for control, auxiliary channels, drive, error functions, transfer functions (mag, phase & coherence), transmissibility and time traces.

Safety Features
Random provides the following safety features to protect the operator, the test equipment and the manufacturing operations:
Shaker Limits
Password login to prevent unauthorized system operation (optional)
Alarm / Abort messages to indicate abnormal test conditions
Alarm / Abort tolerance limits set by the operator for each spectral line
Total overall acceleration RMS Alarm / Abort level operator settings for the acceleration spectrum
User specified active frequency range for Alarm / Abort conditions
A loop check continuity test automatically precedes each test
Sigma clipping to prevent drive level from exceeding a threshold value
Controlled test startup / shutdown rates
Aborted testing for any control signal loss or excessive fluctuation
Manual test Abort
Abort documentation for post-test analysis

Options: The following options may be purchased for use with the system.
Security
The Security Option package enables the system administrator to place limits on the
system including who has access and what level of access is available to individual users.
Automation
The Automation Option package includes RCI, RCP, Print Automation, Test Automation,
Mission Simulation and True Networking.
Compatible Equipment
The Lynx VCS connects to any commercially available electro-dynamic or electro-hydraulic
shaker and amplifier.
Reliability
The Lynx Vibration Controller is designed and manufactured with state-of-the-art
components and processes that improve the reliability of the system.
User Interface
The Lynx VCS, runs under a Microsoft Windows 98 SE, Windows 2000 or NT 4.0 operating system. All user interaction is by keyboard and mouse. Test setup, control and data are displayed on a high-resolution color monitor.
User help information is available for all program functions.
The color monitor provides real-time displays of:
Program control menus
Test definition parameters
Spectra showing test conditions, with Abort / Alarm information


Random on Random Acquisition

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window. This page allows you to modify the parameters relating to the acquisition of data.

Click on a tab to view the different test settings available.

Max. Frequency: Enables the user to set the maximum frequency by which a test will not exceed. Select range from 50 to 5000Hz.

Ctrl Degrees of Freedom: Enter the degree of freedom to be used for control loop averaging.

Mon Degrees of Freedom: Enter the degree of freedom to be used for monitor loop averaging.

Lines of Resolution: Enables the user to set the number of lines of resolution.. Select a range of from 100 to 800. The mores lines of resolution in a test, the greater the accuracy; however, speed will be compromised.

Mon Averaging: Linear specifies the number of frames to acquire for linear averaging of monitor and auxiliary channels before averaging is halted. Exponential sets update for monitor and averaging channels.

Overlap Processing: Allows the user to select whether overlap processing should be used.

Overlap Processing - The processing time of an FFT computing device is the total amount of time required to calculate a desired parameter, such as a transfer function once the loading of input data memory or memories has been accomplished. If the time required to process and display the results is equal to or less than the time required to sample the data signals and load input memories, the processing is said to be performed on a real time basis. If the processing can be performed significantly faster than the time required to sample and load signal inputs, it is then possible to perform multiple analyses of the input signals on a segmented basis. The concept of performing a new analysis on a segment of data in which only a portion of the signal has been updated (some old data, some new data) is referred to as overlap processing.


Random on Random Broadband Profiles

Random on Random Broadband Profile Table

To modify or view the profile settings for a test, select 'Profiles...' under 'Setup' from the main menu of the Lynx control window. Any modifications that are made will be required to save in a profile setting.

The first step is to define appropriate ranges for your profile and test. Choose the working units: SI, Metric or Imperial, then enter the necessary parameters into the spreadsheet.

Reference, Limit and Abort profiles are defined in terms of slopes and frequency/amplitude breakpoints. A combination of up to 500 slopes and frequency/amplitude breakpoints may be used to define a profile. By default, the Control tab will always be displayed. The Limiting and Abort tabs are displayed only when those types of channels are defined in the Channel Definition table. Right mouse click on the GRMS value (total GRMS of profile) and a submenu will be brought up that allows rescaling of the Reference.


Random on Random Channel and Control Status

The channel status box displays information on each of the channels.

Under each channel the live output will be displayed in GRMS. If not all of the channels are active then the corresponding channel number and output will be grayed out.

The control status box displays information regarding the test.

Test Level: The current test level measured in dB.

Control Level: The current input control spectrum measured in g or m/sec2

Drive Level: The estimated drive output in volts


Random on Random Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel. By default Control type will always be listed first. When Limit and Abort channels are designated, the Profile Settings Window will display a tab for each of these types.

Abort - Abort channels may have independent abort profile. If the level on the Abort channel exceeds the abort profile, then the test is aborted.

Limit - Limit channels may have independent limit profiles. If the level on a Limit channel exceeds the limit profile, then the test is aborted.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

Loop Check: This is to check the channel's reception of the signal being sent through the drive.

Weighting: Used for control channels. When using multiple control channels, Lynx recognizes all the control channels as single "pseudo" channel, this done by averaging all the channels together. Weighting allows you to do a weighted average of the channels. The number entered here is weighted relative to the other control lines, an example would be where one control channel has a 1 and another has a 3, there would be a 3:1 ratio in the average.

RMS Abort: During a test, if the RMS exceeds the entered value, the test will abort.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).
DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.

Reference Channel: Choose any or all channels that are currently active. This is the channel used as the denominator.


Random on Random Profile Table

Random on Random Component Profile Table

To modify or view the profile settings for a test, select 'Component Profiles...' under 'Setup' from the main menu of the Lynx control window. Any modifications that are made will be required to save in a profile setting.

Acquisition Range: Test's current values as defined in Acquisition.

Sweep, Alarm/Abort Range: Defines the frequency and alarm / abort lines for the band.

Band Parameters:

Sweep mode: Choose logarithmic or linear.

Initial Sweep Direction: Up, down, stationary.

Sweep Type: Rate or timed.

Sweep Time: User defined for a timed sweep type.

Sweep Rate: Oct / min

Band Duration: This specifies the duration by an unlimited amount, user defined time or band count.

[Harmonics]: This feature is currently not available in version 1.9.1 and will be added in a future release.


Random on Random Control Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Strategy: Set to Average in the Random on Random application.

Mode: This enables the user to define whether the test starts in automatic mode or in manual mode. If auto-only is selected then the user may not select manual mode when the test is running

Stored Drive: Selection for using the drive waveform from a previous test as the first drive waveform for the next test. Verify prompts the user at the start of each test. This shortens the test length by not performing low level equalization.

Caution: The following conditions must be the same as the stored drive used:
- Same shaker gain
- Same accelerometer sensitivity
- Same fixture and test article
- Same channels used

Loop Gain: The sum of the gains, expressed in dB, acting on a signal passing around a loop.

Spectral Smoothing: The general process of removing noise from data. Typically, performed by filtering a signal (provided that noise components are different in frequency than the desired signal.)


Random on Random Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx Basic control window. This dialog specifies how and when the data from a test should be stored.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Random on Random Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx Basic control window. This dialog specifies how and when the data from a test should be stored.

Click on a tab to view the different test settings available.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (RandomOnRandomTestData.sdd), this means however that each time the test is started the data is overwritten

Save On Level Change: This will save data every time the test moves up a level in the schedule.

Save Every n Second(s): This allows data to be stored on a time basis, be careful here if you are running a long test as the file size could get quite large.

Save on Alarm: This saves data if the data trace exceeds the alarm line in the profile.

Save on External: This saves data at a user defined point.

Specify Path: Browse the location where the SDD file is to be stored. By default, all SDD files are saved in the directory where the Lynx application is launched. Note: This option is always recommended as certain versions of Windows cause files to be saved in unknown locations such as the system directory. This can make it difficult to find and organize your data files.


Random on Random Level Schedule

To modify or view the schedule setup, select 'Schedules...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications are made you will be required to save the schedule to disk. After the first time, this will be done automatically for you. The excitation level holds at the Initial Test Level (dB below full level) until a signal is given to increase the excitation to full test level (0dB). The "hold" period may be defined in terms of loops, or it may be an indefinite hold until a manual drive increase command is given. The other option would be to specify a level schedule and follow those parameters.

Click on the tab to view the Test Schedule.

Level: Level range from -80 to 0 (db).

Time at Level (hrs : min : sec): The amount of time the data trace holds at the specified level.

Time to Level (hrs : min : sec): The amount of time the data trace takes to reach the specified level.

Alarm Action:

Abort - Shut down test
Continue - Go to next level
Pause - Waits for user selection of Resume, Stop, or Abort on Test Panel.

Acquisition Range Parameters: These Acquisition Parameters are utilized differently depending on which Startup Mode was selected. The different Start Modes (this option is under Random Control Setup) and how the different parameters are used are as follows:

Automatic - System holds at Initial Level for the specified period, then automatically increases excitation in the level increments (dB) specified, at the specified rate (dB/SEC or total seconds).

Auto Only - System holds at Initial Level until the manual “increase level” command is given, then automatically increases excitation to full level (0 dB) in the level increments (dB) specified, at the specified rate (dB/SEC or total seconds).

Manual - System holds at Initial Level until manual “increase level” commands are given. Level changes are made one level increment at a time via individual “increase” commands. Total time to go to full level is thus under operator control.

Shut Down Rate (dB/sec): The programmable shutdown rate (set in dB/SEC) allows the excitation level to be quickly and smoothly decreased. The maximum achievable shutdown rate may be limited by control parameters such as the frequency bandwidth and number of frequency lines. (For example, the D/A attenuator can change the drive signal amplitude at most once each output frame.)


Random on Random Level Status

The level status box displays information regarding the status of the test within a pre-defined schedule.

The level status box also keeps track of the amount of elapsed / remaining time at and between each schedule level. These times will reset when the test reaches a level.

You can keep track of the tests position within a schedule by the following display:

Manual Mode
Should manual mode be enabled during a test, the schedule will be held until automatic mode is re-enabled. The following message will appear:

The elapsed time will reset each time you step up, or step down in the test, obviously the remaining time will not change, as this is undefined.


Random on Random Overview

Random on Random

Please select a topic below for more information.

Setting Up a Test

Channel Setup
Test Scheduling
Broadband Profile Setup

Component Profile Setup

Importing a Reference
Test Control Settings

Running a Test
 Controlling a test
Channel and Control Status
Level Status
Test Status

Test Safety
 Safety / Shaker Limits


Random on Random Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (defined in 'Data Storage' and the All / Last Frame(s) buttons). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.

Print Synopsis: Prints the test's synopsis file once the test completes.


Random on Random Reference Import

To import a reference, select 'Reference Import...' under 'Setup' from the main menu of the Lynx control window.

Click this button to open up a UFF file. Once opened, the selection box below will list the available frames of data contained within the file. Use the mouse to select a frame, then press OK to apply this change and return to the main control window.

The Profile Range is the range of frequency of the imported reference. Abort / Alarm Settings defines their respective ranges of the reference. The Acquisition Rate and Lines of Resolution are the current test's values as defined in Acquisition. Delta Frequency is equal to (Acquisition rate / Lines of Resolution).


Random on Random Safety Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Shaker Limits tab to view those limits.

Alarm Lines: Enter a number from 1 to the line frequency, or a percent from 1 to 100. This parameter is the number of lines allowed out of tolerance before an alarm is activated.

Abort Lines: Enter a number from 1 to the line frequency, or a percent from 1 to 100. This parameter is the number of lines allowed out of tolerance before an abort is activated.

Sigma Clipping: Drive clipping allows clipping of high peaks in the output signal to prevent power amplifier overloads. However, clipping can cause a reduction in the system dynamic range. Range is from 2 to 20. 20 turns off Sigma Clipping.

GRMS: Db units are automatically scaled if the Reference Spectrum is changed. Alarm displays a message if the control spectrum level exceeds threshold level. Abort automatically shuts down test if control spectrum level exceeds threshold.

Loop Check: Maximum Noise is for a noise threshold (mV RMS). Enter the ambient noise signal level used to decide if an input channel is too noisy to be used during a test. This must be in the range 0-1000 mv. For maximum drive (mV RMS), enter the maximum drive voltage for system output during loop check threshold search. The drive will not exceed this value if an open loop condition occurs. The allowed range is 0 to 5000 mv.

Max Noise - Acceptable ambient noise level. Used to set a noise level above a channel that is too noisy to allow test to be run.

Max Drive - Maximum output level during loop check. Higher drive levels may be necessary for noise environments or if gain is low.

CSL Sensitivity:
 Warning! The 'Off' mode can cause severe over-test if the control signal is lot due to broken cables or malfunctioning equipment and the drive signal is increased in an attempt to compensate for the low control level. It is highly recommended that the 'Off' and 'Low' only be used in manual mode and never unattended.

Standard:
 - Measure the ambient noise (in RMS volts) on each control channel with the drive off.
- Increase the drive until all control channels exceed the measured ambient noise by 6dB.
- Measure the RMS of each control channel at the current drive level and store the RMS level.
- If, at any time during a test, any one of the control channel's RMS values goes more than 3dB below the above stored RMS level, the test is aborted. This method provides the safest control signal loss detection mode and will usually detect cases where an accelerometer has fallen off a test specimen, but remains on the test fixture (bouncing about).

Low:
 - Measure the ambient noise on each control channel (with drive off) and sets the control signal loss threshold to 3dB above this level.
- If, at any time during a test, any one of the control channel's RMS values goes below the above stored RMS level, the test is aborted. This method is good for large structures that may have large differences in the gains of the control channels. This method should only be used during attended tests.

Off:
 - Disable the control signal loss after the loop check. This method should only be used in manual mode and when the test is attended. It may be useful in noisy environments for cases where control signal loss aborts have occurred and the equipment is known to be working properly.


Random on Random Shaker Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Safety Limits tab to view those limits.

If at any time the test reaches these maximum values then the test will be aborted.

The following values may be set:
Acceleration (+g) and (-g) in range 0.0001 - 100.
Velocity (+in/sec) and (-in/sec) in range 0.0001 - 100.
Displacement (+in) and (-in) in range 0.0001 - 100.
Voltage (+v) and (-v) in range 0.0001 - 100.

The negative values will be pre-determined if the symmetric limits box is checked.

Symmetric Limits: If this check box is selected then the negative values become equal to their positive counterparts although still with their opposite polarity.


Random on Random Test Control

To view the Test Control select 'View' from the main Lynx control window followed by 'Test Control'. Note also that some of the functions which can be carried out using the test control window can also be done using the main menu under the header 'Test'.

[Start]: When depressed the test is running, otherwise it is stopped.

[Restart]: If a test is aborted by either an alarm/abort or by the user, restart will continue the test where it was aborted.

[Pause]: Pause the test if running, press again to resume test.

[Manual]: Toggles the test control between automatic and manual modes.

[Step Up / Down]: Steps the test level up or down while in manual mode, this can action can also be done using the slider control.

[Drive Update]: The drive update function can be either on or off. On is commonly used for closed loop control. When off is selected, the drive voltage level is fixed and Alarm/Abort limits are inactive.

[Swp Up / Down]: Changes the direction of the sweep while in manual mode.

[Change Rate]: Enter a sweep rate in the text box then press this to apply the new sweep rate.

[Component / Status]: This specifies which specific Tone or all of the tones to control via the parameters in this window (Status, Sweep Rate, Sweep Direction).

[Reset Average]: Resets averaging algorithm.

[Save]: Save the current frame of data to a file.

[Abort]: Manually aborts the current test in progress.


Random on Random Test File Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Click on the button to the right of the file location to browse and add a file. This enables you to load pre-saved files containing all the settings needed for a random test which saves you from having to navigate through the different setup dialogs.

Test File Description: This is a user defined text message of the description of the random test.


Random on Random Test Schedule

The Test Schedule Dialog allows automation of different test within a single application. Test Automation with multiple applications can be accomplished by using Mission Simulation Control. Use the browse buttons [image] to select a profile and schedule. Set the delay (hrs : min : sec) between tests, then the number of times the test is to be repeated. Press [Run Schedule] to start the test.

Click on the tab to view the Level Schedule.

Once the test has begun, the Test Scheduling Dialog will appear showing the schedule with the current test. A box around the current cycle entry specifies the current test in progress. When the test is complete, the text will turn red while the delay is in progress, then continue until all cycles and tests are complete.


Random on Random Test Status

To view the control status box select 'View' from the Lynx control window then 'Test Status'.

The test status box also displays the amount of time elapsed and remaining. This time is calculated from the moment you press start to the time when the test stops naturally or is aborted. A progress bar is used as an abstract method of showing the tests completion status.


Rotating Machinery Channel Table

Rotating Machinery Acquisition

Mode: Resolution / Frame Size / Duration (ms): This selects the mode to be used that will govern the duration, the size of the data frames, and the resolution. Available frame size: 512, 1024, 2048, 4096, or 8192. Available duration length: 100, 200, 400, 800, 1600.

Resolution: Depending on the specifications of your hardware the available resolutions are 100, 200, 400, 800, 1600. This parameters determines how many calculated points there are within the bandwidth below. Having a low bandwidth and a high resolution will slow down the test but increase accuracy.

Sampling Type (Fixed / Tracked):

Sample Rate Source:

Max Orders:

Bandwidth: The available bandwidths are 50, 100, 200, 500, 1000, 2000, 5000, 10000.

Window Type: (None / Hann / Blackman / Calibration):

None (Rectangle) - The None choice, for no windowing, is useful when you need to use all of the data in the time record equally or uniformly.

Hann, and Blackman Windows - The Hann and Blackman windows are very similar. These windows are generally most appropriate for random and non-periodic signals.

Calibration - The Calibration window is provided primarily for use with pure sinusoid inputs. It is corrected such that a sine wave input at any frequency produces the same spectral amplitude that it would have if no window were applied and the sine frequency fell exactly on one of the computed discrete spectral lines.

Window Scaling ( Broadband / Narrowband):

Averaging Mode: Averaging is one technique used to decrease the noise in the system.

Linear - All blocks of data are treated equally in terms of their effect on the averaged result. A specified number of averages will be taken.

Exponential - Similar to linear averaging, Exponential requires a weighting factor which either increases or decreases the effect of each new data block on the resultant average.

Max - The resultant block is a collection of points that represent the peak amplitude for each point. With each new block of data, the current data is compared with the new data on a point by point basis. The highest amplitude for each point in the block is retained.

Num Avgs: Enter the number of averages you would like the test to perform. This means that the test will consists of this many repetitive samples.

Overlap Factor (None / 25% / 50 % / 75% / Max):

Discount Weighting: This factor (w) is used for the H(f) averaging calculations. (1/w) averages are used for the initial H(f) calculation during the System Identification process. (w) is also used as an exponential discount factor for averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125.

Spectral Weighting (Flat / A / B / C):

Acquisition Mode (Ave Spectra / Map Spectra):

Max Records:

Pre-Trig Recs (%):

Map Option:

Data Source:

Replay Ratio:


Rotating Machinery Channel Table

Rotating Machinery Acquisition Gating

Data Tag:

Start Condition:

Stop Condition:

Gate Change:

Value:


Rotating Machinery Analyzer Control

To open up analyzer control select 'View' then 'Analyzer Control'.

[Start]: This will begin the acquisition of data, depending upon how your trigger is set it will begin immediately.

[Store]: This saves the data to the selected data file. See Data Storage for more information.

[On Line]: This activates online averaging capabilities of Lynx. A green light appears when active. Note that when this is active, averaging cannot be started.

[OL Reject]: This will enable Lynx's automatic rejection if there is an overload on one of the channels. A green light appears when active.

[Auto Range]: This turns on the auto ranging capabilities of Lynx. A green light appears when active.

[Open] / [Close Data File]: This opens a data file for analyzing from a previously streamed-to-disk test.

[Acq. Gates]: Turn Acquisition Gating On / Off.


Rotating Machinery Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel. By default Control type will always be listed first. When Limit and Abort channels are designated, the Profile Settings Window will display a tab for each of these types.

Abort - Abort channels may have independent abort profile. If the level on the Abort channel exceeds the abort profile, then the test is aborted.

Limit - Limit channels may have independent limit profiles. If the level on a Limit channel exceeds the limit profile, then the test is aborted.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:
AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).
DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Rotating Machinery Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Rotating Machinery Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Data Type: This sets the file type or the structure of how the data is written in the file, selecting Lynx will save the data in the format which Lynx recognizes (.sdd). Selecting UFF (Universal File Format), will save it in an industry standard format allowing portability to other applications.

Functions: Check one or more functions that you want saved to the data file.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (*.sdd), this means however that each time the test is started the data is overwritten.


Rotating Machinery Channel Table

Rotating Machinery Define Gates

Enabled: Gate is enabled if checked.

Gate Type (RPM/Freq/Speed AC):

Gate Name: User defined gate name up to 15 characters.


Analyzer Tone Calibration

Rotating EU Calibration

To view the EU Calibration dialog, select 'EU Calibration' from the 'Setup' menu from the main menu of the Lynx control window. Note that On Line mode must be turned off to calibrate a tone.


Rotating Machinery Gate and Channel Status

Previous topic Rotating Machinery Gate and Channel Status


Rotating Machinery Channel Table

Rotating Machinery Gate Settings

Minimum Value:

Maximum Value:

Channel Source:

Process (Pulses / DC Prop (hs) / Tacho h/w):

Pulses / Rev:

Average Period:

Coupling (AC / DC): Used with Tacho h/w

Slope (Positive / Negative):

Trig Level (%):

Trig Range:

Trig Level Update:

Pre-Filter On:

Signal Squaring On:


Rotating Machinery Overview

Rotating Machinery

Please select a topic below for more information.

Setting Up a Test

Channel Setup
Gate Definition
 Gate Settings

Acquisition Gating
Acquisition

Test Control Settings

Running a Test

Controlling a test
Channel and Gate Status


Rotating Machinery Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (either All Frames or Last Frame). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.


Shock Synthesis Channel Status

The channel status box displays information on the four channels. To view a channel status box select 'View' from the main Lynx control window, followed by 'Channels 1 to 4'.

Under each channel the live output will be displayed in peak g. If not all of the channels are active then the corresponding channel number and output will be grayed out.


Shock Synthesis Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Click here for Transducer Database help

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive - No data acquired from this channel.

Control - A channel defined at a control point on the device under test. You must select at least one control channel and may select multiple channels. Loop check will be performed on all control channels.

Measurement - A channel used to measure data at other points on the DUT. These channels are not used in the control process to modify the drive. Loop check is optionally performed on these channels.

Loop Check: This is to check the channel's reception of the signal being sent through the drive.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Shock Synthesis Control Status

The control status box displays information regarding the test.

Test Level: The current test level measured in dB.

Control Level: The control level is the current input control spectrum measured in peak g or m/sec2

Drive Level: The estimated drive output in volts


Shock Synthesis Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate] feature, as defined in Data Storage, is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Shock Synthesis Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Data / Compensation File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (ShockTestData.sdd), this means however that each time the test is started the data is overwritten.


Shock Synthesis Overview

Shock Synthesis

The Shock Synthesis Function program provides digital real-time closed loop shaker control for production testing, design qualification and reliability testing applications. The system allows the definition, simulation, and closed loop control of a Shock Synthesis Function vibration excitation shaker system.

Please select a topic below for more information.

Setting Up a Test

Channel Setup
Profile Setup
Synthesis Table
Test Scheduling
Test Control Settings

Running a Test

Controlling a test
Channel Status
Control Status
Schedule Status

Test Safety
 Safety / Shaker Limits

Shock Synthesis technical specification.


Shock Synthesis Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (defined in 'Data Storage' and the All / Last Frame(s) buttons). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.


Shock Synthesis Profile Table

To modify or view the Profile Settings, select 'Profile under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a synthesis profile (.ssp) After the first time, this will be done automatically for you.

Frequency: Enter the frequency at which you want to specify a breakpoint. Frequencies must be in ascending order and between 1E-9 and the Maximum Frequency. Entering a blank line indicates that a Frequency value is not wanted, and will cause the field to remain blank.

Amplitude: The value must be between 0.0 and 100000.0.

High Tolerance: Enter the Positive Tolerance Band in dB or percent above the Reference level. Must be between 0.0 and 100.0.The first line must have a value for this field.

Low Tolerance: Enter the Negative Tolerance Band in dB or percent below the Reference level. Must be between -100.0 and 0.0. The first line must have a value for this field.

 Analysis Bandwidth
Minimum Frequency Enter a frequency between .00001 and 20000. This value must be between frequency resolution (system bandwidth divided by # of frequency lines) and the maximum frequency. The reference display will start at this value

Maximum Frequency: Enter a frequency between .00001 and 20000.

Range (decades): This is the number of decades between the Min and Max Frequency. This is calculated by the software.

Sample Rate (Hz): This value is calculated by the software and is dependent upon the SRS maximum frequency and the Sample Rate Multiplier.

Sample Rate Multiplier: (5.12, 10.24, 20.48) The Sampling Rate (Sr) is calculated as Sr = (20)*[SRM / (Output buffer duration)], where the buffer duration is given in seconds. A higher SRM therefore produces a higher Sr. A higher Sr gives better frequency resolution of the acquired data. Since calculating an SRS depends on peak detection of the single-degree-of-freedom (SDOF) wavelets, better frequency resolution yields a better determination of the peak frequencies, and therefore a more accurate SRS. The only unfavorable consideration in choosing a large Sr is that the SRS computation time is longer, and that a larger buffer length is required. Other parameters (including an operator-selected buffer length) may limit the SRM values available.

Buffer Duration: This is the duration in milliseconds for the time domain buffers that may be displayed.

SRS Parameters
Analysis Octave Spacing: (1, 1/3, 1/6, 1/12, 1/24)

SRS Type: Select the desired type of SRS processing.

Primary +: The maximum positive peak from the Single Degree of Freedom (SDOF) filter response at the analysis frequency.

Primary -: The maximum negative peak from the SDOF filter response at the analysis frequency.

Maxi-Max: The absolute maximum of the Primary + and Primary -.

SRS Filter Definition: Select whether the SRS analysis computation is to be based on Absolute Acceleration of the test mass or the Relative Displacement of the mass and the base of a single degree of freedom (SDOF) system.

SRS Damping (%): Enter the damping factor for the SRS computation specified as a percentage of critical damping. The Damping value must be between 0.1% and 99.0%. The Q value is automatically converted. Damping % = 100/(2*Q)

SRS Q: The Q value must be between 0.505 and 500. The damping value is automatically converted. Q = 100/(2*Damping %)


Shock Synthesis Safety Limits

To modify of view the limit settings for a test, select 'Limits' under 'Setup' from the main menu of the Lynx Basic control window.

Click on a tab to view the Shaker Limits.

Loop Check:
Max Noise - Acceptable ambient noise level. Used to set a noise level above a channel that is too noisy to allow test to be run.
Max Drive - Maximum output level during loop check. Higher drive levels may be necessary for noise environments or if gain is low.


Shock Synthesis Schedule Status

The schedule status box displays information regarding where the test is, within a pre-defined schedule.

Schedule Number: The tests position within a schedule.

Elapsed Pulses: The number of pulse elapsed during the current schedule level.

Remaining Pulses: The number of remaining pulses within the current schedule level.


Shock Synthesis Schedule Table

To modify or view the schedule setup, select 'Schedules...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a schedule file (.ssd) After the first time, this will be done automatically for you.

Status: This setting indicates whether the settings relating to the corresponding schedule number, hold valid data which should be used in a test. This setting can either be 'On' or 'Off'.

# of Pulses: The number of pulses to be carried out If this is set in the schedule the test will move on to the next stage in the schedule once these pulses are completed.

Pulse Delay: Enter the amount of delay required in milliseconds in the range 0 to 999.

Level Delay: Enter the amount of delay required in milliseconds in the range 0 to 999.

NLAF #: Non-Linear Adjustment Factor. This relates to the Global Scale Factor applied in addition to compensation.

Equalization Level: This is the level in dB below the full reference level at which equalization begins. The level must be a negative number, -80dB to 0dB.

Equalization Delay: Enter the amount of delay required in milliseconds in the range 0 to 999.

Level Increment: This is the step size in dB which the test uses each time it 'steps up' when in automatic mode. This step must be in the range 1 to 20.

Initial Excitation: The excitation types are Pulse and Random. Random has a 'Periodic Random Burst' and Pulse has a constant 'Burst'.

Average Weighting: (1/Weight for Averaging) is used for the initial H(f) calculation during the system identification process. The average weight is also used as an exponential discount factor or averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125

Feedback Gain: This determines the amount of error that is used in the drive update process. The allowable range is 0.05 to 1; a typical value is 0.75.

Coherence Blanking: During system identification, if the coherence is below the specified value at specific frequencies within the test range, then Lynx will not try to compensate those frequency components. This is useful when looking at extraneous noise.

Compensation Threshold: This refers to the effective dynamic range to be compensated based on the system H(f). A Compensation Threshold of -70dB means that the frequency based corrections will only be applied to the amplitude values that lie within 70dB of the maximum amplitude of the H(f). It is common to try to use as much dynamic range as possible (up to 120dB), but noise and dispersion (smearing) can cause problems at anti-resonances. For highly resonant structures, or those with high Q's, a Compensation Threshold of about 100dB is recommended.

Waveform Trend Removal: Enable or Disable the DC offset removal from the Acceleration Waveforms before they are integrated to Velocity and Displacement. It should normally be Enabled for all cases except Classical Shock Import Reference where the imported waveform may not have final zero velocity and final zero displacement.

Pause Between Schedule Levels: Check this box to activate pause between schedule levels.


Shock Synthesis Shaker Limits

To modify of view the limit settings for a test, select 'Limits' under 'Setup' from the main menu of the Lynx control window. If at any time the test reaches these maximum values then the test will be aborted.

Click on a tab to view the Safety Limits.

If at any time the test reaches these maximum values then the test will be aborted.

The following values may be set:
Acceleration (+g) and (-g) in range 0.0001 - 100.
Velocity (+in/sec) and (-in/sec) in range 0.0001 - 100.
Displacement (+in) and (-in) in range 0.0001 - 100.
Voltage (+v) and (-v) in range 0.0001 - 100.

The negative values will be pre-determined if the Symmetric limits box is checked.

Symmetric Limits: If this check box is selected then the negative values become equal to their positive counterparts although still with their opposite polarity.


ShockSpecifications

Previous topic Shock Synthesis Technical Specifications

Control Methods
Control Loop Patented adaptive control algorithm with transfer function updating and coherence
smoothing to accurately and quickly compensate for non-linearity or time varying changes in the dynamic load.

Control Performance
Dynamic Range Up to 90 dB.

SRS Reference
Definition Can be easily defined with up to 100 frequency breakpoints
Reference SRS type: Primary +, Primary -, Maxi-max
Reference tolerance bands: Automatically generated, defined in % or dB
Frequency range: 25 Hz to 10 kHz; dependent on pulse duration and over sample ratio
Over sample ratio: User selectable, 5.12, 10.24, 20.48 times the control frequency range
Number of decades: Up to 3
Analysis octave spacing: 1/1, 1/3, 1/6, 1/12, 1/24 Octave (ANSI standard)
Shock filter definition: Absolute Acceleration, Relative Displacement
SRS damping: User selectable from 0.1 to 99% (% of critical)

Shock Synthesis
Reference pulse synthesis: Automatic synthesis from user-defined SRS with selectable average and peak error
Reference pulses: Wavelets or damped Sines
Wavelet parameters: Polarity, frequency, amplitude, number of half sines, delay; automatically
generated, user selectable or both; automatic convergence to reference SRS
Damped sine parameters: Polarity, frequency, amplitude, damping, delay; automatically generated, user
selectable or both; automatic convergence to reference SRS
Pulse optimization: Time, displacement, peak acceleration
SRS convergence criteria: Average error, peak error
Pulse duration: Minimum 0.4 ms
Buffer Duration: 10 ms to 64 seconds
Pulse dynamic limits: Maximum input voltage, max/min acceleration, max/min velocity, max/min
displacement, calculated and displayed

Control Parameters
Mode of Operation: Manual, semi-automatic, automatic
Number of Control Channels: Any one channel selectable as control
Repetitive pulses: 1 to 1,000,000
Delay Between Pulses: 0 to 8,000 ms

Control Strategy
Pre-stored drive User selectable, no/yes
Drive Update Off, on (Equalization function updated after every pulse)
Output Polarity + / -
Weighting for Averaging User selectable, 0.05 to 1
Feedback Gain User selectable, 0.05 to 1
Equalization Method Transfer function
Equalization Level 0 to –80 dB
Input for Equalization Pulse, random, pseudo random
Non-Linear Ampl.Factor NLAF #set 0.5 to 2.0
Waveform Trend Removal Disable, enable (Removes DC offset before integrating from Acceleration to
Velocity or Displacement)

Start-up Parameters
Initial Test Level Equalization level to 0 dB
Level Increment 1 to 20 dB
Equalization Delay 0.0 to 8,000ms

Safety Features
Shaker Limits Pretest verification that spectrum dynamic limits are within shaker operational
limits (acceleration, velocity, displacement and voltage)
Loop Check Max Drive User selectable, 1 to 5,000 mVrms
Loop Check Max Noise User selectable, 1 to 1,000 mVrms
Max Average Error Alarm 0.01 to 100%
Max Average Error Abort 0.01 to 100%
Max Peak Error Alarm 0.01 to 100%
Max Peak Error Abort 0.01 to 100%
Control Signal Loss Continuous automatic detection
Maximum Drive Signal 0.01 to 12V Peak

Test Automation
Automatic Level Increase User selectable initial level, level increment, delay between pulses;
re-equalization between each pulse
Multiple Pulse User selectable number of full level pulses and delay between pulses

Channel Setup
Channel Type Control, auxiliary, inactive
Sensitivity 0.001 to 999,999 mV/g
Channel Loop Check Enabled, disabled
Channel Label Up to 20 characters for each channel
Transducer Serial Number Up to 10 characters for each channel
Transducer Power Constant current source On or Off

On-Line Analysis
Real-Time Analysis Pulses and spectra for 1 to all available channels simultaneously displayed
Time Functions Control, drive, error and auxiliary waveforms
Display Units: Acceleration, Velocity and Displacement
SRS Displays: Maxi-max; Primary and Residual +or -
Cursors: X and Y value readout, peak search, trace tagging, multi-window locked
positioning
Scaling of Display: Log / linear, auto-scaled / fixed, full control

Data Storage
Data Storage Setup: Every pulse, last pulse, off
Playback Scan through the entire test data file, with adjustable delay
Record Annotation Complete tagging of each record with either static or dynamically changing info
Test Summary Fully documented post-test summary, easily printed or incorporated into any
document using standard word processing software
Run Message Log Text file records all system status messages displayed during test run


Shock Synthesis Table

To modify or view the Profile Settings, select 'Synthesis Define' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a synthesis table file (.tbl) After the first time, this will be done automatically for you.

Frequency: Enter the frequency for a synthesis component. Frequencies must be in ascending order and must be between the Minimum Frequency and the Maximum Frequency from the SRS Reference Table.

Amplitude: Enter the acceleration amplitude for the component at this frequency. The units are selectable from the SRS Reference Table. The value can not exceed 100,000.

Half Sines: Enter the number of half sines for the Wavelet or the damping value (% of critical damping) for the damped sinusoid at this frequency.

Delay (ms): Enter the delay in milliseconds from the beginning of the data buffer to the time where this component starts. For the Auto-Synthesis option, the delay is randomly assigned. At the end of the synthesis process, the final pulse duration is calculated and the pulse may be centered within the buffer depending on the Pulse Parameters.

[Generate Pulse]: Generate a reference waveform (time domain) and compute the SRS of the reference waveform using the parameters in the table. . No parameters are automatically updated for this selection.

[Auto-Synthesis]: Automatically fills (or refills) the synthesis table with all required parameters based on an algorithm that minimizes the error between the SRS specified in the Reference Table and SRS of the synthesized waveform. When "Optimum" is selected for Synthesis Frequencies, the algorithm is optimized to maximize the smoothness of the SRS when computed at high resolution. For Wavelet components, you may also select optimization for "Time" (minimize the buffer duration) or "Displacement" (minimize the peak displacement). The "Minimize Acceleration" option may be selected to search for a set of parameters that will reduce the peak amplitude of the resulting time domain waveform. The smoothness of the SRS is generally better for the Wavelet components and also for a Reference SRS defined over a smaller frequency range. These factors reduce the interdependence of the synthesis components. CAUTION: This operation overwrites the existing synthesis information in the above table. Reload the synthesis table to revert back to the last saved state. If the synthesis table is not saved then this action cannot be undone.

[Amplitude Convergence]: Enter the Acceleration amplitude for the component at this frequency. The units are selectable from the SRS Reference Table. The value can not exceed 100,000.

 Setup and Convergence
Synthesis Component: Select either type of basic component for the synthesis process. When [Damping] is chosen, half-sines values are converted to damping values that produce an approximately equivalent number of cycles of the sinusoid before the sinusoid amplitude decays to less than 5% of its peak amplitude.

Synthesis Frequencies: This parameter affects the spacing of the frequencies for the automatic synthesis process. Select [1/n octave] to force the algorithm to define a synthesis component at each of the ANSI 1/n octave frequencies, where "n" is chosen in the SRS Reference Table. Select [Optimum] to force the algorithm to define the minimum number of frequencies needed to synthesize a waveform that will generally produce a smooth SRS.

Wavelet Optimization: Select Time optimization to generate a pulse of shorter duration for Auto-Synthesis Table Setup. Select Displacement optimization to generate a waveform with lower peak displacement for AutoSynthesis Table Setup.

Desired Level: Enter the desired (realistic) peak acceleration for the minimize acceleration process.

Note that you must select the [Auto-Synthesis] button before Synthesis Frequencies, Wavelet Optimization, or Desired Level selection will be applied to the generated waveform. If you choose the [Generate Pulse] or [Amplitude Convergence] buttons, then the selection is applied within the setup parameters, but the selection is not invoked until you choose the [Auto-Synthesis] feature.

Minimize Acceleration: Select this feature to enable parameters that are used for an iteration process that minimizes the absolute peak value of the resulting time-domain acceleration waveform.

Maximum Iterations: Enter the desired maximum number of iterations for the minimize acceleration process.

Specified Avg Error (%): Enter the maximum average error.

Specified Peak Error (%): Enter the maximum average peak error.

Specify Buffer Duration: Check this box if you want to choose the buffer duration. Shock Synthesis will acquire data using the next higher power of 2 buffer size, but will only process the data for the buffer duration you have chosen. Leave this box unchecked if you want Shock Synthesis to pick the duration of the buffer. The program will choose a buffer size that is a power of 2 and will process all of the data in the buffer.

Center Pulse: Check this box to cause the pulse to be centered in the buffer. If the specify buffer duration
selection is checked, the pulse will be centered within the entered duration. Leave this box unchecked to cause the pulse to be placed at the beginning of the buffer.

Buffer Duration: This is the length of the time domain buffer in milliseconds for the reference waveform.

 Pulse Dynamic Limits
Input Volts / Acceleration / Velocity / Displacement: These are read-only displays of the Pulse Dynamic Limits.


Shock Synthesis Test Control

The Test Control window enables the user carry out any necessary operations on the test while it is running. Note also that all the functions which can be carried out using the test control window can also be done using the main menu under the header, 'Test'. To view the Test Control select 'View' from the main Lynx control window, followed by 'Test Control'.

[Start]: When depressed the test is running, otherwise it is stopped. The process that the system goes through is as follows:

1) Test Started: Display of calculated Max Acceleration., Velocity, and Displacement.

2) Measuring Ambient Noise: Shock starts measuring the noise present on the Control channels and on the Auxiliary channels.

3) Ambient Noise Complete: The measurement is finished, and the measured ambient noise on each channel is displayed.

4) Starting Loop check: Loop Okay message when detected.

5) Starting System Transfer Function: The initial H(f) for Control is measured. A number of low level pulses or burst random signals are output and H(f) is calculated between the Drive and Control signals.

6) Checking System Gain: If gain is stable a factor is displayed

7) Starting System ID (transfer function) averaging: The initial H(f) is used to calculate an initial Drive signal signal, which is then output. Peak and Average Error for the Control signal are calculated. If the Control response is within the specified error, Equalization is complete, otherwise H(f) is updated and a new Drive signal is calculated and output. This loop continues until the error conditions are satisfied, or if the error does not converge, at which time an error message is displayed.

8) Ready for Pulse Outputs: Pulses are output, starting at the specified Test Level, proceeding as directed by Level Schedule.

[Restart]: If a test is aborted by either an alarm/abort or by the user, restart will continue the last pulse where it was aborted.

[Output]: Begins the pulse outputs once the system as gone through it initialization and loop check. The system is ready for pulse outputs once the button is no longer grayed-out.

[Compensation]: The save / load compensation function will save / load the compensation into / from a file (.cmp) as defined in data storage.

[Comp Usage]:
Use Prev: Clicking this button prior to a test start will move the static compensation data to the dynamic memory area and skip the normal system ID, running the test with a pre-stored compensation.
Restore: Moves the static compensation data to the dynamic memory area.
Update: Moves the dynamic compensation data to the static memory area.

[Abort]: Manually aborts the current test in progress.

[Manual]: Toggles the test control between automatic and manual modes.

Manual mode allows the user to manipulate a test while in progress. The following functions are available only while in manual mode:

Level: Allows the user to choose the measurement type of either dB's or G's and shows the numeric value set in the profile.

Num Pulses: The number of pulses during a test cycle.

Pulse Delay: Time delay between pulses.

NLAF#: The Non-Linear Adjustment Factor is used when there is a known gain non-linearity on a shaker system to reduce the amount and level of pulses used to equalize the shaker system. For example, a test is equalized at –12 dB. When the test is jumped to 0 dB the result is a time history of the proper shape, but about 10% low. A NLAF of 1.1 can be used the next time to correct for the gain non-linearity and eliminate the need to run more equalization pulses at higher than –12 dB.

Polarity: Polarity of the voltage input.

[Save]: Save the test data into a file (.sdd).

[Recalc Comp]: Using the Recalc Compensation function allows the user to automatically improve the dynamic compensation. This means that the shock pulse at the accelerometer is a more accurate reproduction. If this button is toggled ON, the dynamic compensation is updated
after each pulse. This data can be temporarily stored in static memory or saved to a file.

[Add to Schedule]: Allows the user to add additional pulses to the test.

Units: db or G


SineSpecifications

Previous topic Sine Technical Specifications

Control Methods
Control Loop True analog-quality sine sweep with a double precision integrated phase algorithm for low distortion.

Control Performance
Dynamic Range Greater than 80dB with 0.05 dB level step control over the full range.
Output Signal Analog-quality digital sine generation, using a double precision integrated phase algorithm for low distortion.
Level Accuracy Control to within ±1dB at a sweep rate of 1 oct/min through a 600 Hz resonance of a linear system with a Q of 70 with an internal 20% proportional tracking filter sweep frequency resolution of ±0.5% of the drive frequency.
Loop Time Less than 5 msec for single channel control.
Compression Rate Up to 3,500 dB/sec with unconditionally stable feedback control loop.
Harmonic Distortion <-75 dB at full output

Reference Profile
Definition Up to 500 frequency segments
Segment Types Constant displacement, velocity, acceleration and straight line acceleration (linear or logarithmic)
Crossover Frequencies Automatically calculated to avoid segment boundary discontinuities
Alarm and Abort Limits Independent positive and negative alarm and abort margins
Sweep Range User-defined sweep range from 1 to 5,000 Hz; and 0.01 to 10,000 Hz (Premier Optional)
Sweep Resolution User-defined resolution of 450 to 800 points per sweep; 450 to 2,400 points per sweep (Premier optional)
Spectrum Dynamic Limits Acceleration range, maximum or minimum acceleration, maximum velocity and maximum displacement

Limit Profiles (Optional)
Definition Up to 500 frequency segments
Segment Types Constant displacement, velocity, acceleration and straight line acceleration (linear or logarithmic)
Crossover Frequencies Automatically calculated to avoid segment boundary discontinuities
Number Up to the number of active channels minus one (Premier)

Control Parameters
Mode of Operation Manual, automatic
Test Duration Maximum 10,000sweeps or 999:59:59 (hh, mm, ss); unlimited test
Measurement Processing RMS, or tracking filter processing for all channels in parallel; processing type individually selectable for each channel.
Tracking Filter Types Proportional to drive frequency, 1 to 200% and fixed bandwidth, 1Hz to 1,000Hz
Transducer Types Control based on acceleration or displacement transducer with programmable
transition frequency band.
Number of Control Channels 1 to all available channels, max 16
Multi-Channel Control Strategy RMS, arithmetic average, min, max
Abort Channels Abort test when user-defined level exceeded
Compression 5% to 100%
Units M/s: m/s – mm; g – in/sec – in; g – m/s – mm
Box Tolerance Enable Alarm & Abort width set 1 to 100%
Startup/Shutdown Rate 0.1 to 999 dB/sec

Sweep Parameters
Sweep Mode Linear, logarithmic
Sweep Duration User defined, maximum 999:59:59 (hhh:mm:ss)
Number of Sweeps 0.01 to 100,000
Sweep-rate Linear 0.00003 to 300 Hz/sec (0.0018 to 18,000 Hz/min)
Sweep-rate Logarithmic 0.1 to 800 Oct/min
Initial Sweep Direction Up, down
Sweep Type Rate or Timed
Manual Sweep Control Dwell, resume, reverse
Multiple Sweep-Rate Definition 100%; 50%; 25%; Arbitrary

Safety Features
Shaker Limits Pretest verification that spectrum dynamic limits are within shaker operational
limits (acceleration, velocity, displacement and voltage)
Loop Check Max. Drive User-selectable, 1.0 to 1,000 mV RMS
Control Signal Loss Continuous automatic detection.
Manual Abort Graphical and keyboard abort buttons
Maximum Drive Signal 0.01 to 12 Vpeak
Startup/Shutdown Rates Independently selectable, 0.1 to 999 dB/sec

Test Automation
Test Scheduling User-defined sequence of up to 500 independent tests run automatically
Sweep-rate Table Up to 50 sweep-rate vs frequency segments
Compression Table Up to 50 compression speed vs frequency segments
Schedule Cycles 1 to 99
Channel Setup
Channel Type Control, measure, reference, limit, abort, inactive
Sensitivity 0.001 to 99,999 m/Hg or mV/(m/s 2)
Channel Loop Check Enabled, disabled
Channel Label Up to 8 characters for each channel
Transducer Serial Number Up to 10 characters for each channel

On-Line Analysis
Display Functions Control, drive, measurement channel 1 to 16, frequency response function
(magnitude/phase or real/imaginary)
Cursors X and Y value readout, peak search, trace
Scaling of Display Log/linear, auto-scaled/fixed
Real-Time/Stored Data Simultaneous display and overlay of real-time data and any stored data

Resonance Search & Dwell
(Optional)
Dwell Modes Fixed frequency, phase tracked
Search Parameters Max no. of resonances, hysteresis, minimum Q value
Resonance Calculation Resonance frequency, Q, phase, level
Dwell Table Parameters Duration, start frequency, dwell frequency, end frequency, dwell phase, alarm
limit, abort limit

Data Storage
Setup Options Every sweep, last sweep, first sweep
Playback Scan through the entire test data file, with adjustable delay and tagging

Documentation
Test Summary Fully documented post-test summary, easily printed or incorporated into any
document using standard word processing software
Run Message Log A text file records all system status messages displayed during test run.


Sine on Random Acquisition

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window. This page allows you to modify the parameters relating to the acquisition of data.

Click on a tab to view the different test settings available.

Max. Frequency: Enables the user to set the maximum frequency by which a test will not exceed. Select range from 50 to 5`,000Hz.

Ctrl Degrees of Freedom: Enter the degree of freedom to be used for control loop averaging.

Mon Degrees of Freedom: Enter the degree of freedom to be used for monitor loop averaging.

Lines of Resolution: Enables the user to set the number of lines of resolution.. Select a range of from 100 to 800. The more lines of resolution in a test, the greater the accuracy; however, speed will be compromised.

Mon Averaging: Linear specifies the number of frames to acquire for linear averaging of monitor and auxiliary channels before averaging is halted. Exponential sets update for monitor and averaging channels.

Overlap Processing: Not available in Sine on Random.


Sine on Random Broadband Profiles

To modify or view the profile settings for a test, select 'Profiles...' under 'Setup' from the main menu of the Lynx control window. Any modifications that are made will be required to save in a profile setting.

The first step is to define appropriate ranges for your profile and test. Choose the working units: SI, Metric or Imperial, then enter the necessary parameters into the spreadsheet.

To view your changes select Apply. Your profile will be displayed as a graphical representation as shown below. The red line is the abort setting. Notice it is 6 dB away from the blue reference line, just as the above table specifies. The yellow line is the alarm, it is 3 dB away from the reference line. These two sets of lines have low and a high settings specified by the last four columns of the table. The slope in some cases may be used instead of the amplitude. The next point in the graph is calculated by the y-intercept's slope from the line specified by the first point's frequency, amplitude, slope, and the second point's frequency. Right mouse click on the GRMS value (total GRMS of profile) and a submenu will be brought up that allows rescaling of the Reference.


Sine on Random Channel, Broadband, Component Status

The Channel Status box displays information on each of the channels as defined in the Channel Table.

Under each channel the live output will be displayed in GRMS. If not all of the channels are active then the corresponding channel number and output will be grayed out.

The Broadband Status box displays current control, drive, and test levels as defined in Broadband Profiles.

The Component Status box displays the status of a tone component. The drop down box allows you to display the different tones defined in Tone Profiles.


Sine on Random Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive - No data is acquired from this channel.
Control - A channel defined at a control point on the device under a test. You must have at least one control channel and may have multiple control channels.
Measure - A channel that is used to measure data at other points on the DUT (Device Under Test). These channels are not used to modify the Drive. Loop check is optionally performed on these channels.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

Loop Check: This is to check the channel's reception of the signal being sent through the drive.

Weighting: Used for control channels. When using multiple control channels, Lynx recognizes all the control channels as single "pseudo" channel, this done by averaging all the channels together. Weighting allows you to do a weighted average of the channels. The number entered here is weighted relative to the other control lines, an example would be where one control channel has a 1 and another has a 3, there would be a 3:1 ratio in the average.

RMS Abort: During a test, if the RMS exceeds the entered value, the test will abort.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).
DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.

Reference Channel: Choose any or all channels that are currently active. This is the channel used as the denominator.


Sine on Random Control Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Strategy:

Average - Used when you want the arithmetic average of the individual control channel levels to be computed and used as the composite control level, this is the default value.
Minimum - Used when the smallest levels for the individual control channels are used as the composite control level.
Maximum - Used when the largest levels for the individual control channels are used as the composite control level.

Mode: This enables the user to define whether the test starts in automatic mode or in manual mode. If auto-only is selected then the user may not select manual mode when the test is running

Loop Gain: The sum of the gains, expressed in dB, acting on a signal passing around a loop.

Spectral Smoothing: The general process of removing noise from data. Typically, performed by filtering a signal (provided that noise components are different in frequency than the desired signal.)

Tone Extraction: There are two selections either CONTROL or ALL. The default should be set to Control. Lynx has a very unique feature in that in Sine on Random, you can view the tones separate from the Broad Band Random. This feature is very useful when analyzing data from a Sine on Random test run. Normally the user would be only interested in breaking the control channel down in this method. They would be more interested in looking at measurement or auxiliary channels with the two components combined. If the need arises where the user wants to break the measurement channels out into its distinct components then the user should select ALL and enable this capability.


Sine on Random Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx Basic control window. This dialog specifies how and when the data from a test should be stored.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Sine on Random Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx Basic control window. This dialog specifies how and when the data from a test should be stored.

Click on a tab to view the different test settings available.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.
Query - Prompts you just after you have started up a test for a filename for the data file.
Default - Saves all the data in a default file (SineOnRandomData.sdd), this means however that each time the test is started the data is overwritten

Save On Level Change: This will save data every time the test moves up a level in the schedule.

Save Every n Second(s): This allows data to be stored on a time basis, be careful here if you are running a long test as the file size could get quite large.

Save on Alarm: This saves data if the data trace exceeds the alarm line in the profile.

Save on External: This saves data at a user defined point.

Save every n Tone Sweep(s): Save certain multiples of sweeps as defined by the user.


Sine on Random Level Schedule

To modify or view the schedule setup, select 'Schedules...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications are made you will be required to save the schedule to disk. After the first time, this will be done automatically for you.

The excitation level holds at the Initial Test level (dB below full level) until a signal is given to increase the excitation to full test level (0 dB). The “hold” period may be defined in terms of loops, or it may be an indefinite hold until a manual drive increase command is given. The other option would be to specify a level schedule and follow those parameters.

Click on the tab to view the Test Schedule.

Level: Level range from -80 to 0 (db).

Time at Level (hrs : min : sec): The amount of time the data trace holds at the specified level.

Time to Level (hrs : min : sec): The amount of time the data trace takes to reach the specified level.

Alarm Action:

Abort - Shut down test
Continue - Go to next level
Pause - Waits for user selection of Resume, Stop, or Abort on Test Panel.

Acquisition Range Parameters: These Acquisition Parameters are utilized differently depending on which Startup Mode was selected. The different Start Modes (this option is under Random Control Setup) and how the different parameters are used are as follows:

Automatic - System holds at Initial Level for the specified period, then automatically increases excitation in the level increments (dB) specified, at the specified rate (dB/SEC or total seconds).
Auto Only - System holds at Initial Level until the manual “increase level” command is given, then automatically increases excitation to full level (0 dB) in the level increments (dB) specified, at the specified rate (dB/SEC or total seconds).
Manual - System holds at Initial Level until manual “increase level” commands are given. Level changes are made one level increment at a time via individual “increase” commands. Total time to go to full level is thus under operator control.

Shut Down Rate (dB/sec): The programmable shutdown rate (set in dB/SEC) allows the excitation level to be quickly and smoothly decreased. The maximum achievable shutdown rate may be limited by control parameters such as the frequency bandwidth and number of frequency lines. (For example, the D/A attenuator can change the drive signal amplitude at most once each output frame.)


Sine on Random Level Status

The level status box displays information regarding the status of the test within a pre-defined schedule.

The level status box also keeps track of the amount of elapsed / remaining time at and between each schedule level. These times will reset when the test reaches a level.

You can keep track of the tests position within a schedule by the following display:

Manual Mode
Should manual mode be enabled during a test, the schedule will be held until automatic mode is re-enabled. The following message will appear:

The elapsed time will reset each time you step up, or step down in the test, obviously the remaining time will not change, as this is undefined.


Sine on Random Overview

Sine on Random

The Sine on Random Function program is both Lynx Random and Sine running concurrently. Closed loop vibration tests are performed on both prototype and production-line products to ensure that the product will survive actual production, shipping, and in-use conditions. Product vibration testing is conducted by subjecting the product to a stress / mechanical vibration. This mechanical vibration can identify design weakness, and allow early correction of design problems. Sine vibration environments contain only a discrete frequency for a sine wave that changes frequency over time. A sine vibration environment is used to locate resonance or bending modes in test articles. Random vibration environments are characteristically non-repetitive in time. In other words, mechanical energy is present at all frequencies over a frequency range.

Please select a topic below for more information.

Setting Up a Test

Channel Setup
Test Scheduling
Tone Profile Setup
Reference Import Setup
Broadband Profile Setup
Test Control Settings

Running a Test

Controlling a test
Test Status
Level Status
Channel, Broadband, and Component Status

Test Safety

Safety / Shaker Limits


Sine on Random Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (defined in 'Data Storage' and the All / Last Frame(s) buttons). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.


Sine on Random Reference Import

To import a reference into a Sine on Random test, select 'Reference Import' under 'Setup' from the main menu of the Lynx control window. The Sine on Random Reference Spectrum consists of a Broadband Reference Spectrum and up to 10 tones. Note that the Reference Import is referring to the Random Component of the Sine on Random Test.

Click this button to open up a UFF file. Once opened, the selection box below will list the available frames of data contained within the file. Use the mouse to select a frame, then press OK to apply this change and return to the main control window.

The Profile Range is the range of frequency of the imported reference. Abort / Alarm Settings defines their respective ranges of the reference. The Acquisition Rate and Lines of Resolution are the current test's values as defined in Acquisition. Delta Frequency is equal to (Acquisition rate / Lines of Resolution).


Sine on Random Safety Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Shaker Limits tab to view those limits.

Alarm Lines: Enter a number from 1 to the line frequency, or a percent from 1 to 100. This parameter is the number of lines allowed out of tolerance before an alarm is activated.

Abort Lines: Enter a number from 1 to the line frequency, or a percent from 1 to 100. This parameter is the number of lines allowed out of tolerance before an abort is activated.

Sigma Clipping: Sigma clipping allows clipping of high peaks in the output signal to prevent power amplifier overloads. However, clipping can cause a reduction in the system dynamic range. Range is from 2 to 20. 20 turns off Sigma Clipping. Note: If Sine Tones are close in amplitude to the Random spectrum then a lower value is suggested; If the Sine Tones are at a much higher level than the Random Spectrum then a higher value is suggested.

Warning Tone Level (%) - If Lynx is clipping the Tone by the specified %, an alarm will sound but continue the test.

Abort Tone Level (%) - If Lynx is clipping the Tone by the specified %, the test will abort.

GRMS: Db units are automatically scaled if the Reference Spectrum is changed. Alarm displays a message if the control spectrum level exceeds threshold level. Abort automatically shuts down test if control spectrum level exceeds threshold.

Loop Check: Maximum Noise is for a noise threshold (mV RMS). Enter the ambient noise signal level used to decide if an input channel is too noisy to be used during a test. This must be in the range 0-1000 mv. For maximum drive (mV RMS), enter the maximum drive voltage for system output during loop check threshold search. The drive will not exceed this value if an open loop condition occurs. The allowed range is 0 to 5000 mv.

Max Noise - Acceptable ambient noise level. Used to set a noise level above a channel that is too noisy to allow test to be run.

Max Drive - Maximum output level during loop check. Higher drive levels may be necessary for noise environments or if gain is low.

CSL Sensitivity

Warning! The 'Off' mode can cause severe over-test if the control signal is lot due to broken cables or malfunctioning equipment and the drive signal is increased in an attempt to compensate for the low control level. It is highly recommended that the 'Off' and 'Low' only be used in manual mode and never unattended.

Standard:
- Measures the ambient noise (in RMS volts) on each control channel with the drive off.
- Increases the drive until all control channels exceed the measured ambient noise by 6dB.
- Measures the RMS of each control channel at the current drive level and store the RMS level.
- If, at any time during a test, any one of the control channel's RMS values goes more than 3dB below the above stored RMS level, the test is aborted. This method provides the safest control signal loss detection mode and will usually detect cases where an accelerometer has fallen off a test specimen, but remains on the test fixture (bouncing about).

Low:
 - Measure the ambient noise on each control channel (with drive off) and sets the control signal loss threshold to 3dB above this level.
- If, at any time during a test, any one of the control channel's RMS values goes below the above stored RMS level, the test is aborted. This method is good for large structures that may have large differences in the gains of the control channels. This method should only be used during attended tests.

Off:
 - Disable the control signal loss after the loop check. This method should only be used in manual mode and when the test is attended. It may be useful in noisy environments for cases where control signal loss aborts have occurred and the equipment is known to be working properly.


Sine on Random Shaker Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Safety Limits tab to view those limits.

If at any time the test reaches these maximum values then the test will be aborted.

The following values may be set:
Acceleration (+g) and (-g) in range 0.0001 - 100.
Velocity (+in/sec) and (-in/sec) in range 0.0001 - 100.
Displacement (+in) and (-in) in range 0.0001 - 100.
Voltage (+v) and (-v) in range 0.0001 - 100.

The negative values will be pre-determined if the symmetric limits box is checked.

Symmetric Limits: If this check box is selected then the negative values become equal to their positive counterparts although still with their opposite polarity.


Sine on Random Test Control

To view the Test Control select 'View' from the main Lynx control window followed by 'Test Control'.

Note also that some of the functions which can be carried out using the test control window can also be done using the main menu under the header 'Test'.

[Start]: When depressed the test is running, otherwise it is stopped.

[Restart]: If a test is aborted by either an alarm/abort or by the user, restart will continue the test where it was aborted.

[Pause]: Pause the test if running, press again to resume test.

[Manual]: Toggles the test control between automatic and manual modes.

[Step Up / Down]: Steps the test level up or down while in manual mode, this can action can also be done using the slider control.

[Drive Update]: The drive update function can be either on or off. On is commonly used for closed loop control. When off is selected, the drive voltage level is fixed and Alarm/Abort limits are inactive.

[Swp Up / Down]: Changes the direction of the sweep while in manual mode.

[Change Rate]: Enter a sweep rate in the text box then press this to apply the new sweep rate.

[Component / Status]: This specifies which specific Tone or all of the tones to control via the parameters in this window (Status, Sweep Rate, Sweep Direction).

[Reset Average]: Resets averaging algorithm.

[Save]: Save the current frame of data to a file.

[Abort]: Manually aborts the current test in progress.


Sine on Random Test File Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Click on the button to the right of the file location to browse and add a file. This enables you to load pre-saved files containing all the settings needed for a random test which saves you from having to navigate through the different setup dialogs.

Test File Description: This is a user defined text message of the description of the random test.


Sine on Random Test Schedule

The Test Schedule Dialog allows automation of different test within a single application. Test Automation with multiple applications can be accomplished by using Mission Simulation Control. Use the browse buttons [image] to select a profile and schedule. Set the delay (hrs : min : sec) between tests, then the number of times the test is to be repeated. Press Run Schedule to start the test.

Click on the tab to view the Level Schedule.

Once the test has begun, the Test Scheduling Dialog will appear showing the schedule with the current test. A box around the current cycle entry specifies the current test in progress. When the test is complete, the text will turn red while the delay is in progress, then continue until all cycles and tests are complete.


Sine on Random Test Status

To view the control status box select 'View' from the main Lynx control window then 'Test Status'.

The test status box also displays the amount of time elapsed and remaining. This time is calculated from the moment you press start to the time when the test stops naturally or is aborted. A progress bar is used as an abstract method of showing the tests completion status.


Sine on Random Tone Profiles

To modify of view the tone profiles for a test, select 'Tone Profiles' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a tone profile file (.srp) After the first time, this will be done automatically for you.

Two points to remember: (1) The last entry must be at maximum sweep frequency of each tone. (2) You cannot have a linear-linear nor a log-log slope as the final break point of a tone unless it is the maximum frequency of the Acquisition Range. Whenever the first break point of the Tone is Acceleration and the next breakpoint is a linear-linear or log-log slop, you must add an additional breakpoint immediately after the first acceleration break point.

Frequency (Hz): For each tone, the frequency range must be within the Broadband range and must cover the sweep range of the Tone (or must cover the dwell frequency for a non-sweeping tone). A segment is defined by ending Frequency and Type.

Type: Displacement values are peak to peak amplitude, all others types use zero to peak values.

Displacement - peak to peak value

Velocity - zero to peak value

Acceleration - zero to peak value

Logarithmic / Logarithmic Slope - line on log-log basis

Linear / linear Slope - line on linear-linear basis

Alarm: Alarm lines are the second most outer lines of a profile. When the plot exceeds either of the alarm lines the test will abort of ignore it but record that it took place. Whether the test will abort or ignore is decided within a schedule. The values in this column indicates the how far in dBs the alarm line is in relation to the control line.

Abort: Abort lines are the outermost lines of a profile, when a plot exceeds the abort lines the test will be aborted. The values in this column indicates the how far in dBs the alarm line is in relation to the control line.

 Acquisition Range: Displays the min and max frequencies as defined in acquisition.

 Sweep Range, Alarm / Abort Range: Defines the frequency and alarm / abort lines for the tone.

 Tone Parameters:

Sweep mode: Choose logarithmic or linear.

Points Per Sweep: Range of 200 - 1600.

Tone Smoothing: Off, automatic, low, medium, high. This is the smoothness of amplitude error correction (speed). The greater the smoothing the slower the correction. A step change would have an ideal tone smoothing of low or off.

Initial Sweep Direction: Up, down, stationary. Stationary is used for Sine Dwells.

Sweep Type: Rate or timed.

Sweep Time: User defined for a timed sweep type.

Sweep Rate: Oct / min

Tone Duration: This specifies the duration by an unlimited amount, user defined time or sweep count.

[Harmonics]: This feature is currently not available in version 1.8.2 and will be added in a future release.


Rotating Machinery Channel Table

Star Analyzer Acquisition

Mode: Resolution / Frame Size / Duration (ms): This selects the mode to be used that will govern the duration, the size of the data frames, and the resolution. Available frame size: 512, 1024, 2048, 4096, or 8192. Available duration length: 100, 200, 400, 800, 1600.

Resolution: Depending on the specifications of your hardware the available resolutions are 100, 200, 400, 800, 1600. This parameters determines how many calculated points there are within the bandwidth below. Having a low bandwidth and a high resolution will slow down the test but increase accuracy.

Sampling Type (Fixed / Tracked):

Sample Rate Source:

Max Orders:

Bandwidth: The available bandwidths are 50, 100, 200, 500, 1000, 2000, 5000, 10000.

Window Type: (None / Hann / Blackman / Calibration):

None (Rectangle) - The None choice, for no windowing, is useful when you need to use all of the data in the time record equally or uniformly.

Hann, and Blackman Windows - The Hann and Blackman windows are very similar. These windows are generally most appropriate for random and non-periodic signals.

Calibration - The Calibration window is provided primarily for use with pure sinusoid inputs. It is corrected such that a sine wave input at any frequency produces the same spectral amplitude that it would have if no window were applied and the sine frequency fell exactly on one of the computed discrete spectral lines.

Window Scaling ( Broadband / Narrowband):

Averaging Mode: Averaging is one technique used to decrease the noise in the system.

Linear - All blocks of data are treated equally in terms of their effect on the averaged result. A specified number of averages will be taken.

Exponential - Similar to linear averaging, Exponential requires a weighting factor which either increases or decreases the effect of each new data block on the resultant average.

Max - The resultant block is a collection of points that represent the peak amplitude for each point. With each new block of data, the current data is compared with the new data on a point by point basis. The highest amplitude for each point in the block is retained.

Num Avgs: Enter the number of averages you would like the test to perform. This means that the test will consists of this many repetitive samples.

Overlap Factor (None / 25% / 50 % / 75% / Max):

Discount Weighting: This factor (w) is used for the H(f) averaging calculations. (1/w) averages are used for the initial H(f) calculation during the System Identification process. (w) is also used as an exponential discount factor for averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125.

Spectral Weighting (Flat / A / B / C):

Acquisition Mode (Ave Spectra / Map Spectra):

Max Records:

Pre-Trig Recs (%):

Map Option:

Data Source:

Replay Ratio:


Rotating Machinery Channel Table

Star Analyzer Acquisition Gating

Data Tag:

Start Condition:

Stop Condition:

Gate Change:

Value:


Rotating Machinery Channel Table

Star Analyzer Channel Data Scan


Rotating Machinery Channel Table

Star Analyzer Channel Table

To view the channel information of the active STS data file, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that this dialog is read only.


Rotating Machinery Database

Star Analyzer Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Rotating Machinery Data Storage

Star Analyzer Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Data Type: This sets the file type or the structure of how the data is written in the file, selecting Lynx will save the data in the format which Lynx recognizes (.sdd). Selecting UFF (Universal File Format), will save it in an industry standard format allowing portability to other applications.

Functions: Check one or more functions that you want saved to the data file.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (*.sdd), this means however that each time the test is started the data is overwritten.


Rotating Machinery Channel Table

Star Analyzer Define Gates

Enabled: Gate is enabled if checked.

Gate Type (RPM/Freq/Speed AC):

Gate Name: User defined gate name up to 15 characters.


Rotating Machinery Gate and Channel Status

Previous topic Star Analyzer Gate and Channel Status


Rotating Machinery Channel Table

Star Analyzer Gate Settings

Minimum Value:

Maximum Value:

Channel Source:

Process (Pulses / DC Prop (hs) / Tacho h/w):

Pulses / Rev:

Average Period:

Coupling (AC / DC): Used with Tacho h/w

Slope (Positive / Negative):

Trig Level (%):

Trig Range:

Trig Level Update:

Pre-Filter On:

Signal Squaring On:


Rotating Machinery Overview

Next topic Star Analyzer

Please select a topic below for more information.

Setting Up a Test

Channel Setup
Gate Definition
 Gate Settings

Acquisition Gating
Acquisition

Test Control Settings

Running a Test

Controlling a test
Channel and Gate Status


Rotating Machinery Print Automation

Star Analyzer Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (either All Frames or Last Frame). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.


Random on Random Test Control

Star Analyzer Test Control


Sine Channel Table

Stepped Sine Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive - No data acquired from this channel.

Control - A channel defined at a control point on the device under test. You must select at least one control channel and may select multiple channels. Loop check will be performed on all control channels.

Measurement - A channel used to measure data at other points on the DUT. These channels are not used in the control process to modify the drive. Loop Check is optionally performed on these channels.

Reference - This channel type is the same as control for the normal test functions.

Transducer Type: The available choices depend on the channel type and the reference type (Acceleration or EU). Select the signal type expected from the input channel's transducer.

Acceleration - The input signal is assumed to be a voltage proportional to the single amplitude (0-pk) acceleration of the transducer. The value entered in the sensitivity item is divided into the input signal of the channel to compute acceleration.

Velocity - The input signal is assumed to be a voltage proportional to the Single Amplitude velocity of the transducer. The value entered in the sensitivity item is divided into the input signal of the channel to compute velocity.

Displacement - The input signal is assumed to be a voltage proportional to the single amplitude displacement of the transducer. The value entered in the sensitivity item is divided into the input signal of the channel and then the result is doubled to compute double amplitude displacement. If a Control, Limit, Control/Limit, or Abort channel type uses the Displacement Transducer Type, then the input signal is converted to acceleration before being used to compute the Control, Limit, or Abort value.

Loop Check: This is to check the channel's reception of the signal being sent through the drive.

db Abort: User defined abort level.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

Weighting: Used for control channels. When using multiple control channels, Lynx recognizes all the control channels as single "pseudo" channel, this done by averaging all the channels together. Weighting allows you to do a weighted average of the channels. The number entered here is weighted relative to the other control lines, an example would be where one control channel has a 1 and another has a 3, there would be a 3:1 ratio in the average.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Sine Control Setup

Stepped Sine Control Setup

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Strategy:

Average - This should be used when you want the arithmetic average of the individual control channel levels to be computed and used as the composite control level.

Minimum - This is used when you want the smallest of the levels for the individual control channels to be used as the composite control level.

Maximum - Should be chosen when you want the largest of the levels for the individual control channels to be used as the composite control level.

Mode: This enables the user to define whether the test starts in automatic mode or in manual mode. If auto-only is selected then the user may not select manual mode when the test is running

Compression(%): The compression rate as a percentage. Typically lower compression rates (<30%) are used for low frequency startups or for smoother control and higher compression rates (>80%) are used for control through resonances and anti-resonances.


Sine Database

Stepped Sine Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate] feature, as defined in Data Storage, is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Sine Data Storage

Stepped Sine Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, the date and the time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file, (SineTestData.sdd), this means however that each time the test is started the data is overwritten.

Save Every N Second(s): This option allows data to be stored on a time basis, be a little careful here if you are running a long test as the file size could get quite large in size.


Sine Channel Status

Stepped Sine Definition


Rotating Machinery Overview

Next topic Stepped Sine

Please select a topic below for more information.

Setting Up a Test

Channel Setup
Definition
 Test Control Settings

Running a Test

Controlling a test
Test Status


Sine Print Automation

Stepped Sine Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (defined in 'Data Storage' and the All / Last Frame(s) buttons). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.


Sine Safety Limits

Stepped Sine Safety Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu.

Click on the Safety Limits tab to view those limits.

Control Signal Loss:

Abort Count - Number of times the CSL db Below Min Reference is exceeded before test is aborted. This prevents aborts through sharp resonances by aborting only if the CSL db Below Min Reference is exceeded a number of consecutive times.

db Below Min Reference - Level change greater than this causes control signal loss abort. A false control signal loss can be triggered by abrupt changes when sweeping through sharp resonances; in this case a larger integer may be needed.

Loop Check: Fast will compromise accuracy, Rigorous will compromise speed.

Frequency - Drive frequency for loop check signal. Choose an intermediate frequency with a normal gain level; using a low frequency value (< 10 Hz) will result in a longer loop check time.

Max Noise - Acceptable ambient noise level. Used to set a noise level above which any channel is too noisy to allow test to be run.

Max Drive - Maximum output level during loop check. Higher drive levels may be necessary for noise environments or if gain is low.

Abort Excursions: Number of control signal loss aborts before test is aborted.


Sine Shaker Limits

Previous topic Stepped Sine Shaker Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Safety Limits tab to view those limits.

If at any time the test reaches these maximum values then the test will be aborted.

The following values may be set:
Acceleration (+g) and (-g) in range 0.0001 - 100.
Velocity (+in/sec) and (-in/sec) in range 0.0001 - 100.
Displacement (+in) and (-in) in range 0.0001 - 100.
Voltage (+v) and (-v) in range 0.0001 - 100.

The negative values will be pre-determined if the symmetric limits box is checked.

Symmetric Limits: If this check box is selected then the negative values become equal to their positive counterparts although still with their opposite polarity.


Sine Test Control

Stepped Sine Test Control

To view the Test Control select 'View' from the main Lynx control window followed by 'Test Control'. Note also that some of the functions which can be carried out using the test control window can also be done using the main menu under the header 'Test'.


Sine Control Status

Stepped Sine Test Status


Analyzer Channel and DOF Status

Previous topic Transient Channel Status

The channel status box displays information on each of the channels.

Under each channel the live output will be displayed in GRMS. If not all of the channels are active then the corresponding channel number and output will be grayed out.


Analyzer Channel Table

Transient Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Click here for Transducer Database help

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive: No data acquired from this channel.

Measure: A channel used to measure data at other points on the DUT.

Measure/Reference: A Measurement/Reference channels is not required unless a cross channel function is calculated.

Engineering Units: Click here for explanation of engineering units.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/EU. Range .01 to 1,000,000.

ICP: This is used in order to power an ICP type accelerometer, default is "off". You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Analyzer Control

Transient Control

To open up transient control select 'View' then 'Analyzer Control'. This is the test control which will start and stop the acquisition of data for storage and analysis.

Click on a tab or arrow to view the different analyzer controls available.

 [Start]: This will begin the acquisition of data, depending upon how your trigger is set it will begin immediately.

[Store]: This saves the data to the selected data file. See Data Storage for more information.

[Manual Arm]: If manual arm was selected in the Trigger Setup window then this button will appear enabled. When acquisition is started then the trigger event will not be enabled until the manual arm is depressed.

[Accept] / [Reject]: If manual accept was selected in the Trigger Setup window then these button will appear enabled. If a trigger event has occurred, you must either accept or reject the acquired data.

[On Line]: This activates online averaging capabilities of Lynx. A green light appears when active. Note that when this is active, averaging cannot be started.

[OL Reject]: This will enable Lynx's automatic rejection if there is an overload on one of the channels. A green light appears when active.

[Auto Range]: This turns on the auto ranging capabilities of Lynx. A green light appears when active.

[Open] / [Close Data File]: This opens a data file for analyzing from a previously streamed-to-disk test.


Analyzer Database

Transient Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Analyzer Data Storage

Transient Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.
View Database topic

Data Type: This sets the file type or the structure of how the data is written in the file, selecting Lynx will save the data in the format which Lynx recognizes (.sdd). Selecting UFF (Universal File Format), will save it in an industry standard format allowing portability to other applications.

Functions: Check one or more functions that you want saved to the data file.

File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.

Query - Prompts you just after you have started up a test for a filename for the data file.

Default - Saves all the data in a default file (AnalyzerTestData.sdd), this means however that each time the test is started the data is overwritten.


Analyzer Tone Calibration

Transient EU Calibration

To view the EU Calibration dialog, select 'EU Calibration' from the 'Setup' menu from the main menu of the Lynx control window. Note that On Line mode must be turned off to calibrate a tone.


Analyzer Output

Transient Output

To open up transient control select 'View' then 'Analyzer Control'. This will allow user control the waveform generator.

Click on a tab or arrow to view the different analyzer controls available.

Type: Sine, Sine Chirp, Random, Pseudo, and User Defined.

[On]: Starts the waveform generator.

Output Scale: This control uses a sliding level adjuster to allow adjustments to the output level while the waveform output is active. The full scale output capability of the Lynx system is +/- 12 volts peak.

Frequency: This setting is for frequency of the generated sinusoidal waveform.

Burst Taper: In order to minimize the startup and shut down transients caused by a burst random event, the waveform generation allows the user to specify a sine^2 tapering function to be applied to the beginning and end of the burst event. The taper is defined as a percent (%) of the burst duration. The pulse taper has a range of 0 to 50% of the burst duration size.

Delay: Controls the delay (0 - 32ms) between bursts.

Waveform Duration (%): The time duration of the burst is specified by this entry. The units are expected to be in percentage of the maximum allowable duration for the sampling rate.

[Define Output]: This is used for a user defined output as selected in the type listbox. When pressed, a dialog will open up as shown below. Define the frequency and level then save the data in an output shape file (.osh).


Analyzer Overview

Next topic Transient

Signal analysis is used to determine the frequency content of signals and to characterize systems, such as test articles. The Signal Analysis program is designed to acquire data by taking an input waveform, converting it to a digitized time history, processing the appropriate functions, then displaying the measurements

Please select a topic below for more information.

Setting Up a Test
 Channel Setup
Acquisition
Transient Tolerances
Control Settings

Analyzer Control
 Controlling a test


Analyzer Stream

Transient Partitions

To open up transient control select 'View' then 'Analyzer Control'. Partitions allow multiple files to be stored on a single SCSI disk. Click on a tab or arrow to view the different analyzer controls available.

Click on a tab or arrow to view the different analyzer controls available.


Analyzer Print Automation

Transient Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (either All Frames or Last Frame). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.

Print Count: Number of times the list of graph templates print.

Print Synopsis: Prints the test's synopsis file once the test completes.


Analyzer Stream

Transient SCSI

To open up transient control select 'View' then 'Analyzer Control'. Disk streaming allows for large amounts of data to be acquired at a fast and accurate rate using a SCSI interface.

Click on a tab or arrow to view the different analyzer controls available.

Diagram of the SCSI interface.


Analyzer Transient Tolerances

Transient Tolerances

To modify or view the channel definition for a test, select 'Transient Tolerances' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a analyzer profile (.apr). After the first time, this will be done automatically for you. Note that this option will only be available when type [Transient] is active in the acquisition dialog.

This is where you can create an SRS reference along with tolerance bands that are necessary to be displayed with the transient data captured. This is useful to print out the tolerance bands with the SRS data, whether Primary +, Primary -, or Maxi-Max, from one or multiple channels to verify if a test was within specification. You can enter Frequency and amplitude break points to represent the Reference SRS (Primary +, Primary -, or Maxi-Max) along with tolerance bands for each specified in +/-dB from a Reference.


Analyzer Trigger

Transient Trigger

To open up transient control select 'View' then 'Analyzer Control'. This is where you define the trigger's attributes.

Click on a tab or arrow to view the different analyzer controls available.

 Source:
Free Run: Data is acquired constantly at the selected sample rate for processing given the current number of tasks being processed.
External Triggering: Data is acquired time relative to a TTL input signal on the dedicated EXT TRIG input.
Channel (internal) Triggering: Data is acquired relative to the input signal on the specified channel.

[Slope]: Select either a rising edge or a falling edge.
Rising: The rising edge (increasing voltage) of the signal at the specified threshold level will serve as the trigger.
Falling: The falling edge (decreasing voltage) of the signal at the specified threshold level will serve as the trigger.

Threshold: Used to set the threshold (in terms of a percentage of the channel full scale voltage or in terms of mV) for analog signal triggering. Any signal (with appropriate slope) exceeding the threshold voltage will be used as the trigger. The threshold is either an integer percentage in the range from -99 - +99% in increments of 1% or in mV in the range 1 - 2000mV in increments of 1/100th mV.

Delay: This is the delay in (ms) or % of frames between the trigger and the start of data collection.

[Pre] / [Post Trigger]: Select Pre-Trigger if you would like to store the result into the data frame before the trigger event. Select Post-Trigger if you would like to store the result into the data frame after the trigger. This offset of time is set in the text box above marked delay.

Duration (ms): Not used in Analyzer.

[Arming Mode]: Choose [manual arm] when you want the system to wait for a trigger event, otherwise this will be automatic.

Trigger Beep: This will activate an audible alarm whenever the trigger conditions are met.

Manual Accept: This will allow acceptance of the last frame of data in averaging.


Analyzer Acquisition

Transient Acquisition

This is the main setup control for the Analyzer application. To display this window select 'Setup' followed by 'Acquisition' under the main menu for the Lynx control window.

Type: This sets the mode in which Lynx will operate, select either [Analysis], [Modal], or [Transient]. If transient is selected see Transient Profile.

Mode: Resolution / Frame Size / Duration (ms): This selects the mode to be used that will govern the duration, the size of the data frames, and the resolution. Example if you select resolution with a setting 1600, then you can only have a frame size 4096 and a duration of 800ms.

Resolution: Depending on the specifications of your hardware the available resolutions are 100, 200, 400, 800, 1600, 3200, 6400, and 12800. This parameters determines how many calculated points there are within the bandwidth below. Having a low bandwidth and a high resolution will slow down the test but increase accuracy.

Bandwidth: The available bandwidths are 50, 100, 200, 500, 1000, 2000, 5000, 10000 and 20000.

Window Type: Used in analysis and modal types.

None (Rectangle) - The None choice, for no windowing, is useful when you need to use all of the data in the time record equally or uniformly.

Hann, and Blackman Windows - The Hann and Blackman windows are very similar. These windows are generally most appropriate for random and non-periodic signals.

Calibration - The Calibration window is provided primarily for use with pure sinusoid inputs. It is corrected such that a sine wave input at any frequency produces the same spectral amplitude that it would have if no window were applied and the sine frequency fell exactly on one of the computed discrete spectral lines.

Force/Impact - The force window may be applied to the output of a transducer to avoid collecting extraneous signals caused by a device other than a hammer.

Correlation - A window that must be used for auto and cross correlation.

Averaging Mode: Averaging is one technique used to decrease the noise in the system.

Linear - All blocks of data are treated equally in terms of their effect on the averaged result. A specified number of averages will be taken.

Exponential - Similar to linear averaging, Exponential requires a weighting factor which either increases or decreases the effect of each new data block on the resultant average.

Max - The resultant block is a collection of points that represent the peak amplitude for each point. With each new block of data, the current data is compared with the new data on a point by point basis. The highest amplitude for each point in the block is retained.

Num Avgs: Enter the number of averages you would like the test to perform. This means that the test will consists of this many repetitive samples.

Damping Factor: Enter the desired amount of Damping. This is a percent of the full scale voltage to what % is available. This is only active if you choose Force/Impact under Window Type.

Discount Weighting: This factor (w) is used for the H(f) averaging calculations. (1/w) averages are used for the initial H(f) calculation during the System Identification process. (w) is also used as an exponential discount factor for averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125.

Waveform Trend Removal: Enable or Disable the DC offset removal from the Acceleration Waveforms before they are integrated to Velocity and Displacement. It should normally be Enabled for all cases except Classical Shock Import Reference where the imported waveform may not have final zero velocity and final zero displacement.

SRS Spacing: Available only in transient 1/1, 1/3, 1/6, 1/12, 1/24

SRS Definition: Available only in transient. Select whether the SRS analysis computation is to be based on Absolute Acceleration of the test mass or the Relative Displacement of the mass and the base of a single degree of freedom (SDOF) system.

SRS Damping (%): Available only in transient. Enter the damping factor for the SRS computation specified as a percentage of critical damping. The Damping value must be between 0.1% and 99.0%. Damping % = 100/(2*Q)


Waveform Replication Acquisition

Road Simulation Acquisition

This is the main setup control for the Road Simulation application. To display this window select 'Setup' followed by 'Acquisition' under the main menu for the Lynx control window.

Mode: Resolution / Frame Size / Duration (ms): This selects the mode to be used that will govern the duration, the size of the data frames, and the resolution. Example if you select resolution with a setting 1600, then you can only have a frame size 4096 and a duration of 800ms.

Resolution: Depending on the specifications of your hardware the available resolutions are 100, 200, 400, 800, 1600. This parameters determines how many calculated points there are within the bandwidth below. Having a low bandwidth and a high resolution will slow down the test but increase accuracy.

Bandwidth: The available bandwidths are 40, 50, 100, 200, 250, 500, 1000, 2000.

Window Type: Used in analysis and modal types.

None (Rectangle): The None choice, for no windowing, is useful when you need to use all of the data in the time record equally or uniformly.

Hanning, and Blackman Windows: The Hanning and Blackman windows are very similar. These windows are generally most appropriate for random and non-periodic signals.

Calibration: The Calibration window is provided primarily for use with pure sinusoid inputs. It is corrected such that a sine wave input at any frequency produces the same spectral amplitude that it would have if no window were applied and the sine frequency fell exactly on one of the computed discrete spectral lines.

Correlation: A window that must be used for auto and cross correlation.

Averaging Mode: Averaging is one technique used to decrease the noise in the system.

Linear: All blocks of data are treated equally in terms of their effect on the averaged result. A specified number of averages will be taken.
Exponential: Similar to linear averaging, Exponential requires a weighting factor which either increases or decreases the effect of each new data block on the resultant average.
Max: The resultant block is a collection of points that represent the peak amplitude for each point. With each new block of data, the current data is compared with the new data on a point by point basis. The highest amplitude for each point in the block is retained.
Continuous:

Num Avgs: Enter the number of averages you would like the test to perform. This is the number of repeated samples.

Damping Factor: Not editable in Road Simulation.

Discount Weighting: This factor (w) is used for the H(f) averaging calculations. (1/w) averages are used for the initial H(f) calculation during the System Identification process. (w) is also used as an exponential discount factor for averaging the H(f) from loop to loop. The allowable range is 0.05 to 1; a typical value is 0.125.


Waveform Replication Channel Table

Road Simulation Channel Table

To modify or view the channel definition for a test, select 'Channels...' under 'Setup' from the main menu of the Lynx control window. Note that after any modifications which are made must be saved to a channel definition file (.chn). After the first time, this will be done automatically for you.

Name: User defined name for each of the channels, up to 20 characters.

Serial #: User defined number for each of the channels, up to 10 characters.

Type: The assignment type of each input channel.

Inactive: No data acquired from this channel.

Measure: A channel used to measure data at other points on the DUT. Loop check is optionally performed on these channels.

Measure/Reference: This is required to designate which input channel in the referenced time waveform is being reproduced. The drive signal would be modified to reproduce the specified time waveform on the measurement/reference input channel. If this is not specified, then the first active measurement channel will be auto-selected as the reference.

Sensitivity: Enter the Accelerometer sensitivity in units of mv/g. Range .01 to 1,000,000.

ICP: This is used in order to power an ICP type accelerometer, default is "off".ICP. You must turn on AC coupling to use this feature.

Coupling:

AC: A high pass filter within a 3dB cutoff point at 0.2Hz is used to block input DC offset (and frequencies up to about 0.2Hz).

DC: Necessary for test conditions where DC offsets vary, but on average are zero. DC values are ignored internally by the control loop.

Voltage: Enter Auto or a number between 0 and 10. Auto (or 0) implies automatic detection.

dB Reference: The db reference field must be greater than 0 and should be in a valid floating point format. Example: 1.0 or 1.0e-2. Max: 1e+038. Min: 1e-045.


Waveform Replication Control

Road Simulation Control

To open up Road Simulation control select 'View' then 'Analyzer Control'. This is the test control which will start and stop the acquisition of data for storage and analysis.

Click on a tab to view the different analyzer controls available.

[Start]: This will begin the acquisition of data, depending upon how your trigger is set it will begin immediately.

[Store]: This saves the data to the file the selected data file. See Data Storage for more information.

[Manual Arm]: Not used in Road Simulation.

[Accept / Reject]: Not used in Road Simulation.

[On Line]: This activates online averaging capabilities of Lynx. A green light appears when active.

[OL Reject]: This will enable Lynx's automatic rejection if there is an overload on one of the channels. A green light appears when active.

[Auto Range]: This turns on the auto ranging capabilities of Lynx. A green light appears when active.

[Open / Close Data File]: This opens a data file for analyzing from a previously streamed-to-disk test.


Waveform Replication Channal and Control Status

Road Simulation Channel and Control Status

The channel status box displays information each of the channels.

Under each channel the live output will be displayed in GRMS. If not all of the channels are active then the corresponding channel number and output will be grayed out.

The control status box displays information regarding the test.

Test Level: The current test level measured in dB.

Reference Level: The current reference level spectrum measured in Rms.

Drive Level: The estimated drive output in volts


Waveform Replication Database

Road Simulation Database

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database. Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate], as defined in Data Storage, feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Lynx if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Waveform Replication Data Storage

Road Simulation Data Storage

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Data Type: This sets the file type or the structure of how the data is written in the file, selecting Lynx will save the data in the format which Lynx recognizes (.sdd). Selecting UFF (Universal File Format), will save it in an industry standard format allowing portability to other applications..

Functions: Check one or more functions that you want saved to the data file.

File Name / Compensation File / Stream File Name:

Auto Generate - Creates a unique file name made up from the type of test, date, and time.
Query - Prompts you just after you have started up a test for a filename for the data file.
Default - Saves all the data in a default file (WaveformRepTestData.sdd), this means however that each time the test is started the data is overwritten.

Stream Data:

Save to Host - When checked, this saves the time histories of the input channels to the host disk (local hard drive) as a time stream file (.sts). A time stream file can be opened by the Waveform Editor and/or transferred to a SCSI after Replication.


Waveform Replication Definitions

Road Simulation Definitions

The Drive Reference (DRef) is the actual digitized calibrated waveform which is to be replicated.

The Drive Signal (Drv) is the digital output waveform being sent to/from the BE. This waveform is calibrated for the attenuator setting and test level as appropriate.

The Impulse Channel selection allows the user to observe what the final impulse response convolution filter is going to look like. While this seems complicated, one should be able to recognize a good one from a bad one as described later. This time domain display function is actually quite easy to use and learn from.

The Current Filters released with the latest replication package (v1.02 or later) are special linear phase filters which use a 5.12 : 1 over-sample ratio (rather than 2.56 : 1 as in the other applications). This means the actual usable bandwidth is approximately Sample Rate/5.12. The importance of this is mainly in being sure that your replication waveform has NO energy beyond the specified bandwidth. Any energy outside this range will not be properly replicated no matter how careful you try to do the System ID operation. Road Simulation is designed to support Analyzer generated stream files as well. However, since Analyzer utilizes 2.56:1 filters, one should be careful to ensure that these data sources are sufficiently band limited to avoid the above mentioned problem. The Road Simulation log box will provide messages when different sample ratios are encountered in these data files.

Convolution "Delay" parameter has been given a slightly extended range for the "high" setting (about 2x larger). This delay is useful for cases when there is any kind of system "group" delay. This means that when you give the system a pulse waveform at the amplifier input, then the group delay is how much time has elapsed before the response accelerometer actually sees this pulse. This delay varies with amp, shaker size and load conditions. Similar to impact modal testing, we want to be sure we capture the actual pulse as near to the beginning of the data frame as possible. We can "delay" the start of the data frame relative to the reference (digital drive) by using the convolution delay parameter.

Too much delay can be as bad as too little. Indications of too much delay can generally be found as a decrease in the transfer function coherence during system ID ( look at H(Ref Chan / DRef) coherence). Too little delay is often indicated with a (LOG BOX!) warning message about a "strong" residual at the end of the impulse response.


Waveform Replication Output

Road Simulation Output

To open up analyzer control select 'View' then 'Analyzer Control'. This will allow user control the waveform generator.

Click on a tab to view the different analyzer controls available.

Type: Off / Sine / Sine Chirp / Random / Pseudo / User Defined / SCSI Source

[On]: Starts the waveform generator.

Output Scale: This control uses a sliding level adjuster to allow adjustments to the output level while the waveform output is active. The full scale output capability of the Lynx system is +/- 12 volts peak.

Frequency: This setting is for frequency of the generated sinusoidal waveform.

Burst Taper: In order to minimize the startup and shut down transients caused by a burst random event, the
waveform generation allows the user to specify a sine^2 tapering function to be applied to the beginning and end of the burst event. The taper is defined as a percent (%) of the burst duration. The pulse taper has a range of 0 to 50% of the burst duration size.

Delay: Controls the delay (0 - 32ms) between bursts. range.

Waveform Duration (%): The time duration of the burst is specified by this entry. The units are expected to be in percentage of the maximum allowable duration for the sampling rate.

[Define Output]: This is used for a user defined output as selected in the type listbox. When pressed, a dialog will open up as shown below. Define the frequency and level then save the data in an output shape file (.osh).

[Define Stream]: This is used for a SCSI Source output as selected in the type listbox. When pressed, a dialog will open up as shown below.

Stream Source: This is the data stream source. Choose SCSI to stream directly from the data already on disk or choose Host then select a (.sts) using the browse button [image]. Press [Download] to transfer the (.sts) file from the host drive to the SCSI drive.

Reference Data Channel: Choose 1 through 32 depending on the capabilities of your system.

End of Stream Action: Stop / Repeat / Repeat n Times (n defined in Repeat Count).


Waveform Replication Overview

Next topic Road Simulation

Please select a topic below for more information.

General Testing Guidelines

Definitions

Setting Up a Test

Channel Setup
System Parameters
Acquisition
Test Control Settings

Analyzer Control
 Controlling a Test

Test Safety
 Safety / Shaker Limits


Waveform Replication Print Automation

Road Simulation Print Automation

To modify or view the test settings select 'Setup' followed by 'Controls' from the main menu of the Lynx control window.

Click on a tab to view the different test settings available.

Print Automation gives the user the ability to Automate their printing tasks.

Press [Add] to browse for a template file (.sgt). Each of these templates will be printed with the frame data specified (defined in 'Data Storage' and the All / Last Frame(s) buttons). This feature allows a frame of data on two graphs printed on separate pages, but with a different layout. An example of this is a single frame of data represented as a PSD and a Time Trace on separate templates. If you want to delete a previously added template, highlight the file then press [Remove].

 You may save this to a print automation layout file (.pal) using the [Save] button or [Load] a previously saved file.

Enable Printing will turn on the print automation feature once a test has started and completed.

AutoScale: This scales the X and Y axis so that the data fits the graph. It is recommended that this option be checked.

All Frames: Prints each frame as defined in the 'Data Storage' tab.
Note: Choosing this option may result in a large number of printouts depending on which data frame is saved.

Last Frame: Prints only the last frame of data in a test.

Print Count: Number of times the list of graph templates print.

Print Synopsis: Prints the test's synopsis file once the test completes.


Waveform Replication Replicator

Waveform Replicator

To open up Road Simulation control select 'View' then 'Analyzer Control'. This is the test control for replication

Click on a tab to view the different analyzer controls available.

[On]: Turns the replicator control (on/off).

[System ID]: Begins the system ID acquisition.

[Compensation]: Switches the On Line H(f)-compensation on/off before and/or during replication. The [Load] / [Save] compensation function will load/save the compensation from a file (.cmp) as defined in data storage.

Alarm / Abort Check: Turns on/off check for alarm/abort.

Auto Gain Adjust: This switches the RMS-based level control on/off.

Automatic: The check enables the automatic download of time stream (.sts) files to the SCSI disk after the test starts.

[Define Stream]: This is where you specify the Reference Waveforms Location and Channel #. It can reside on the Host in a specific file or already be on the SCSI throughput disk. When pressed, a dialog will open up as shown below.

Stream Source: This is the data stream source. Choose SCSI to stream directly from the data already on disk or choose Host then select a (.sts) using the browse button [image]. Press [Download] to transfer the (.sts) file from the host drive to the SCSI drive.

Reference Data Channel: Choose 1 through 32 depending on the capabilities of your system.

End of Stream Action: Stop / Repeat / Repeat n Times (n defined in Repeat Count).


Safety Limits

Road Simulation Safety Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Safety Limits tab to view those limits.

Loop Check: This is to check the channel's reception of the signal being sent through the drive.

Alarm and Abort Limits

Maximum Average Error - This is specified in % for both alarm and abort levels.

Maximum Peak Error - This is specified in % for both alarm and abort levels.


Waveform Replication Shaker Limits

Previous topic Road Simulation Shaker Limits

To modify the limit settings for a test, select 'Limits' under 'Setup' from the main menu..

Click on the Safety Limits tab to view those limits.

If at any time the test reaches these maximum values then the test will be aborted.

The following values may be set:
Acceleration (+g) and (-g) in range 0.0001 - 20000.
Velocity (+in/sec) and (-in/sec) in range 0.0001 - 100.
Displacement (+in) and (-in) in range 0.0001 - 5000.
Voltage (+v) and (-v) in range 0.0001 - 12.

The negative values will be pre-determined if the symmetric limits box is checked.

Symmetric Limits: If this check box is selected then the negative values become equal to their positive counterparts although still with their opposite polarity.


Waveform Replication Stream

Road Simulation Stream

To open up analyzer control select 'View' then 'Analyzer Control'. Disk streaming allows for large amounts of data to be acquired at a fast and accurate rate using a SCSI interface.

Click on a tab to view the different analyzer controls available.

[Play]: This plays back the stream of data obtained by the streaming-to-disk-data storage, and allows the saved information to be played back and analyzed.

[Record]: This starts the recording of data to the SCSI interface.

[Pause]: Pauses the data stream for either playback or recording.

[Transfer]: This will transfer data from either the host drive to the SCSI or from the SCSI to the host drive. Because raw data is stored on the SCSI drive, a transfer from the SCSI drive after recording is needed to save the test. Stopping a recording session then starting a new session will delete all previous information.

[Markers]: Markers are used to set break points in the data. [Set / Goto Marker] will set and move to the markers specified by the user. This feature is currently not available in version 1.9 and will be added in a future release.

SCSI Info: Displays information regarding the SCSI hardware and the current file being played back or recorded to.

[Step]: This steps through the test at the rate as shown on the right text box. Use the slider to adjust this rate.

Diagram of the SCSI interface.


Waveform Replication System Parameters

Road Simulation System Parameters

To view the system parameters for Road Simulation, select 'System Parameters' under 'Setup' from the main menu of the Lynx control window.

Global Scale Factor: This scaling factor is applied to your specified reference time waveform. The amplitude can be scaled either up or down by specifying the scale factor in either +/- dB or +/- percentage. Available ranges, -20 to 20 db; -20 to 1000 %.

Initial Excitation Type: In order to reproduce your desired time waveform, you must first calculate a system identification which will characterize your system. This will take into consideration both amplitude and phase from the actual drive signal to your specified Measurement/Reference input channel. We perform this characterization by using one of the following excitation types: Random, Pseudo, or User Shaped.

Initial Excitation Level: You should choose a level that results in a good characterization of your system. Take a look at your coherence to make sure that it is approximately one in the frequency range of interest. The amplitude range for your initial exception level is as follows: 0.01 to 20 GRMS

[Define Output]: Select this to define the Initial Excitation Type when User Shaped is selected. This is done by creating a table with frequency and Amplitude (G**2/Hz) breakpoints.

Initial Compensation Avg Count: The number of frames averaged to recalculate the initial H(f). Ranges 1 to 9999

Compensation Smoothing: If the Update button is active, then data is acquired (using the compensation frame size) and an "online" system response function H(f) is generated. This function is exponentially averaged into a "running" averaged system H'(f) function. The Compensation Smoothing factor is the exponential averaging factor associated with this running H'(f) average. The update of the compensation filter is performed using the averaged H'(f) function in a feedback loop. The exponential averaging factor ranges is from 0.1 to 1.

Compensation Feedback Factor: The feedback factor is the second of these two parameters. This factor controls how much of the H'(f) response function (essentially a descriptor of the replication error) should influence the current compensation filter function. Ranges 0.01 to 1.

Compensation Sample Delay: A source of potential problems is system "group" time delay. While Lynx compensates for the filter group delay, large system group delays (due to the shaker and amplifier components and/or frequency domain discontinuities) may show up as anomalous effects at the end of the impulse response function. Lynx also checks for this condition and the user has the ability to "inject" an additional group delay to match (hopefully exceed) the drive system delay (Non, Low, Med, High) as needed.

Ramp Up-Rate: This will determine the start up speed of your test. A faster test will compromise accuracy.


Waveform Replication General Testing Guidelines

General Testing Guidelines

The basic method behind replication is similar to that employed by the shock application. In the Road Simulation case, a system response function is measured and a compensation "filter" is created. This filter is then applied to the reference waveform via a continuous FFT convolution method. The System ID function serves to measure the system response (transfer) function. This function is then converted into an impulse response function to be used for compensation.

The impulse response function (IMP) is a choice for viewing on the input channel list. There are basically a few things to observe about this function. In general, the impulse response function should be captured within the "frame". The impulse should start within the frame, not exactly at 0. If there is any significant energy at/near the first data point, then additional delay should be utilized.

There are usually 3 cases to look for when viewing your IMP and we will be describing each of them as general shapes in the LEFT hand "half" of the displayed frame. The three categories are Good, Bad, and Kind of Bad. They are as follows:

Good: The impulse response looks like a decaying (exponential) signal that "dies*" out by the end of the frame (i.e. by the center of the displayed frame).
Bad: The impulse does not die* out. In these cases you need to increase the analysis/replication frame duration (e.g. frame length or number of lines)
Kind of Bad: The impulse does die* out, but has a small "burst" at the end of the frame (i.e. center of the displayed frame). In this case you should increase the compensation delay to a bigger value ( None, Low, Medium, High). Frame size does not need to be changed unless the burst is fairly long (like > 10% of frame size).

There are user log warning messages if any of the above "bad" cases are detected.

Utilize the System ID excitation types Pseudo and User Shape for generation of the system response function. "Random" is a broadband excitation which will contain energy beyond the filter cutoff. This option is generally reserved for special cases and internal filter shape response generation. This option can work in some cases but you're usually better off using one of the other 2 options.

The Pseudo (random) option is actually a shaped random output which is flat to about 1/4 of the bandwidth with a -6 dB/Oct slope following. The User Shape allows the user to specify the shape of the power spectrum to be output. Remember that this specification is like a description of the spectrum, NOT a break point table as in random. For example, if the first spectrum point is 100 Hz, then no energy below 100 Hz will be generated (or as is physically possible). There are no implied slopes or extensions outside the defined table entries with the spectrum definition. Spectral values are interpolated between table entries.

* We're somewhat arbitrarily setting the term "dies out" to mean amplitudes less than 10% of the maximum impulse response amplitude. This means that if the max impulse response value is 100, the end of the impulse response should be < 10 at frame's half length. Note that the actual end of the impulse response data occurs in the center of the displayed frame.